
<% 'Module:

   'Description: This module displays all of the scheduled Cases
   ' Which is available from a link under Other Cases button.

   '(C) 1998,1999, 2000, 2001 Internet Software Sciences
   ' www.inet-sciences.com


   'History:

   'Date		Who		What
   '-------	---		------------------------------------------------
   '6/25/2000	SAV		Created original MyCases.asp page
	'06/05/2001	SAV		Created from MyCases.asp page
	'03/27/12   CMB      Fixed 'late' (was only retrieving stuff at time later than current even if late; also added setlocale
   '11/05/12   CMB      Nicer styles

	' CONSTANTS
%>

<%' Get the Database DNS and login information - Edit this file to change the DSN connection string%>

<!-- #INCLUDE FILE="DB_define.inc" -->
<!-- #INCLUDE FILE="../Language/GetPriorityFontColor.inc" -->


<%' Include this file to get special database cursor constants to read record count values %>
<!-- #INCLUDE FILE="Adovbs.inc" -->

<% ' ASP Page Security Checks ***********************************
	' This security will check to see if the logged in tech member
	'has the right user level to
	' run this function.  If not, then display an error page.

	' Set the minumum tech security level required for this function.
	' 6 = Configurator = Highest Rights
	' 5 = Administrator
	' 4 = Dispatcher
	' 3 = Tech Read/Write
	' 2 = Tech Read only
	' 1 = No access - Lowest Rights

	TechLevel = 2 ' Allow valid techs to access this function.


	CookieID = Request.Cookies("ISS_TECH_CENTER_LOGIN") ' Get the Logged TechID from the cookie

	If SecurityON = "YES" Then ' Execute this code only if Security Option Flag is set to YES
		' This flag will be set in the DB_define.inc file.

		set conntemp=server.createobject("adodb.connection")
		conntemp.open myDSN

		mySQL2="SELECT * from Tech_staff where Tech_ID = '" & CookieID & "' AND Tech_Level >= " & TechLevel
		set rstemp=conntemp.execute(mySQL2)

		' Check to see if any records are returned
		' if none found the

		If rstemp.EOF <> True Then
			TechFullName = rstemp("first_name") & " " & rstemp("Last_name")
			ValidUser = "YES" ' Set this variable to prevent problems on next page
		End If

		rstemp.close
		set rstemp=nothing
		conntemp.close ' Close the connection
		set conntemp=nothing
	Else
		ValidUser = "YES"
	End If


 ' End of ASP page security checks
 %>


<% if ValidUser <> "YES" Then %>
	<% ASPPage = "MyCases.asp"%>

	<!-- #include file=Invaliduser.inc-->

<%else '  Valid User for this function %>

<% 'Get the value of the User Screen background color
	' And the open Cases refresh rate from the Configuration Table

	set conntemp=server.createobject("adodb.connection")

	conntemp.open myDSN ' Open the connection once here

	mySQL2="select * from Configuration"
	set rstemp2=conntemp.execute(mySQL2)

	' Check to see if any records are returned
	' if none found the
	if rstemp2.EOF then
		UserPageColor = "FFFFFF" ' Default to white if record not found
	Else
		UserPageColor = rstemp2("ts_user_page_color")
		Pending_Screen_Refresh_Rate = rstemp2("Pending_Screen_Refresh_Rate")
		ts_pending_color = rstemp2("ts_Pending_Color")
		WCDateFormat = rstemp2("Date_Display_Format") ' MMDDYYYY or DDMMYYYY (uk)
		TimeZoneAdjustment = rstemp2("Time_zone_Adjustment")
		Database = rstemp2("DatabaseType") ' Database should be set to ACCESS or SQL

		' This will override databasetype2 constants set in the DB_define.inc file


			DatabaseType2 = Database





	End If

	rstemp2.close
	set rstemp2=nothing
	' Do NOT close connection here ... wait until end of module
'	conntemp.close ' Close the connection
'	set conntemp=nothing

%>


<HTML>
<HEAD>

<% If Pending_Screen_Refresh_rate <> 0 Then %>
   <META HTTP-EQUIV="Refresh" CONTENT="<%=Pending_Screen_Refresh_Rate%>">
<%End If %>

   <TITLE>List of Open Scheduled Cases - Customer Support System</TITLE>
<!-- (C) 1996,1998, 1999, 2000, 2001 by Internet Software Sciences -->
<!-- #INCLUDE FILE="Stylesheet.inc" -->
</HEAD>
<BODY class=topwindow>


<% ' Now search for the open Cases for a specified tech
	' It can be called from the button panel as MyCases.asp where the Logged in
	' tech cookie is found and use to define the tech or it is called
	' from other Cases, the techID is passed as a query string

	If Request.Querystring("TechID") <> "" Then
		CookieID = Request.Querystring("TechID")
	End IF

'		set conntemp=server.createobject("adodb.connection")
'		conntemp.open myDSN


		ViewType = Request.QueryString("ViewType")
			' Possible ViewTypes are: ALL, ONCE, REPEAT, LATE, TODAY

		'  * * * * * * Time Zone Adjustment Calculation * * * * *

		' Late is computed by comparing the Date and time with the system time
		' A special date computation is needed if TimeZoneAdjustment is set.
		If TimeZoneAdjustment = "" Or IsNull(TimeZoneAdjustment) = True Then
				TimeZoneAdjustmentInt = 0
			Else
				TimeZoneAdjustmentInt = CInt(TimeZoneAdjustment)
		End If
if WCDateForma = "MMDDYYYY" and DatabaseType2 <> "SQLSERVER" then
	Call SetLocale (1033)  ' CMB 03/27/2012
Else
		Call SetLocale (2057)  ' CMB 03/27/2012
End If

		NewDate = DateAdd("h", TimeZoneAdjustmentInt, Now)
		NewDateDateOnly = DateValue(NewDate)
		NewTime = TimeValue(NewDate)
'response.write "NOW" & now & newdatedateonly
'response.flush
'response.end
		' Important Note
		' SQL*Server Time/Date deliminter is single quote and not # which is
		' for Access

		' This is a special case when we need to know if it is Access or
		' SQL*Server.  We must use the # symbol for Access and single
		' quotes for SQL*Server



		If DatabaseType <> "ORACLE" Then
			mySQL2 = " SELECT Group_list.group_name, Cases.case_number, Cases.Scheduled_Case_Type, Cases.Due_Date, Cases.Due_Time, Cases.customer_id, Cases.open_date, Cases.open_time, Cases.mod_date, Cases.mod_time, Cases.case_one_line, Cases.severity, Cases.status, Cases.modified_flag, Customers.contact_lname, Customers.contact_fname, Customers.company FROM (Cases INNER JOIN Group_list ON Cases.group_number = Group_list.group_number) INNER JOIN Customers ON Cases.customer_id = Customers.customer_id "

			' Depending upon the type of ViewType, change the WHERE statement
			If ViewType = "ALL" Then
				mySQL2 = mySQL2 & "	where Scheduled_Case_Type IS NOT Null AND  Status <> 1 "
			Elseif ViewType = "ONCE" Then
				mySQL2 = mySQL2 & "	where Scheduled_Case_Type = 'ONCE' AND  Status <> 1 "
			Elseif ViewType = "REPEATED" Then
				mySQL2 = mySQL2 & "	where Scheduled_Case_Type ='REPEAT' AND  Status <> 1 "

       'CMB 03/26/12 fixed below.  wasn't returning stuff late unless it was after the current TIME!

		'	Elseif ViewType = "LATE" and DatabaseType2 = "SQLSERVER" Then
			'	mySQL2 = mySQL2 & "	where Scheduled_Case_Type IS NOT NULL AND  Due_Date <= '" & NewDateDateOnly & "' And Due_Time <= '"& NewTime & "' AND Status <> 1 "
			'Elseif ViewType = "LATE" and DatabaseType2 = "ACCESS" Then
				'mySQL2 = mySQL2 & "	where Scheduled_Case_Type IS NOT NULL AND  Due_Date <= #" & NewDateDateOnly & "# And Due_Time <= #"& NewTime & "# AND Status <> 1 "
		'	Elseif ViewType = "LATE" and DatabaseType2 = "MYSQL" Then
				'mySQL2 = mySQL2 & "	where Scheduled_Case_Type IS NOT NULL AND  Due_Date <= '" & YYMMDD(NewDateDateOnly) & "' And Due_Time <= '"& NewTime & "' AND Status <> 1 "

			Elseif ViewType = "LATE" and DatabaseType2 = "SQLSERVER" Then
				mySQL2 = mySQL2 & "	where Scheduled_Case_Type IS NOT NULL AND  (Due_Date < '" & NewDateDateOnly & "' or (Due_Date = '" & NewDateDateOnly & "' And Due_Time <= '"& NewTime & "')) AND Status <> 1 "
			Elseif ViewType = "LATE" and DatabaseType2 = "ACCESS" Then
				mySQL2 = mySQL2 & "	where Scheduled_Case_Type IS NOT NULL AND  (Due_Date < #" & NewDateDateOnly & "# or (Due_Date = #" & NewDateDateOnly & "# And Due_Time <= #"& NewTime & "#)) AND Status <> 1 "
			Elseif ViewType = "LATE" and DatabaseType2 = "MYSQL" Then
				mySQL2 = mySQL2 & "	where Scheduled_Case_Type IS NOT NULL AND  (Due_Date < '" & YYMMDD(NewDateDateOnly) & "' or (Due_Date = '" & YYMMDD(NewDateDateOnly) & "' And Due_Time <= '"& NewTime & "')) AND Status <> 1 "



			Elseif ViewType = "TODAY" and DatabaseType2 = "SQLSERVER" Then
				mySQL2 = mySQL2 & "	where Scheduled_Case_Type IS NOT NULL AND  Due_Date = '" & Date & "'  AND Status <> 1 "
			Elseif ViewType = "TODAY" and DatabaseType2 = "ACCESS" Then
				mySQL2 = mySQL2 & "	where Scheduled_Case_Type IS NOT NULL AND  Due_Date = #" & Date & "#  AND Status <> 1 "
			Elseif ViewType = "TODAY" and DatabaseType2 = "MYSQL" Then
				mySQL2 = mySQL2 & "	where Scheduled_Case_Type IS NOT NULL AND  Due_Date = '" & YYMMDD(Date) & "'  AND Status <> 1 "


			End IF
		End If

		If DatabaseType = "ORACLE" Then
			mySQL2 = " SELECT Group_list.group_name, Cases.case_number,  Cases.Scheduled_Case_Type, Cases.Due_Date, Cases.Due_Time, Cases.customer_id, Cases.open_date, Cases.open_time, Cases.mod_date, Cases.mod_time, Cases.case_one_line, Cases.severity, Cases.status, Cases.modified_flag, Customers.contact_lname, Customers.contact_fname, Customers.company FROM Cases, Group_list, Customers WHERE Cases.customer_id=Customers.customer_id AND Cases.group_number = Group_list.group_number AND Cases.customer_id = Customers.customer_id AND Tech_ID = '" & CookieID & "' AND Status <> 1 "
		End If


		' Now add Sort Order and toggle sort order if necessary

		SortOrder = Request.Querystring("SortBy")

		' Define Default Sort Orders that will be changed below to
		' toggle the views from Ascending to Decending

		AscendDescend = Request.Querystring("Ascend")
		If AscendDescend = "" Then
			AscendDescend = "ASC"
		End If


		If AscendDescend = "ASC" Then
			AscendDescend = "DESC"
		Else
			AscendDescend = "ASC"
		End If

		If SortOrder = "case_number" OR SortOrder = ""  Then
			FixedSortOrder = " Case_Number "
			Case_Number_Background = " bgcolor=FFFFFF "
		End IF

		If SortOrder = "severity"  Then
			FixedSortOrder = " Severity"
			Severity_Background = " bgcolor=FFFFFF "
		End IF

		If SortOrder = "open_time"  Then
			FixedSortOrder = " Open_Date " & AscendDescend & ", Open_Time "
			Open_time_Background = " bgcolor=FFFFFF "
		End IF

		If SortOrder = "Due_Date"  Then
			FixedSortOrder = " Due_Date " & AscendDescend & ", Due_Time "
			mod_time_Background = " bgcolor=FFFFFF "
		End IF

		If SortOrder = "contact_fname"  Then
			FixedSortOrder = " contact_fname "
			contact_fname_Background = " bgcolor=FFFFFF "
		End IF

		If SortOrder = "group_name"  Then
			FixedSortOrder = " group_name "
			group_name_Background = " bgcolor=FFFFFF "
		End IF

		If SortOrder = "status"  Then
			FixedSortOrder = " status "
			status_Background = " bgcolor=FFFFFF "
		End IF


		mySQL2 = mySQL2 & " Order by " & FixedSortOrder  & " " & AscendDescend

	'	response.write "MySQL = " & mySQL2 & "<br>"
'response.flush
'response.end

	set rstemp=Server.CreateObject("adodb.Recordset")
	'-->AKS<-- Need to specify cursore for record count to be correct.

	If DatabaseType <> "ACCESS97" Then
		rstemp.CursorLocation = adUseClient
	End If

	rstemp.open mySQL2, conntemp, adopenstatic


		'set rstemp=conntemp.execute(mySQL2)

		' Check to see if any records are returned
		' if none found the

		If rstemp.EOF <> True Then

		RecordsFound = rstemp.recordcount

	 ' We need to get the tech name directly from the database since we won't have
		' the tech name since no rows were returned

		MySQL3 = " Select * from Tech_staff where tech_ID =  '" & CookieID & "'"

		set rstemp2=Server.CreateObject("adodb.Recordset")

		rstemp2.open mySQL3, conntemp, adopenstatic

		If rstemp2.EOF <> "True" Then
			TechFullName = rstemp2("First_Name") & " " & rstemp2("Last_name")
		Else
			TechFullName = "Tech Not Defined"
		End IF
		rstemp2.close
		set rstemp2=nothing


	%>

	<% ' Display Different message for the various types of ViewTypes %>
<table width=100% cellspacing=2 cellpadding=2 border=0 class=InnerFormwrapper>
<tr>
<td width= 14% align=center class=BP2minorformtitle>
<b>
<%=RecordsFound %>
&nbsp;
	<% If ViewType = "ALL" Then %>
	 Open Scheduled Cases Found
	<%End If %>

	<% If ViewType = "ONCE" Then %>
	 Single Event Scheduled Cases Found
	<%End If %>

	<% If ViewType = "REPEATED" Then %>
	 Repeat Scheduled Cases Found
	<%End If %>

	<% If ViewType = "LATE" Then %>
	 Late Scheduled Cases Found
	<%End If %>

	<% If ViewType = "TODAY" Then %>
	 Today's Scheduled Cases Found
	<%End If %>
	</b>
</td>
</tr>
</table>

<% ' Display the Table Headers %>

<TABLE  class=TightTableWrapper cellspacing=1 width=100%>
<TR>
<TD  class=ColumnLabel align=center><A HREF="DisplayScheduledCases.asp?ViewType=<%=ViewType%>&TechID=<%=CookieID%>&SortBy=case_number&Ascend=<%=AscendDescend%>">Case</A></TD>

<TD  class=ColumnLabel align=center><A HREF="DisplayScheduledCases.asp?ViewType=<%=ViewType%>&TechID=<%=CookieID%>&SortBy=severity&Ascend=<%=AscendDescend%>">P</A></TD>

<TD  class=ColumnLabel align=center><A HREF="DisplayScheduledCases.asp?ViewType=<%=ViewType%>&TechID=<%=CookieID%>&SortBy=status&Group_Number=<%=Group_Number%>&Ascend=<%=AscendDescend%>">Status</A></TD>


<TD  class=ColumnLabel align=center><A HREF="DisplayScheduledCases.asp?ViewType=<%=ViewType%>&TechID=<%=CookieID%>&SortBy=open_time&Ascend=<%=AscendDescend%>">Opened</A></TD>

<TD  class=ColumnLabel align=center><A HREF="DisplayScheduledCases.asp?ViewType=<%=ViewType%>&TechID=<%=CookieID%>&SortBy=Due_Date&Ascend=<%=AscendDescend%>">Due</A></TD>

<TD  class=ColumnLabel align=center><A HREF="DisplayScheduledCases.asp?ViewType=<%=ViewType%>&TechID=<%=CookieID%>&SortBy=contact_fname&Ascend=<%=AscendDescend%>">Customer</a> / One Line Description</TD>

<TD  class=ColumnLabel align=center><A HREF="DisplayScheduledCases.asp?ViewType=<%=ViewType%>&TechID=<%=CookieID%>&SortBy=group_name&Ascend=<%=AscendDescend%>">Group</A></TD>
</TR>

<%

			do while not rstemp.eof

			If CInt(rstemp("Modified_Flag")) = 0 Then
				FontColor= "000000" ' Black font color
			Else
				FontColor = "FF0000" ' All Red
			End If

' New enhancement to have the font color based  on priority/severity

	Severity = rstemp("severity")

	' Comment out this line below to use the current modified flag red/black text

	FontColor = GetPriorityFontColor(Severity)


	%>
<TR>
<TD WIDTH="4%"
      <% WriteLine (Case_Number_Background) %>

>
<B>

<% ' If case_number is less than 1000, then fill to the left with extra zeros

	Case_Number = rstemp("Case_Number")

	If len(case_number) = 1 Then
		DisplayCaseNumber = "000" & Case_Number
	ElseIf LEn(case_number) = 2 Then
		DisplayCaseNumber = "00" & Case_Number
	Elseif Len(case_number) = 3 Then
		DisplayCaseNumber = "0" & Case_Number
	Else
		DisplayCaseNumber = Case_Number
	End If
%>


<A HREF="TCaseForm.asp?b_get_x=0&b_get_y=0&customer_id=0&case_number=<%=Case_number%>" target="user_screen"><%=DisplayCaseNumber%></A></B>&nbsp;<BR>
<A HREF=TCaseForm.asp?b_get_x=0&b_get_y=0&customer_id=0&case_number=<%=rstemp("Case_number")%> target="newcasewindow<%=rstemp("Case_number")%>"><IMG SRC="newwindow.gif" BORDER=0 ></A></TD>

<TD
      <% WriteLine (Severity_Background) %>

><FONT COLOR="#<%=FontColor%>"><%=rstemp("Severity")%></FONT></TD>

<TD
      <% WriteLine (status_Background) %>

><FONT COLOR="#<%=FontColor%>">

<% ' Case Status Mappings
	' 0 = Active
	' 1 = closed
	' 2 = Wating
	' 3 = On-Hold
%>
<%
	Case_status_value = CInt(rstemp("status"))
	If case_status_value = 0 THEN
		response.write "Active"
	ElseIf case_status_value = 2 THEN
		response.write "Waiting"
	Else
		response.write "On-Hold"
	End If
%>

<%

			If CInt(rstemp("Modified_Flag")) = 1 Then
				Response.write "<img src=red_tri.gif><br>"
			End If
%>


</FONT>

<% ' Now Display the Scheduled Case Status Too



	Due_Date = rstemp("Due_Date")
	Due_Time = rstemp("Due_Time")

	' * * * * * * * User Customizations * * * * * * * *
	' Disable/Enable Blink Tag Here - Comment out next two lines ***********
	StartBlinkTag = "<blink>"
	EndBlinkTag = "</blink>"
	' * * * * * * End User Customizations * * * * * * * * *

	If IsNull(Due_Date) = False AND IsNull(Due_Time) = False Then

		If Due_date < NewDateDateOnly Then
			response.write "<font size=-1 color=RED>"
			response.write StartBlinkTag & "LATE" & EndBlinkTag & "</font>"
		Elseif Due_date = NewDateDateOnly AND  Due_Time <= NewTime Then
			response.write "<font size=-1 color=RED>"
			response.write StartBlinkTag & "LATE" & EndBlinkTag & "</font>"
		Else
			response.write "<font size=-1 color=GREEN>"
			response.write "OK</font>"
		End IF
	End IF

%>

</TD>

<TD ALIGN=CENTER WIDTH="9%"
      <% WriteLine (Open_time_Background) %>


>
<FONT COLOR="#<%=FontColor%>">


<% ' Date and Time must be reformatted from the internal Text format of:
	' YYYYMMDD to mm/dd/yyyy
	' And Time must be converted from: HHMMSS in 24 hour format to AM/PM formats

	' Depending upon the WCDateFormat Setting (set in DB_define.inc) we will
	' display the date in
	' in MM/DD/YYYY (US Version and default) or DD/MM/YYYY for UK version

	If WCDateFormat = "DDMMYYYY" Then
		ConvertedOpenDate =   mid(rstemp("open_date"),7,2) & "/" & mid(rstemp("open_date"),5,2) & "/" & mid(rstemp("open_date"),1,4)
	Else
		ConvertedOpenDate = mid(rstemp("open_date"),5,2) & "/" & mid(rstemp("open_date"),7,2) & "/" & mid(rstemp("open_date"),1,4)
	End IF

	ConvertedOpenTime = mid(rstemp("Open_time"), 1,2) & ":" & mid(rstemp("Open_time"),3,2)

	ConvertedHour = int(mid(rstemp("Open_time"),1,2))
	If ConvertedHour > 12 then
		ConvertedHour = ConvertedHour -12
		AMPM = " PM"
		ConvertedOpenTime = CStr(ConvertedHour) & mid(ConvertedOpenTime, 3,3)
	Else
		AMPM = " AM"
	End If

%>

<%=ConvertedOpenDate%><Br>
<%=ConvertedOpenTime%><%=AMPM%>



</FONT>
</TD>

<TD ALIGN=CENTER WIDTH="9%"
      <% WriteLine (mod_time_Background) %>

>
<FONT COLOR="#<%=FontColor%>">


<% ' Display the Date in UK or US formats depending upon configuration value %>
<%


'If WCDateFormat = "DDMMYYYY" Then ' Set to UK date formats

If WCDateFormat = "DDMMYYYY" AND (DatabaseType2 <> "SQLSERVER") Then ' UK Format

		DateDisplayString = Day(rstemp("Due_Date")) & "/" & Month(rstemp("Due_Date")) & "/" & Year(rstemp("Due_Date"))
	Else
		DateDisplayString = Month(rstemp("Due_Date")) & "/" & Day(rstemp("Due_Date")) & "/"  & Year(rstemp("Due_Date"))
	End IF

%>
<%=DateDisplayString%><br>

<%' Create Time Display String %>
<% ' Check if Due_Time is Null %>

<%
If ISNull(rstemp("Due_Time")) = False Then

	 DueHour = Hour(rstemp("Due_Time"))

	If DueHour > 12 Then
		DueHour = DueHour - 12
	End If


	DueHour = CStr(DueHour)
	If Len(DueHour) < 2 Then
		DueHour = "0" & DueHour
	End If
	DueMinute = CStr(Minute(rstemp("Due_Time")))
	If Len(DueMinute) < 2 Then
		DueMinute = "0" & DueMinute
	End If

	AMPM = Right(CStr(rstemp("Due_Time")),2)

	DisplayTimeString = DueHour & ":" & DueMinute & " " & AMPM
%>

<%=DisplayTimeString %>

<%	Else ' Display no time setting %>

--:--

<%End If %>

</FONT>

</TD>

<TD WIDTH="56%"
      <% WriteLine (contact_fname_Background) %>

>
<FONT COLOR="#<%=FontColor%>">

(
<a href=NewCustomer.asp?ID=<%=rstemp("Customer_ID")%> target= "user_screen">
<%=rstemp("Contact_fname")%>
<% response.write " " %>
<%=rstemp("Contact_lname")%></a>)

<% ' Display the company name only if it exists
	If rstemp("Company") <> "" Then
		Response.write " [" & rstemp("Company") & "]"
	End If
%>

<br>


<B><%=rstemp("Case_One_Line")%></b></FONT></FONT></TD>

<TD WIDTH="12%"
      <% WriteLine (group_name_Background) %>


><FONT COLOR="#<%=FontColor%>"><%=rstemp("Group_Name")%>
</FONT>
</TD>
</TR>

<%

				rstemp.MoveNext
			loop

		Else
	%>

<% ' We need to get the tech name directly from the database since we won't have
	' the tech name since no rows were returned

	MySQL3 = " Select * from Tech_staff where tech_ID =  '" & CookieID & "'"

	set rstemp2=Server.CreateObject("adodb.Recordset")

	rstemp2.open mySQL3, conntemp, adopenstatic

	If rstemp2.EOF <> "True" Then
		TechFullName = rstemp2("First_Name") & " " & rstemp2("Last_name")
	Else
		TechFullName = "Tech Not Defined"
	End IF
	rstemp2.close
	set rstemp2=nothing
%>

<CENTER>No Scheduled Cases Found</CENTER>

		<%End If %>

	<%	 ' Close the record set and close the connection

		rstemp.close
		set rstemp=nothing

		' Close the only connection to the database

		conntemp.close ' Close the connection
		set conntemp=nothing
	%>


</TABLE>
&nbsp;
</BODY>
</HTML>



<%End If ' End of security checks %>

<% Function YYMMDD(datestring)
' This function takes a date string in MM/DD/YY format and recasts it in YY/MM/DD format

   DIM aryChunk
   aryChunk = Split(datestring,"/")
   YYMMDD = aryChunk(2) & "/" & aryChunk(0) & "/" & aryChunk(1)

End Function
%>
<%
Sub WriteLine(Background)
If Background = "" Then
          response.write "class=TightBodyText"
      Else
          response.write "class=TightBodyTextHilight"
      End If
 End Sub
%>