<% 'Module: Reports.inc

   'Description: This module is called by reports modules; it contains
   ' functions and subs frequently called.

   '(C) 1999, 2000, 2001 Internet Software Sciences
   ' www.inet-sciences.com

   'History:

   'Date		Who		What
   '-------	---		------------------------------------------------
   '08/05/11 	CMB     cleaned up
   '09/13/11 	CMB     Added date functions for version 7.5
   '02/01/12    CMB     Fixed IsValidUser
    '10/19/12   CMB     Fixed date formatting in IsValidDate function

%>

<% '

Function GetBackgroundColor()
	'Gets the value of the User Screen background color from the Configuration Table
	Dim sColor

	set conntemp=server.createobject("adodb.connection")

	conntemp.open myDSN

	mySQL2="select * from Configuration"
	set rstemp2 = server.createobject("adodb.recordset")
	rstemp2.open mySQL2, conntemp, 1,3
	'set rstemp2=conntemp.execute(mySQL2)

	' Check to see if any records are returned
	' if none found then
	if rstemp2.EOF then
		sColor = "FFFFFF" ' Default to white if record not found
	Else
		sColor = rstemp2("ts_user_page_color")
	End If
	GetBackgroundColor = sColor

	rstemp2.close
	set rstemp2=nothing
	conntemp.close
	set conntemp = nothing

End Function

Function GetDateDisplayFormat()
'Gets the value of the date display format from the Configuration Table
	Dim sDateDisplay

	set conntemp=server.createobject("adodb.connection")

	conntemp.open myDSN

	mySQL2="select * from Configuration"
	'set rstemp2=conntemp.execute(mySQL2)
	set rstemp2 = server.createobject("adodb.recordset")
	rstemp2.open mySQL2, conntemp, 1,3

	' Check to see if any records are returned
	' if none found then
	if rstemp2.EOF then
		sDateDisplay =  "MMDDYYYY"
	Else
		sDateDisplay = rstemp2("Date_Display_Format")
	End If
	GetDateDisplayFormat = sDateDisplay

	rstemp2.close
	set rstemp2=nothing
	conntemp.close
	set conntemp = nothing

End Function

Sub GetConfig(pDateDisplayFormat,pUserPageColor,pDatabaseType)
	set conntemp=server.createobject("adodb.connection")
	conntemp.open myDSN

	mySQL2="select * from Configuration"
	'set rstemp2=conntemp.execute(mySQL2)
	set rstemp2 = server.createobject("adodb.recordset")
	rstemp2.open mySQL2, conntemp, 1,3

	' Check to see if any records are returned
	' if none found then
	if rstemp2.EOF then
		pUserPageColor = "FFFFFF" ' Default to white if record not found
		pDateDisplayFormat = "MMDDYYYY"
		pDatabaseType = "ACCESS97"
	Else
		pUserPageColor = rstemp2("ts_user_page_color")
		pDateDisplayFormat = rstemp2("Date_Display_Format")
		pDatabaseType = rstemp2("DatabaseType")
	End If

	rstemp2.close
	set rstemp2=nothing
	conntemp.close
	set conntemp = nothing
End Sub


Sub GetTimeSpentStuff(pTimeSpentCategory,pTimeSpentInterval)
	set conntemp=server.createobject("adodb.connection")
	conntemp.open myDSN
	mySQL2="select Time_Spent_Category, Time_Spent_Interval from Configuration"
	'set rstemp2=conntemp.execute(mySQL2)
	set rstemp2 = server.createobject("adodb.recordset")
	rstemp2.open mySQL2, conntemp, 1,3

	' Check to see if any records are returned
	' if none found then
	' NOTE WHAT IF NULL
	if rstemp2.EOF then
		pTimeSpentCategory  = ""
		pTimeSpentInterval  = ""
	Else
		pTimeSpentCategory = rstemp2("Time_Spent_Category")
		If pTimeSpentCategory <> "" then
			pTimeSpentCategory = "C" & pTimeSpentCategory
		End If
		pTimeSpentInterval = rstemp2("Time_Spent_Interval")
	End If

	rstemp2.close
	set rstemp2=nothing
	conntemp.close
	set conntemp = nothing
End Sub


Function RotateColor(inColor)
	Dim sColor
' Rotate between 5 colors
		If inColor="Red" Then
			sColor = "Blue"
		Elseif inColor= "Blue" Then
			sColor = "Green"
		Elseif inColor = "Green" Then
			sColor = "Yellow"
		Elseif inColor = "Yellow" Then
			sColor = "Purple"
		Elseif inColor = "Purple" then
			sColor = "Red"
		End If
	RotateColor = sColor
End Function
%>

 <%
 ' NOTE these 2 subs are for where clauses were dates are stored in native format

 Sub ComputeDateRangeNew(StartDate, EndDate, DateRange)
 	call ComputeDateRangeNewer(StartDate, EndDate, DateRange, DateDisplayFormat)
 end Sub
 %>

<% Sub ComputeDateRangeNewer(StartDate, EndDate, DateRange, DateDisplayFormat) ' NOTE in UK dates are stored in US format anyway so no need to do this!

' Description: This sub takes the passed DateRange and returns values
' for the StartDate and EndDate. Possible values are:
	' Current - Current Month
	' LastCompleteMonth
	' Quarter
	' LastHalfYear
	' LastCompleteYear
	' Today
	' WeekToDate
	' LastCompleteWeek
	' Range

	' compute ranges differently for UK or US formats
	Locale = GetLocale() ' CMB 06/15/2011
	Call SetLocale (1033)  ' CMB 06/15/2011

 	If DateDisplayFormat = "DDMMYYYY" Then ' UK format
	If DateRange = "Range" then ' added this CMB 07/06/2011
		If  StartDate > "" Then
			StartDate = SwitchMonthDate(StartDate)

			if EndDate > "" then
				EndDate = SwitchMonthDate(EndDate)
			end if
		End If

	End if
End if


If DateRange = "Today" Then
	StartDate = CStr(Month(Now)) & "/" & CStr(Day(Now)) & "/" & CStr(Year(Now))
	EndDate = CStr(Month(Now)) & "/" & CStr(Day(Now)) & "/" & CStr(Year(Now))
End If

If DateRange = "WeekToDate" Then

	DaysIntoWeek = 1 - WeekDay(Now)

	FirstDayOfWeek = DateAdd("d", DaysIntoWeek, Now)

	StartDate = CStr(Month(FirstDayOfWeek)) & "/" & CStr(Day(FirstDayOfWeek)) & "/" & CStr(Year(FirstDayOfWeek))

	EndDate = CStr(Month(Now)) & "/" & CStr(Day(Now)) & "/" & CStr(Year(Now))

End If

If DateRange = "LastCompleteWeek" Then
	LastDayOfLastCompleteWeek = 0 - WeekDay(Now)
	FirstDayOfLastCompleteWeek = LastDayOfLastCompleteWeek - 7

	DaysUntilEndOfWeek = 7 -  WeekDay(Now)

	FirstDayOfWeek = DateAdd("d", FirstDayOfLastCompleteWeek, Now)

	StartDate = CStr(Month(FirstDayOfWeek)) & "/" & CStr(Day(FirstDayOfWeek)) & "/" & CStr(Year(FirstDayOfWeek))

	LastDayOfWeek = DateAdd("d", LastDayOfLastCompleteWeek, Now)

	EndDate = CStr(Month(LastDayOfWeek)) & "/" & CStr(Day(LastDayOfWeek)) & "/" & CStr(Year(LastDayOfWeek))

End If

If DateRange = "Current" Then

	StartDate = CStr(Month(Now)) & "/1/" & CStr(Year(Now))

	LastDay = GetLastDayOfMonth(Month(Now), Year(Now))

	EndDate = CStr(Month(Now)) & "/" & CStr(LastDay) & "/" & CStr(Year(Now))

End If

If DateRange = "LastCompleteMonth" Then

	PreviousMonth = Month(Now) - 1

	YearValue = Year(Now)
	If PreviousMonth = 0 Then
		PreviousMonth = 12
		YearValue = YearValue -1
	End If

	LastDay = GetLastDayOfMonth(PreviousMonth, YearValue)

	StartDate = CStr(PreviousMonth) & "/1/" & CStr(YearValue)

	EndDate = CStr(PreviousMonth) & "/" & CStr(LastDay) & "/" & CStr(YearValue)

End If

If DateRange = "Quarter" Then

	CurrentMonth = Month(Now)

	If CurrentMonth = 4 or CurrentMonth = 5 Or CurrentMonth = 6 Then
		StartMonth = 1
		EndMonth = 3
		YearValue = Year(Now)
		LastDay = GetLastDayOfMonth(EndMonth, YearValue)

		StartDate = CStr(StartMonth) & "/1/" & CStr(YearValue)

		EndDate = CStr(EndMonth) & "/" & CStr(LastDay) & "/" & CStr(YearValue)
	End If

	If CurrentMonth = 7 or CurrentMonth = 8 Or CurrentMonth = 9 Then
		StartMonth = 4
		EndMonth = 6
		YearValue = Year(Now)
		LastDay = GetLastDayOfMonth(EndMonth, YearValue)

		StartDate = CStr(StartMonth) & "/1/" & CStr(YearValue)

		EndDate = CStr(EndMonth) & "/" & CStr(LastDay) & "/" & CStr(YearValue)
	End If

	If CurrentMonth = 10 or CurrentMonth = 11 Or CurrentMonth = 12 Then
		StartMonth = 7
		EndMonth = 9
		YearValue = Year(Now)
		LastDay = GetLastDayOfMonth(EndMonth, YearValue)

		StartDate = CStr(StartMonth) & "/1/" & CStr(YearValue)

		EndDate = CStr(EndMonth) & "/" & CStr(LastDay) & "/" & CStr(YearValue)
	End If

	If CurrentMonth = 1 or CurrentMonth = 2 Or CurrentMonth = 3 Then
		StartMonth = 10
		EndMonth = 12
		YearValue = Year(Now) - 1

'		response.write "EndMonth = " &  EndMonth
'		response.write "YearValue = " & YearValue
'		Response.flush
'		Response.end

		LastDay = GetLastDayOfMonth(EndMonth, YearValue)

		StartDate = CStr(StartMonth) & "/1/" & CStr(YearValue)

		EndDate = CStr(EndMonth) & "/" & CStr(LastDay) & "/" & CStr(YearValue)
	End If

End If ' End of Last Quarter

' LAST HALF YEAR

If DateRange = "LastHalfYear" Then

	CurrentMonth = Month(Now)

	If CurrentMonth = 7 or CurrentMonth = 8 Or CurrentMonth = 9 or CurrentMonth = 10 or CurrentMonth = 11 Or CurrentMonth = 12 Then
		StartMonth = 1
		EndMonth = 6
		YearValue = Year(Now)
		LastDay = GetLastDayOfMonth(EndMonth, YearValue)

		StartDate = CStr(StartMonth) & "/1/" & CStr(YearValue)

		EndDate = CStr(EndMonth) & "/" & CStr(LastDay) & "/" & CStr(YearValue)
	End If

	If CurrentMonth = 1 or CurrentMonth = 2 Or CurrentMonth = 3 OR CurrentMonth = 4 or CurrentMonth = 5 Or CurrentMonth = 6 Then
		StartMonth = 7
		EndMonth = 12
		YearValue = Year(Now) - 1
		LastDay = GetLastDayOfMonth(EndMonth, YearValue)

		StartDate = CStr(StartMonth) & "/1/" & CStr(YearValue)

		EndDate = CStr(EndMonth) & "/" & CStr(LastDay) & "/" & CStr(YearValue)
	End If

End IF ' End of If LastHalfYear

If DateRange = "LastCompleteYear" Then

	CurrentMonth = Month(Now)

		StartMonth = 1
		EndMonth = 12
		YearValue = Year(Now) - 1
		LastDay = GetLastDayOfMonth(EndMonth, YearValue)

		StartDate = CStr(StartMonth) & "/1/" & CStr(YearValue)

		EndDate = CStr(EndMonth) & "/" & CStr(LastDay) & "/" & CStr(YearValue)

End IF ' End of If LastCompleteYear

If DateRange = "Last30Days" Then

	SearchDate = DateAdd("d", -30, Now)

	StartMonth = Month(SearchDate)
	StartDay = Day(SearchDate)
	YearValue = Year(SearchDate)

	StartDate = CStr(StartMonth) & "/" & StartDay & "/" & CStr(YearValue)

	' No End Date specified...

	EndDate = CStr(Month(Now)) & "/" & CStr(Day(Now)) & "/" & CStr(Year(Now))

End IF ' End of If Last30Days

	If DateRange = "Last60Days" Then

		SearchDate = DateAdd("d", -60, Now)

		StartMonth = Month(SearchDate)
		StartDay = Day(SearchDate)
		YearValue = Year(SearchDate)


		StartDate = CStr(StartMonth) & "/" & StartDay & "/" & CStr(YearValue)

		' No End Date specified...

		EndDate = CStr(Month(Now)) & "/" & CStr(Day(Now)) & "/" & CStr(Year(Now))

	End IF ' End of If Last30Days

 	Call SetLocale(Locale) ' CMB 08/16/2011
 End Sub

 %>

 <% Function SwitchMonthDate(datestring)
  ' This function takes a date string in DD/MM/YY 0r yyyy format and recasts it in MM/DD/YY  format

     DIM aryChunk
     aryChunk = Split(datestring,"/")
     SwitchMonthDate = aryChunk(1) & "/" & aryChunk(0) & "/" & aryChunk(2)

  End Function
%>

 <% Function YYMMDD(datestring)
 ' This function takes a date string in MM/DD/YY format and recasts it in YY/MM/DD format

    DIM aryChunk
    aryChunk = Split(datestring,"/")
    YYMMDD = aryChunk(2) & "/" & aryChunk(0) & "/" & aryChunk(1)

 End Function
%>

<% Function MakeYYYYMMDD(datestring,DateDisplayFormat)
 ' This function takes a date string in MM/DD/YYYY or DD/MM/YYYY format and recasts it in YYYYMMDD  format (access 2000 tables)

    DIM aryChunk
    aryChunk = Split(datestring,"/")
    If DateDisplayFormat = "DDMMYYYY" then 'UK
    	MakeYYYYMMDD = aryChunk(2) &  aryChunk(1)  & aryChunk(0)
    else
    	MakeYYYYMMDD = aryChunk(2)  & aryChunk(0) & aryChunk(1)
    end If

 End Function
%>

<%
Function UnMakeYYYYMMDD(Datestring,DateDisplayFormat)
' this function takes a yyyymmdd date string and formats to either mm/dd/yy or dd/mm/yyyy for displaying
	' And Time must be converted from: HHMMSS in 24 hour format to AM/PM formats

	' Depending upon the WCDateFormat Setting (set in DB_define.inc) we will
	' display the date in
	' in MM/DD/YYYY (US Version and default) or DD/MM/YYYY for UK version

	If DateDisplayFormat = "DDMMYYYY" Then
		UnMakeYYYYMMDD = mid(Datestring,7,2) & "/" & mid(Datestring,5,2)  &  "/" & mid(Datestring,1,4)
	else ' Default to US version
		UnMakeYYYYMMDD = mid(Datestring,5,2) & "/" & mid(Datestring,7,2) & "/" & mid(Datestring,1,4)
	End IF
End Function

Function ConvertTimeForDisplay(TimeString)
	ConvertedmodTime = mid(TimeString, 1,2) & ":" & mid(TimeString,3,2)
	ConvertedHour = int(mid(TimeString,1,2))
	If ConvertedHour > 12 then
		ConvertedHour = ConvertedHour -12
		AMPM = " PM"
		ConvertedmodTime = CStr(ConvertedHour) & mid(ConvertedmodTime, 3,3)
	Else
		AMPM = " AM"
	End If
	ConvertTimeForDisplay=ConvertedmodTime
End Function
%>

<%
Function PadDate (inDate)
'takes a 3/3/91 date and makes it 02/02/yyyy or whatever (should be UK neutral)
    DIM aryChunk
    aryChunk = Split(inDate,"/")

	if len(aryChunk(0)) < 2 then
		s = "0" & aryChunk(0)
	else
		s =  aryChunk(0)
	end if

	if len(aryChunk(1)) < 2 then
		s = s & "/" & "0" & aryChunk(1)
	else
		s = s & "/" & aryChunk(1)
	end if

	if len(aryChunk(2)) < 4 then
		s = s & "/" & "20" & aryChunk(2)
	else
		s = s & "/" & aryChunk(2)
	end if

	PadDate = s

End Function
%>

<%

Function CreateCurrentDateFormatted ' NOTE probably needs to use locale
	' Create a currentDate variable that contains a string with YYYYMMDD

	' We must very carefully create the date string that we are going to
	' use in the SQL instruction since the system can easily
	' return incorrect values like 9/12/99 or 09/12/1999
	' depending upon their regional settings so this code
	' will hopefully extract the right values.

	call SetLocale(1033)
	sCurrentDateFormatted = CStr(Year(Date))

	If len(CStr(Month(Date))) < 2 then
		sCurrentDateFormatted = sCurrentDateFormatted & "0" & CStr(Month(Date))
	Else
		sCurrentDateFormatted = sCurrentDateFormatted & CStr(Month(Date))
	End If

	If len(CStr(Day(Date))) < 2 then
		sCurrentDateFormatted = sCurrentDateFormatted & "0" & CStr(Day(Date))
	Else
		sCurrentDateFormatted = sCurrentDateFormatted & CStr(Day(Date))
	End If
	CreateCurrentDateFormatted = sCurrentDateFormatted
End Function
%>

<%
Function IsValidUser(lvl)

'returns yes or no; uses cookie id
		CookieID = Request.Cookies("ISS_TECH_CENTER_LOGIN") ' Get the Logged TechID from the cookie
		IsValidUser = "NO"  ' set default
		set conntemp=server.createobject("adodb.connection")
		conntemp.open myDSN

		mySQL2="SELECT * from Tech_staff where Tech_ID = '" & CookieID & "' AND Tech_Level >= " & lvl
		set rstemp=conntemp.execute(mySQL2)

		' Check to see if any records are returned
		' if none found the

		If rstemp.EOF <> True Then
			IsValidUser = "YES" ' Set this variable to prevent problems on next page
		End If

		rstemp.close
		set rstemp=nothing
		conntemp.close ' Close the connection
		set conntemp=nothing

End Function
%>

<%
Function ComputeHourDifference(open_time, open_date, mod_Time, mod_date)
	call SetLocale(1033) ' need to do this for UK compliance

	FormattedOpenDate = mid(Open_Date,5,2) & "/" & mid(Open_Date,7,2) & "/" & mid(Open_Date,1,4)
	' Now we need to add the time as well to that string as hh:mm
	FormattedOpenTime = mid(Open_Time,1,2) & ":" & mid(Open_Time,3,2)
	FormattedOpenDateTime = FormattedOpenDate & " " & formattedOpenTime

	' Now put this OpenDate format into a format that the DateDiff() function
	' can work with converting from YYYYMMDD to mm/dd/yyyy

	FormattedModDate = mid(Mod_Date,5,2) & "/" & mid(Mod_Date,7,2) & "/" & mid(mod_Date,1,4)
	' Now we need to add the time as well to that string as hh:mm
	FormattedModTime = mid(Mod_Time,1,2) & ":" & mid(Mod_Time,3,2)
	FormattedDateTime = FormattedModDate & " " & formattedModTime

	MinutesDiff = DateDiff("n", FormattedOpenDateTime, FormattedDatetime )
	'response.write "Now=" & Now()
	'response.write "FormattedDateTime = " & FormattedDatetime
	'response.write "Minutes Difference = " & MinutesDiff

	ComputeHourDifference = MinutesDiff/60

	' Debugging
'		response.write "Open_time = " & open_time & " Open Date = " & Open_Date
'		response.write "mod_time = " & mod_time & " mod Date = " & mod_Date
'		response.write "Hour Difference = " & ComputeHourDifference

 End Function
%>

<% Function DisplayTwoPlaces(Amount)

	'This function Displays dollar/cents amounts with the dollar sign
	' or currency symbol.

	ShortString = FormatCurrency(Amount)
	DisplayTwoPlaces = Replace(ShortString, "$", "")

	End Function

%>

<% Function GetLastDayOfMonth(MonthNumber, YearNumber)

	'This function determines the last day of the month (28, 30 or 31)
	' based on the passed MonthNumber and YearNumber

	If MonthNumber = 1 Or MonthNumber = 3 Or MonthNumber = 5 Or MonthNumber = 7 Or MonthNumber = 8 Or MonthNumber = 10 OR MonthNumber = 12 Then
		GetLastDayOfMonth = 31
	End If

	If MonthNumber = 4 Or MonthNumber = 6 Or MonthNumber = 9 Or MonthNumber = 11 Then
		GetLastDayOfMonth = 30
	End If

	' Determine Leap Years for 29 or 28 days

	If MonthNumber = 2 Then

		If (4*(Cint(YearNumber/4)) - YearNumber) <> 0 Then
			GetLastDayOfMonth = 28
		Else
			GetLastDayOfMonth = 29
		End If
	End If

	End Function
%>

<% Function IsDate(i)
	' NOTE this only checks to see whether a field is probably a date versus whether it is a VALID Date
	' so we can do processing to switch mm/dd/yy to yyyy etc.  This only checks to see whether two slashes
		Dim bReturn
		bReturn = false

  		If InStr(i,"/") Then
			a = Split(i,"/")
			u = UBound(a)

		   If u = 2 Then
				bReturn = true
		   End If
	   End if
	   IsDate = bReturn
	End Function
%>

<%
Function IsStoredAsDate(i)
	' NOTE this only checks to see whether a field in the database is probably a date versus whether it is a VALID Date
	' so we can do processing to switch mm/dd/yy to yyyy etc.  This only checks to see whether between 19000000 and 21000000
		Dim bReturn
		Dim l
		bReturn = false

  		if isNumeric (i) then
  			l = clng(i)
  			if l > 19000000 and l < 21000000 then
				bReturn = true
		   End If
	   End if
	   IsStoredAsDate = bReturn
End Function
%>

<%
 Function IsValidDateInput(i,DateFormat)
	  b = false
	On error resume next

	  If InStr(i,"/") Then
			a = Split(i,"/")
			if err.number = 0 then
				u = UBound(a)
				if err.number = 0 then
		   			If u = 2 Then
						if DateFormat = "DD/MM/YYYY" or DateFormat = "DDMMYYYY" then  ' 10/19/12
							d = a(0)
							m = a(1)
							y = a(2)
			   			else
							d = a(1)
							m = a(0)
							y = a(2)
						end if
						If isNumeric(y) AND isNumeric(m) AND isNumeric(d) AND _
				   			(Len(y) = 4 or Len(y) = 2) AND (Len(m) = 2 or Len(m) = 1) AND (Len(d) = 2 or Len(d) = 1) then

				   			if (m >= 1 AND m <= 12) AND (d >= 1 AND d <= 31)  then
				   				if err.number = 0 then
				   					c= cdate(i)
				   					if err.number = 0 then
										b = true
									end if
								end if
							end if
						end if
					end if ' u = 2
				End If
		   End If
	   End if
		if err.number <> 0 then
			b = false
		end if
	   IsValidDateInput = b
  End Function
  %>

  <%
  	Function GetAge(sDate1,DateFormat) ' returns age in years with one decimal place
  		Dim sDate
  		sDate = sDate1

  		Locale = GetLocale()
  		Call SetLocale (1033)

  		nAge = 0
  		on error resume next
		if isValidDateInput(sDate, DateFormat) then
			if DateFormat = "DD/MM/YYYY" or DateFormat = "DDMMYYYY" then ' 10/19/12
				sDate = SwitchMonthDate(sDate)
			End If
			d=datediff("d",sDate,Date())
			nAge=formatNumber(d/365,1)  ' 1 decimal
		End If
  		Call SetLocale(Locale)
  		GetAge = nAge

  	End Function
%>