<% 'Module: RetireSurplus.inc

   'Description:  This module allows a tech user 
   ' to retire an asset.
   ' Since this was customized code, the fields used are those from
   ' the client for which the code was customized.  In order to
   ' use this, you'd probably want to change some of the fields to
   ' values which make sense for your corporation

   '(C) 2000 Internet Software Sciences
   ' www.inet-sciences.com

  ' Sets Asset assignments to Blank (customer, tech, asset number)
  ' Sets Bldg (location) to blank
  ' Sets Room # (group) to blank
 '  Sets Department (monitor model) to blank
 '  Sets Assignment type (Lease or purchase) to 'unassigned'
 '  Sets Status (Monitor serial number) to 'surplus' or 'retired' 
'   All of the previous values of the above are recorded in the Asset Notes

   'History:

   'Date		Who		What
   '-------	---		------------------------------------------------
   '04/30/12   CMB      Moved functions to include file

%>

<%
Dim NewRecord
Dim sCustomer
Dim sTech
Dim sAssetNumber2
%>
<% 
Function Retire (nAsset)
	Retire = RetireSurplus(nAsset,"RETIRE")
End Function

Function Surplus (nAsset)
	Surplus = RetireSurplus(nAsset,"SURPLUS")
End Function
%>

<% Function RetireSurplus (nAsset,sWhich)

	Dim bReturn
	Dim AssetAuditTrail

	bReturn = False
	call GetAssignedTo(nAsset)
	GetDatabaseConfiguration ts_user_page_color, Assets_db, customer_Drop_Down, TimeZoneAdjustment, TimeZoneLabel, MaxAuditTrail, AssetAuditTrail
	UserName = TechFullName(Request.Cookies("ISS_TECH_CENTER_LOGIN") ) ' Get the name of the tech logged in

	set connR=server.createobject("adodb.connection")
	connR.open myDSN ' Open the connection once here

	SQL = "Select * from Assets where asset_number = " & nAsset
	Set NewRecord = Server.CreateObject("ADODB.Recordset")

	NewRecord.Open SQL,ConnR,3,3

	if not newrecord.eof then

		sNewHistory =  ""

		DateString = ""
		TimeString = ""
		CreateTimeDateValues DateString, TimeString, DateTimeString

		CurrentNotes = NewRecord("AssetNotes")

		' Add Date and Time stamps and who edited the notes
		' Time Stamp the Case History before we put it into the case record

		If sWhich="SURPLUS" then ' note changed this to moved from surplus rather than retired 04/25/12
			NewNotes = CurrentNotes & "<P><font color=green>" &  DatetimeString &  "</font><br><font color=brown><B>Moved to surplus by: </b> "& UserName & "</font><br>" & vbCRLF
		Else
			NewNotes = CurrentNotes & "<P><font color=green>" &  DatetimeString &  "</font><br><font color=brown><B>Retired By: </b> "& UserName & "</font><br>" & vbCRLF
		End If

		LastUpdateString = DateString&TimeString
		NewRecord("LastUpdate") = LastUpdateString

		NewRecord("UpdatedBy") = CookieID ' Store the Tech_id of user making mods

		NewRecord("Dummy_field") = 0 ' Set this required field for historical reasons.

		sNewHistory =  sNewHistory & SetValue(nasset, Assigned_Group_Label, "Assigned_Group", "")
		NewRecord("Assigned_Group") = ""  'Delete Room number

		sNewHistory =  sNewHistory & SetValue(nasset, Location_Label, "Location", "")
		NewRecord("Location") = ""   ' wasn't part of instructions but probably want to set building to none

		If sCustomer > "" then
			sCustomerFullName = CustomerFirstLast(sCustomer)
			sNewHistory = 	sNewHistory & "<FONT COlor=Blue>" & ucase(wc_Assigned_To) & " " & ucase(wc_Customer) &"</FONT>: " & sCustomerFullName & " DELETED</br>"
		End If

		If sTech > "" then  ' 02/03/12
			sTechFullName = TechFullName(sTech)
			sNewHistory = 	sNewHistory & "<FONT COlor=Blue>" & ucase(wc_Tech_assignment)  &"</FONT>: " & sTechFullName & " DELETED</br>"
		End If

		If sAssetNumber2 > "" then  ' 02/03/12
			sNewHistory = 	sNewHistory & "<FONT COlor=Blue>" & ucase(wc_Other_Asset_Number)  &"</FONT>: " & sAssetNumber2 & " DELETED</br>"
		End If

		sNewHistory =  sNewHistory & SetValue(nasset, MONITOR_MODEL_Label, "MONITOR_MODEL", "")
		NewRecord("MONITOR_MODEL") = "" ' Department

		sNewHistory =  sNewHistory & SetValue(nasset, Lease_or_Purchase_Label, "Lease_or_Purchase", "Unassigned")
		NewRecord("Lease_or_Purchase") = "Unassigned"  'Assignment Type = "Unassigned"

		if sWhich = "SURPLUS" then
			sNewHistory =  sNewHistory & SetValue(nasset, Monitor_Serial_Number_Label, "Monitor_Serial_Num", "Surplus (stock)")
			NewRecord("Monitor_Serial_Num") = "Surplus (stock)" '	System status is set to "Surplus (stock)"
		Else 'retire
			sNewHistory =  sNewHistory & SetValue(nasset, Monitor_Serial_Number_Label, "Monitor_Serial_Num", "Retired")
			NewRecord("Monitor_Serial_Num") = "Retired" '	System status is set to "Retired"
		End If

		sNewHistory =  sNewHistory & SetValue(nasset, Processor_Speed_Label, "Processor_Speed", "NO") ' 03/05/08
		NewRecord("Processor_Speed") = "NO" '	refresh set to NO  ' 03/05/08

		NewNotes = NewNotes & sNewHistory ' NEW ASSETS
		NewRecord("AssetNotes") = NewNotes

		NewRecord.Update

		'If  err.number>0 then
		'      response.write "VBScript Errors Occured:" & "<P>"
		'      response.write "Error Number=" & err.number & "<P>"
		'     response.write "Error Descr.=" & err.description & "<P>"
		'      response.write "Help Context=" & err.helpcontext & "<P>"
		'      response.write "Help Path=" & err.helppath & "<P>"
		'      response.write "Native Error=" & err.nativeerror & "<P>"
		'      response.write "Source=" & err.source & "<P>"
		'      response.write "SQLState=" & err.sqlstate & "<P>"
		'else
		'      response.write "No VBScript Errors Occured" & "<P>"
		'end if
		'IF  conn.errors.count> 0 then
		'      response.write "Database Errors Occured" & "<P>"
		'for counter= 0 to conn.errors.count
		'      response.write "Error #" & conn.errors(counter).number & "<P>"
		'      response.write "Error desc. -> " & conn.errors(counter).description & "<P>"
		'next
		'else
		''      response.write "No Database Errors Occured!" & "<P>"
		'end if

		NewRecord.Close

		SQL = "Delete from AssetAssignment where Asset_Number = " & nAsset
		Set rstemp2=connR.execute(SQL)

		bReturn = true
	End If
	Set NewRecord = Nothing
	ConnR.Close		
	Set connR = nothing

	RetireSurplus = bReturn
End Function
%>

<% Sub GetDatabaseConfiguration(ts_user_page_color, Assets_db, customer_drop_down, TimeZoneAdjustment, TimeZoneLabel, nMaxAuditTrail,bAssetAuditTrail)
	'This function gets the database configuration information

	set connR=server.createobject("adodb.connection")

	connR.open myDSN ' Open the connection once here

	mySQL2="select * from Configuration"
	set rstemp2 = server.createobject("adodb.recordset")

	rstemp2.open mySQL2, connR, 1,3 ' apparently you need to do this for bit fields!

	MaxAuditTrail = 2000
	bAssetAuditTrail = False

	if rstemp2.EOF then
		ts_user_page_color = "FFFFFF"
		Assets_db = 0
	Else
		ts_user_page_color = rstemp2("ts_user_page_color")
		Assets_db = rstemp2("Assets_db")
		customer_drop_down = rstemp2("customer_id_list")
		TimeZoneAdjustment = rstemp2("Time_zone_Adjustment")
		TimeZoneLabel = rstemp2("Time_zone_Label")
		If Version7point5 = "YES" then
			if IsNull(rstemp2("MaxAssetAuditTrail"))	Then
				nMaxAuditTrail=2000
			Else
				nMaxAuditTrail = rstemp2("MaxAssetAuditTrail")
			End If
			if IsNull(rstemp2("AssetAuditTrail")) then
				bAssetAuditTrail = False
			else
				bAssetAuditTrail = rstemp2("AssetAuditTrail")
			End If
		End If
	End If

	rstemp2.close
	set rstemp2=nothing


	connR.close ' Close the connection
	set connR=nothing

	End Sub ' End of GetdatabaseConfiguration
	%>

<%Sub CreateTimeDateValues( DateString, TimeString, DateTimeString)
'	This Sub creates the TimeDate values that are used
' 	when adding or updating the case record

	' We must very carefully create the date string that we are going to
	' use in the SQL instruction since the system can easily
	' return incorrect values like 9/12/99 or 09/12/1999
	' depending upon their regional settings so this code
	' will hopefully extract the right values.


	' Compute the new Date and Time based on Server Time Zones plus
	' or minus the Time Zone Adjustments.  The time difference between
	' the Server Time and time where the web transaction is taking
	' placing is set by the variable called TimeZoneAdjustment

	'TimeZoneAdjustment = 0 ' Set this +/- Server Time Zone

	'TimeZoneAdjustment is set in the System Configuration Menu
	' Stored in Database as String
	If TimeZoneAdjustment = "" OR IsNull(TimeZoneAdjustment) = True Then
		TimeZoneAdjustmentInt = 0
	Else
		TimeZoneAdjustmentInt = CInt(TimeZoneAdjustment)
	End If

	' Time Zone Label is also stored in configurable table in DB

	'TimeZoneLabel = "(PST)"

	NewDate = DateAdd("h", TimeZoneAdjustmentInt, Now)

	CurrentDateFormatted = CStr(Year(NewDate))

	If len(CStr(Month(Date))) < 2 then
		CurrentDateFormatted = CurrentDateFormatted & "0" & CStr(Month(NewDate))
	Else
		CurrentDateFormatted = CurrentDateFormatted & CStr(Month(NewDate))
	End If

	If len(CStr(Day(Date))) < 2 then
		CurrentDateFormatted = CurrentDateFormatted & "0" & CStr(Day(NewDate))
	Else
		CurrentDateFormatted = CurrentDateFormatted & CStr(Day(NewDate))
	End If

	DateString = CurrentDateFormatted ' In YYYYMMDD format

	' Now Create the time string in the format of HHMMSS

	TimeString = Right("0" & Hour(time), 2) & Right("0" & Minute(time),2) & Right("0" &Second(time),2)
	TimeString = Right("0" & DatePart("h",NewDate), 2) & Right("0" & DatePart("n", NewDate),2) & Right("0" & DatePart("s", NewDate),2)

	DateTimeString= Date & " " & time

	DateTimeString =    WeekDayName(Weekday(NewDate)) & " " & MonthName(Month(NewDate)) & " " & Day(NewDate) & ", " & Year(NewDate) & " " & Time
	DateTimeString =    WeekDayName(Weekday(NewDate)) & " " & MonthName(Month(NewDate)) & " " & Day(NewDate) & ", " & Year(NewDate) & " "
	' Now computer the time in HH:MM PM/AM
	HourPart = DatePart("h", NewDate)
	If HourPart > 12 Then
		HourPart = HourPart - 12
		DateTimeString = DateTimeString & HourPart & ":" & Right("0" & DatePart("n", NewDate),2) & " PM " & TimeZoneLabel
	Else
		DateTimeString = DateTimeString & HourPart & ":" & Right("0" & DatePart("n", NewDate),2) & " AM " & TimeZoneLabel
	End IF


	End Sub ' End of CreateTimeDateValues
%>

<%
Function SetValue(nAss, LabelName, ColumnName, NewValue)
	'This function sets a value in the database then writes it into the record

	Dim sOut
	Dim OldValue

	sOut = ""
	if nAss <> "" then  ' don't do it for new records
		if isnull(NewRecord(ColumnName)) then
			OldValue = ""
		else
			OldValue = NewRecord(ColumnName)
		End if

		If OldValue <> NewValue then
			'add to asset history
			If oldValue = "" then
			'	 sout =  "<B>" & ucase(LabelName) & "</B> ADDED</br>" 'SHORT VERSION
				sout =  "<B>" & ucase(LabelName) & "</B> ADDED: " & NewValue & "</br>" ' LONG VERSION
			Else
				if NewValue > "" then
					sout =  "<FONT COlor=Blue>" & ucase(LabelName) & "</FONT> CHANGED FROM: " & OldValue & " TO: " & NewValue & "</br>"  ' LONG VERSION
				else
					sout =  "<FONT COlor=Blue>" & ucase(LabelName) & "</FONT>: " & OldValue & " DELETED</br>"  ' LONG VERSION
				End If
			'	sout =  "<B>" & ucase(LabelName) & "</B> CHANGED FROM: " & OldValue & "</br>"  ' SHORT VERSION
			End If
		End If
	end if

	If NewValue <> "" Then
		NewRecord(ColumnName) = NewValue
	End If

	If IsNull(NewRecord(ColumnName)) = False and NewValue = "" Then
		NewRecord(ColumnName) = Null ' Set to Null
	End If

	SetValue = sOut

End Function
	%>
	
<% Sub GetAssignedTo(nAsset)

	sCustomer = ""  ' Globals
	sTech = ""
	sAssetNumber2 = ""

	set connR=server.createobject("adodb.connection")
	connR.open myDSN ' Open the connection once here

	mySQL2 = "Select * from assetassignment where asset_number = " & nasset

	set rstemp4=connR.execute(mySQL2)

	If not rstemp4.eof then
		If not IsNULL(rstemp4("Customer_ID")) then
			'sCustomer = wc_Customer & " " & rstemp("Customer_ID") ' i would think you'd really want customer in here not id			end if
			sCustomer = rstemp4("Customer_ID")
		End If

		If Not IsNull(rstemp4("Tech_ID")) then
			'sTech = wc_assigned_tech & " " & rstemp4("Tech_ID")
			sTech = rstemp4("Tech_ID")
		End If

		if not isnull(rstemp4("Asset_Number2")) then
		'	sAssetNumber2 = wc_Assigned_To & " " & rstemp4("Asset_Number2")
			sAssetNumber2 = rstemp4("Asset_Number2")
		End If
	End If

	rstemp4.close
	set rstemp4=nothing
	connR.close
	Set connR = nothing
End Sub
%>

<% Function CustomerFirstLast(CustID)
	'This function gets the full name of the Customer
	Dim sReturn
	sReturn = ""

	If CustID = "" Then
		sReturn = "Un-assigned"
	Else

		set connR=server.createobject("adodb.connection")
		connR.open myDSN ' Open the connection once here

		mySQL2="select * from Customers where customer_id = '" & custid & "'"
		set rstemp2=connR.execute(mySQL2)

		if rstemp2.EOF then
			sReturn = "Customer Not Defined for Customer_ID: " & CustID
		Else
			if isnull(rstemp2("contact_fname")) then
				FirstName = ""
			else
				FirstName = rstemp2("contact_Fname")
			end if

			if isnull(rstemp2("contact_lname")) then
				LastName = ""
			else
				LastName = rstemp2("contact_lname")
			end if

			if isnull(rstemp2("company")) then
				Company = ""
			else
				Company = rstemp2("Company")
			end if

		'	sReturn = trim(FirstName & " " & LastName) & " / " & "(<font color=brown>" & company & "</font>)"
			sReturn =  Trim(FirstName) & " " & trim(LastName)
		End If

		rstemp2.close
		set rstemp2=nothing
		connR.Close
		Set connR = nothing

	End If

	CustomerFirstLast = sReturn
End Function '
%>
	
<% Function TechFullName(Tech_ID)
'This function gets the full name of the Tech or Sales Contact logged
'into the system.

	If Tech_ID = "" Then
		TechFullName = "Un-assigned"
	Else

		set connR=server.createobject("adodb.connection")
		connR.open myDSN ' Open the connection once here

		mySQL2="select * from Tech_staff where tech_id = '" & Tech_id & "'"
		set rstemp2=connR.execute(mySQL2)

		' Check to see if any records are returned
		' if none found the
		if rstemp2.EOF then
			TechFullName = "User Not Defined for Tech_ID: " & Tech_id
		Else
			TechFullName = rstemp2("first_name") & " " & rstemp2("Last_name")
		End If

		rstemp2.close
		set rstemp2=nothing
		connR.Close
		Set connR = nothing

	End If


End Function ' End of TechFullName
%>
