<% 'Module: TCaseForm.asp

   'Description: This module display the Tech+Center case form'
   ' It is passed either a customer_ID or a case ID
   '(C) 2000, 2001, 2002 Internet Software Sciences
   ' www.inet-sciences.com



   'History:

   'Date		Who		What
   '-------	---		------------------------------------------------
   '09/14/00	SAV		Created original TCaseForm.asp Page
   '09/22/00	SAV		Added Function to Read Priorities from Priority Table
   '09/15/2011  CMB     Added different link to asset window that returns 3 fields; get asset_number if passed in; get other asset fields;
   '10/03/2011 CMB     Projects
   '10/5/11    CMB     Removed extraneous getconfiguration call; version 7.5 configuration
   '10/31/11   CMB     Changed directions of topframe.gif (bottomframe.gif)
   '02/14/13	SAV		Added 8.0 feature for additional customer case assignments
  '03/12/13    CMB     Only do a cint(asset_number) if isnumeric; don't look for additional customers if 'NEW"
  '03/29/13    CMB     Additional customer notifications had msg in the box
  '04/19/13    CMB     Version 8 vs normal for duplicate code processing; switch names additionalcustomers; don't include
  '                    customers already assigned in select drop down for additionalcustomers

	' CONSTANTS
%>

<%' Get the Database DNS and login information - Edit this file to change the DSN connection string%>

<!-- #INCLUDE FILE="DB_define.inc" -->
<!-- #INCLUDE FILE="../Language/wcLabels.inc" -->
<!-- #INCLUDE FILE="../Language/QBOptions.inc" -->
<!-- #INCLUDE FILE="../Language/CodeCustomizations.inc" -->
<!-- #INCLUDE FILE="../Language/AssetLabels.inc" -->

<%  spacerheight=3 %>


<%' Include this file to get special database cursor constants to read record count values %>
<!-- #INCLUDE FILE="Adovbs.inc" -->
<% 'First Show the Report Menu at the top of the page
%>

<% ' ASP Page Security Checks ***********************************
	' This security will check to see if the logged in tech member
	'has the right user level to
	' run this function.  If not, then display an error page.

	' Set the minumum tech security level required for this function.
	' 6 = Configurator = Highest Rights
	' 5 = Administrator
	' 4 = Dispatcher
	' 3 = Tech Read/Write
	' 2 = Tech Read only
	' 1 = No access - Lowest Rights

	TechLevel = 2 ' Allow only levels 2 and above


	CookieID = Request.Cookies("ISS_TECH_CENTER_LOGIN") ' Get the Logged TechID from the cookie

		set conntemp=server.createobject("adodb.connection")
		conntemp.open myDSN

		mySQL2="SELECT * from Tech_staff where Tech_ID = '" & CookieID & "' AND Tech_Level >= " & TechLevel
		set rstemp=conntemp.execute(mySQL2)

		' Check to see if any records are returned
		' if none found the

		If rstemp.EOF <> True Then
			ValidUser = "YES" ' Set this variable to prevent problems on next page
			Tech_Level = rstemp("Tech_Level")
		End If

		rstemp.close
		set rstemp=nothing
		conntemp.close ' Close the connection
		set conntemp=nothing

 ' End of ASP page security checks
 %>


<% if ValidUser <> "YES" Then %>
	<% ASPPage = "TCaseForm.asp"%>

	<!-- #include file=Invaliduser.inc-->

<%else '  Valid User for this function %>

<% ' Get get the Database information starting with configuration information %>

<%
	' FIRST Get the values from the configuration file and into variables

	set conntemp=server.createobject("adodb.connection")
	conntemp.open myDSN

	mySQL="select * from Configuration" ' We will allow up to 10 priority values

	'**** Major problem with SQL*Server and Conntemp.execute when getting
	' configuration data.  One should use: recordset.open DSN connection 1, 3

	' Cursor type needs to be specified and use rstemp.open

	set rstemp = server.createobject("adodb.recordset")
	rstemp.open mySQL, conntemp, 1,3

	If rstemp.EOF = True  Then
		Response.write "No configuration file found"
		assets_db = 0
		ts_user_page_color = "FFFFFF"
	Else

		' Get the values from the configuration File

		TextBoxSizing = rstemp("Text_Box_Sizing")
		CasesummaryRows = rstemp("case_summary_rows")
		CasesummaryMaxRows = rstemp("case_summary_Max_Rows")
		CaseResolutionRows = rstemp("case_resolution_rows")
		CaseResolutionMaxRows = rstemp("Case_resolution_Max_Rows")
		CaseHistoryRows = rstemp("Case_History_Rows")
		CaseTextBoxColumns = rstemp("Case_Text_Box_Columns")
		TimeZoneAdjustment = rstemp("Time_zone_Adjustment")
		TimeZoneLabel = rstemp("Time_zone_Label")
		Language = rstemp("Language")

		ts_user_page_color = "FFFFFF"
		assets_db =  rstemp("assets_db")

		If Instr(Language, "Calendar" ) Then
			DisableWebCenterCalendar = "NO"
		Else
			DisableWebCenterCalendar = "YES"
		End If

		ALLKBUpdate = rstemp("All_KB_Update")
		TimeSpentCategory = rstemp("Time_Spent_Category")
		MinutesPerCategory = rstemp("Time_Spent_Interval")
		WCDateFormat = rstemp("Date_Display_Format")
		ExtendedTimeSpent = rstemp("ExtendedTimeSpent")

		FileUpLoadDestinationPath = rstemp("FileUploadPhysicalPath") ' Set this to your full destination path



		'*** version 7.5
		bExpenses = False
		bAssetInspections = True ' backwards compabitility
		bAdditionalEmails = False ' backwards compabitility

		If AdditionalNotificationEmails = "YES" then ' backwards compabitility
			bAdditionalEmails = True
		End If

		If version7point5="YES" then
			If Not IsNull(rstemp("Expenses")) Then
				bExpenses = rstemp("Expenses")
			End If
			If not IsNull(rstemp("AssetInspections")) Then
				bAssetInspections = rstemp("AssetInspections")
			End If
			If not IsNull(rstemp("AdditionalNotificationEmails")) then
				bAdditionalEmails = rstemp("AdditionalNotificationEmails")
			end if
		End If

		If bAdditionalEmails = True Then ' version7.5
			'Extracts the Primary additional notification email address

			PrimaryAdditionalNotificationEmail = rstemp("PrimaryAdditionalNotificationEmail") '
		End If


		'*** New 8.0 Flags ****

		if Version8point0="YES" Then
			If Not IsNull(rstemp("AdditionalCustomerCaseAssignments")) Then
				bAdditionalCustomerCaseAssignments = rstemp("AdditionalCustomerCaseAssignments")
			End If
		End If

		Customer_ID_List = rstemp("customer_id_list") ' Customer_ID list flag for AdditionalCustomerCaseAssignments

	TechCenterFileUpload = rstemp("TechCenterFileUpload")
	' Boolean determining if file upload is enabled on customer side.

	If TechCenterFileUpload = True then
		'Response.write "TechCenterFileUpload = True"
		AttachFile = "YES"
	End If

	End If

	rstemp.close
	set rstemp=nothing
	conntemp.close ' Close the connection
	set conntemp=nothing

	If CInt(assets_db) = 1 then
		AssetEnabled = True
	Else
		AssetEnabled = False
	End If

%>

<%	' Get The Customer_ID and Case_num Fields

	' This form can be called as a link or as FORM submit so
	' we must be able to handle Querystring or form elements

	Customer_ID = Request.QueryString("Customer_ID")
	Case_Number = Request.QueryString("Case_number")
	' Asset_Number = Request.QueryString("Asset_Number")  ' CMB 09/15/2011
	Asset_Number = Request.Form("txtAssetNumber")  ' CMB could come in from newcase if called from assetInfo.asp screen

	If Case_Number = "" Then
		Case_Number = Request.form("Case_number")
		Customer_ID = Request.form("Customer_ID")
	End If


	' Text Chat Code *******************
	' This code grabs the text chat information and places it in the case history
	' if this module is being called from the tech text chat program
	' it is passed the textChatThread

	TextChatThread = request.querystring("TextChatThread")

	If TextChatThread <> "" Then

		set conntemp=server.createobject("adodb.connection")

		conntemp.open myDSN ' Open the connection once here

		mySQL2="select * from TextChat where TextChatThread = "  & TextChatThread
		set rstemp2=conntemp.execute(mySQL2)

		' Check to see if any records are returned
		' if none found the
		if rstemp2.EOF then
			TextChatHistory = "Invalid Text Chat Thread Number" ' Send out default Message
		Else

			TextChatHistory = rstemp2("TextChatHistory")

		End If

		rstemp2.close
		set rstemp2=nothing
		conntemp.close ' Close the connection
		set conntemp=nothing



	End IF




	If Case_Number = "0" Then
	' Verify the customer_ID is a valid one before we proceed
	' since we always require a customer to create or update a case

		set conntemp=server.createobject("adodb.connection")
		conntemp.open myDSN

		mySQL2="select * from Customers where Customer_ID = '" & Customer_ID & "'"

		set rstemp2=conntemp.execute(mySQL2)

		' Check to see if any records are returned
		' if none found the
		if rstemp2.EOF then
			InvalidCustomer = "YES"
		Else
			InvalidCustomer = "NO"
		End If

		rstemp2.close
		set rstemp2=nothing
		conntemp.close ' Close the connection
		set conntemp=nothing

	End If




	If Case_Number = "0" OR Case_number = ""  then
		Case_number = "NEW"


	'If New case, then determine exact Date/Time when the case if opened
	' to be placed into hidden variable for later submit with the DoTCaseForm.asp
	' module.  This will allow the time to be capture to be the time that the case is opened
	' and not the time when the button is pressed on the submit which might differ by a few
	' minutes and that time is important to some clients.

	CreateTimeDateValues DateString, TimeString, DateTimeString
	' Later when creating the form elements we will pass these as hidden form elements as strings



	End If

%>

<% If InvalidCustomer = "YES" Then
		DisplayInvalidCustomerPage()
	Else ' Customer_ID is ok so call the rest of the code

	' Get the Case Information if Case_number <> "NEW"
	If Case_Number <> "NEW" Then

		set conntemp=server.createobject("adodb.connection")
		conntemp.open myDSN

		mySQL2="select * from Cases where Case_number = " & Case_number

		'set rstemp2=conntemp.execute(mySQL2)
		' Note : Problem found with SQL*Server and conntemp.execute
		' Always use rstemp2.open mySQL2 conntemp, 1,3
		' Cursor type needs to be specified

		set rstemp2 = server.createobject("adodb.recordset")
		rstemp2.open mySQL2, conntemp, 1,3

		' Check to see if any records are returned
		' if none found the
		if rstemp2.EOF then
			Response.write " Case Not Found "
		Else

			severity = CInt(rstemp2("Severity"))

			Repeat_Interval = rstemp2("Repeat_Interval")

			Scheduled_Case_Type = rstemp2("Scheduled_Case_Type")

			Dup_case_num = rstemp2("Dup_case_num")
			Group_number = rstemp2("Group_number")
			Asset_number = rstemp2("Asset_number")
			customer_Id = rstemp2("Customer_ID")
			tech_ID = rstemp2("tech_id")
			open_date = rstemp2("Open_Date")
			Open_time = rstemp2("Open_Time")
			Reopen_time = rstemp2("Reopen_time")
			mod_date = rstemp2("Mod_date")
			mod_time = rstemp2("Mod_time")
			modified_flag = rstemp2("modified_flag")

			case_one_line = rstemp2("case_one_line")
			case_history = rstemp2("Case_history")
			case_summary = rstemp2("Case_summary")
			case_resolution = rstemp2("Case_resolution")
			External_Case_Number = rstemp2("External_Case_number")

			Due_Time = rstemp2("Due_Time")

			Due_Date = rstemp2("Due_Date")

			status = CInt(rstemp2("Status"))

		' Check for any optional text field values

			Field_1_Value = rstemp2("text_field_1")
			Field_2_Value = rstemp2("text_field_2")
			Field_3_Value = rstemp2("text_field_3")
			Field_4_Value = rstemp2("text_field_4")
			Field_5_Value = rstemp2("text_field_5")
			Field_6_Value = rstemp2("text_field_6")
			Field_7_Value = rstemp2("text_field_7")
			Field_8_Value = rstemp2("text_field_8")
			Field_9_Value = rstemp2("text_field_9")
			Field_10_Value = rstemp2("text_field_10")

		If bAdditionalEmails = True Then  ' Version 7.5
			AdditionalCCList = rstemp2("AdditionalCCList")
			AdditionalNotifications = rstemp2("AdditionalNotifications")
		End If


		If Version7 = "YES" Then
			AssetGroupIndex = rstemp2("AssetGroupIndex")
		End If



		End If

		rstemp2.close
		set rstemp2=nothing



		conntemp.close ' Close the connection
		set conntemp=nothing

	' Set the modified_flag if read by the assigned tech

		SetModification_Flag case_number

	' Determine if Any Events have been scheduled for this case

			set conntemp=server.createobject("adodb.connection")
			conntemp.open myDSN

			mySQL2="SELECT * from Schedule where case_Number = " & Case_Number
			set rstemp=conntemp.execute(mySQL2)

			' Check to see if any records are returned
			' if none found the

			If rstemp.EOF <> True Then
				Events = "YES" ' Set this for flag to displaying links to events
			Else
				Events = "NO"
			End If

			rstemp.close
			set rstemp=nothing
			conntemp.close ' Close the connection
			set conntemp=nothing


	End IF ' End if Case_Number <> "NEW"


	' Now Get the customer Information for NEw or existing Cases


		set conntemp=server.createobject("adodb.connection")
		conntemp.open myDSN

		mySQL2= " select * from Customers where Customer_ID = '" & Customer_ID & "'"

		set rstemp2=conntemp.execute(mySQL2)

		' Check to see if any records are returned
		' if none found the
		if rstemp2.EOF then
			Response.write " Customer  Not Found "
		Else
			' Get all of the fields
			contact_fname = rstemp2("contact_fname")
			contact_lname = rstemp2("contact_lname")
			company = rstemp2("company")
			address = rstemp2("address")
			mailstop = rstemp2("mailstop")
			city = rstemp2("city")
			state = rstemp2("state")
			zip = rstemp2("Zip")
			country = rstemp2("Country")
			email = rstemp2("Email")
			phone1 = rstemp2("Phone1")
			phone2 = rstemp2("phone2")
			fax = rstemp2("fax")
			contact_method = rstemp2("contact_method")
			contact_times = rstemp2("Contact_times")


		End If

		rstemp2.close
		set rstemp2=nothing
		conntemp.close ' Close the connection
		set conntemp=nothing


	' *** CMB NEW ASSETS
	' Now Get the Asset information for NEW or existing Cases

		if asset_Number > "" and isnumeric(Asset_Number) then
			set conntemp=server.createobject("adodb.connection")
			conntemp.open myDSN

			mySQL2= " select * from Assets where Asset_Number = " & Asset_Number

			set rstemp2=conntemp.execute(mySQL2)

			' Check to see if any records are returned
			' if none found the
			if not rstemp2.EOF then
				Serial_Number = rstemp2("serial_Number")
				computer_ID = rstemp2("Computer_ID")
			End If

			rstemp2.close
			set rstemp2=nothing
			conntemp.close ' Close the connection
			set conntemp=nothing
		End If
		'**** END NEW ASSETS
%>


<% ' Display the Case Form %>



<html>

<!-- (C) 1996,1998, 1999, 2000, 2013 by Internet Software Sciences -->

<head>

<title><%=wc_Case%>: <%=Case_Number%> </title>
<!-- #INCLUDE FILE="Stylesheet.inc" -->



</head>

<body class=rightwindow>

<p>

<center>


<FORM METHOD=POST  name="myform" ACTION=DoTCaseForm.asp>


<input type=hidden name=login_tech_id value=<%=CookieID%>>
<%
        'If this is a new case then pass case_number=0
		' and the user specified customer_id to DoCaseForm.
		' If this is NOT a new case then pass customer_id=0
		' and the user specified case_number to DoCaseForm.
		' The case_number value is used in DoCaseForm to
		' determine the type of processing to perform.
%>

<% if Case_Number = "NEW" Then %>

   <input type=hidden name=customer_id value=<%=Customer_ID%>>

   <input type=hidden name=case_num value=0>
<%
   ' New hidden variables to pass the date and time when the case was
   ' first created when pressing the New Case Button
 %>


   <input type=hidden name=DateString value="<%=DateString%>">

   <input type=hidden name=TimeString value="<%=TimeString%>">




<% Else %>


   <input type=hidden name=customer_id value=0>

   <input type=hidden name=case_num value=<%=Case_Number%>>

<%End if %>

<%'---------------------------------------- customer info %>

<table cellpadding=0 cellspacing=0  border=0> <!-- top matter holder -->
<tr>
<td valign=bottom>


<% indent=20 %>



 <table class=BusinessCardWrapper cellpadding=0 cellspacing=0 >
  <tr>

  <td valign=top>

<!-- start of business card -->

 <% ' ------------- 1st column of top info box --------------- %>
<table  cellpadding=0 cellspacing=0 border=0>

<tr>

    <td colspan=3 class=BusinessCardTitle><%=Ucase(contact_fname)%>&nbsp;<%=Ucase(contact_lname)%></td>
    <td align=right><a href=NewCustomer.asp?ID=<%=Customer_ID%>><img src="/<%=WCLanguageDirectory%>/Assist.gif" border=0></a></td>


</tr>

<tr>
    <td width=<%=indent%></td>
    <td colspan=2 class=BusinessCardText><b><i><%=Company %></i></b></td>

</tr>

<%
	If Address <> "" then
	   address_string = address  & ",&nbsp;"
	Else
	  address_string = ""
	End If
	address_string = address_string & city
%>
<tr>
    <td width=<%=indent%></td>
    <td  colspan=2 class=BusinessCardText ><%=Address_string%></td>
</tr>



<%
	If state <> "" then
	   address_string2 = state  & ",&nbsp;"
	Else
	  address_string2 = ""
	End If
	address_string2 = address_string2 & zip & "&nbsp;" & country
	If address_string2 = "" Then
	  address_string2 = "&nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; "
	End If
%>
<tr>
    <td width=<%=indent%></td>
    <td  class=BusinessCardText ><%=address_string2%></td>
    <td>
     <% If Phone1 <> "" Then %>
			<td  class=BusinessCardTextSmall align=right>Tel:&nbsp;<%=Phone1 %></td>
	<% Else%>
			<td  class=BusinessCardTextSmall align=right>&nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; </td>
     <% End If %>


</tr>

 <% If Fax <> "" Then %>
			<tr>
				<td width=<%=indent%></td>
				<td></td>
				<td></td>
				<td  class=BusinessCardTextSmall align=right>Fax:&nbsp;<%=Fax %></td>
			</tr>
<% End If %>




 <% If Email <> "" Then %>
		<tr>
			<td width=<%=indent%></td>
			<td></td>
			<td></td>
			<td   class=BusinessCardTextSmall align=right>Email:&nbsp<a href="mailto:<%=Email%>"><%=Email%></a></td>
		</tr>
<% End If %>

<% ' Display extra link to customer assets %>

<% If	AssetEnabled = True Then %>

<%
			set conntemp=server.createobject("adodb.connection")
			conntemp.open myDSN

			mySQL2="select * from AssetAssignment where Customer_ID = '" & Customer_ID & "'"

			set rstemp2=conntemp.execute(mySQL2)

			' Check to see if any records are returned
			' if none found the
			if rstemp2.EOF then
				AssignedAsset = "None"
			Else
				AssignedAsset = rstemp2("Asset_number")

			End If

			rstemp2.close
			set rstemp2=nothing
			conntemp.close ' Close the connection
			set conntemp=nothing

%>

		<tr>
			<td width=<%=indent%></td>
			<td></td>
			<td></td>
			<td   class=BusinessCardTextSmall align=right>Customer Assets:&nbsp
					   <% If AssignedAsset = "None" Then %>
					       <%=AssignedAsset%>
					   <%else %>
					       <a href=DoAssets.asp?Customer_ID=<%=Customer_ID%>>View Assets</a>
					   <%End If %>
			</tr>
<% End If %>





</table>

<!-- end of business card -->

</td>
</tr>
</table>

</td>


<!-- separate 2 blocks of top matter with the Case Number in big letters -->
<td width=100 align=center valign=top>
<TABLE BORDER =0><TR><TD align=center>
<%if (Case_Number = "NEW") Then ' NEW Case formatting %>
    <span class=MajorRedBanner><%=wc_NEW%></span>
<% else

             ' Put Extra Zeros infront of short case numbers
  		ExtraZeros = 4 - Len(Case_number)
		If ExtraZeros = 1 Then
			Case_number = "0" & Case_Number
		Elseif ExtraZeros = 2 Then
			Case_number = "00" & Case_Number
		Elseif ExtraZeros = 3 Then
			Case_number = "000" & Case_Number
		Else
			' Only display up to 3 extra zeros
		End IF

       response.write "<span class=MajorBlackBanner>Case</span><br><span class=MajorRedBanner>" & Case_number & "</span>"
 end if %>
</TD></TR><TD>
<% if (Case_Number <> "NEW") Then ' NEW Case formatting ' cmb had to change to string %>
				<tr>
				  <td colspan=2 align=right>
				  <a href=PrintTCaseForm.asp?Case_Number=<%=Case_Number%> target=printpage><img src=print.gif border=0></a>
				  &nbsp;

				  <% If Case_Number <> "0" AND Case_Number <> "NEW" AND AttachFile = "YES" Then  ' cmb had to change to string
					  If MyOs = "Windows" then %>

<% 'Application("Hosted") = "YES"
%>

						<% If Application("Hosted") = "YES" THen ' Display code for popup

							' Replace slashes with star characters to pass them correctly

							FixedPath = Replace(FileUploadDestinationPath, "\", "*")

							EncodedPath = Server.URLEncode(FileUploadDestinationPath)

							DownloadFileASPXLink = "Uploadtest3.aspx?CaseNumber=" & Case_Number & "&FileUploadPath="& FixedPath

						%>

							<a href='javascript:var w=window.open("<%=DownloadFileASPXLink%>","subwindow","width=300,height=300,screenX=50,screenY=50,left=50,top=50,scrollbars=yes,resizable=yes")'>
 	                         <img src=attachfile.gif border=0></a>
						<%Else
					  		%>
					   		<a href=AttachFileToCase.asp?case_number=<%=case_number%>><img src=attachfile.gif border=0></a>
					   		<%
					   		End IF ' HOSTED
					   		%>

					 <% Else  %>
					   <a href=TFileUploadLinux1.asp?case_number=<%=case_number%>><img src=attachfile.gif border=0></a>
					 <% End If  ' WINDOWS

					 End If ' CASE NUMBER ATTACH %>


				<% If Events = "YES" Then %>
				  &nbsp;
				  <A href=DoEventSearch.asp?Case_Number=<%=Case_Number%>><img src=calendar.gif border=0></a>
				<%End If %>
		  </td>
		</tr>
<% end if ' NOT NEW CASE %>
</TABLE></TD>


</td>


<td valign=bottom >







<%'---------------------------------------- minor buttons and asset number and dup case number %>




<%if (Case_Number = "NEW") Then ' NEW Case formatting %>
<table  class=SimpleWrapper cellspacing=0 cellpadding=0 >

    <tr>
     <td class=formlabel align=right><%=wc_Duplicate_Case%>: </td>
     <td class=formboxholder><input type=text name=dup_case_num size=9 maxlength=9></td>
    </tr>

	<% If AssetEnabled = True then %>
	     <tr>
			<td class=formlabel align=right><!-- keep this hidden until an asset is defined -->
				<A HREF=AssetInfo.asp?asset_number=<%=asset_Number%>  name=AssetInfoLink1 id="AssetInfoLink1">
				<IMG SRC="bottomframe.gif" BORDER=0 id=imgSame STYLE="visibility:hidden"></A>
				<A HREF=AssetInfo.asp?asset_number=<%=asset_Number%>  name=AssetInfoLink2 id="AssetInfoLink2" target="newcasewindow1" >
				<IMG SRC="newwindow.gif" BORDER=0 id=imgNew STYLE="visibility:hidden"></A>
				<%=wc_Asset_Number%>:
			</td>

		  <td class=formboxholder><input type=text name=asset_number size=9 maxlength=9 value=<%=Asset_Number%>>
		  	<a href='javascript:var w=window.open("AssetNumberAssistRobust.asp","subwindow","width=<%=wc_Width_Customer_Id_Assist_Window%>,height=400,screenX=50,screenY=50,left=50,top=50,scrollbars=yes,resizable=yes")'><img src="/<%=WCLanguageDirectory%>/Assist.gif" border=0></a>
		  </td>
         </tr>

         <!-- it would be good to keep these hidden until asset is defined but it messes up the look -->
         	<tr id=tr1 STYLE="visibility:visible"><td class=formlabel align=right ><%=Computer_ID_Label%>: </td>
		 			<td class=formboxholder> <input type=text disabled=true name=computer_ID value=<%=Computer_ID%>></td>
		 	</tr>
		 	<tr id=tr2 STYLE="visibility:visible"><td class=formlabel align=right ><%=Serial_Number_Label%>: </td>
		 		<td class=formboxholder> <input type=text disabled=true name=Serial_number value=<%=Serial_Number%>></td>
			</tr>
	<%Else %>
		  <input type=hidden name=asset_number value=<%=Asset_number%>>
	<%End If %>


<% Else ' Existing Case Formating Start%>


<table  cellpadding=0 cellspacing=0 >


<tr>
<td colspan=2>
<table class=SimpleWrapper cellspacing=0 cellpadding=0>

<% if Version8point0="YES" Then %>
	<% If CLng(Dup_Case_Num) = 0 Then %>
		   <tr>
		      <td class=formlabel align=right><%=wc_Duplicate_Case%>: </td>
	          <td class=formboxholder><input type=text name=dup_case_num size=9 maxlength=9>&nbsp;
						  <a href=SearchForMaster.asp?case_number=<%=Case_number%>&Customer_ID=<%=Customer_ID%> >
						 <img src="/<%=WCLanguageDirectory%>/ts_search30x80.gif" border=0></a>
					 </td>
	       </tr>
    <%Else %>
		<tr>
			<td  class=formlabel align=right><a href=TCaseForm.asp?customer_id=0&case_number=<%=Dup_Case_Num%>>Duplicate Case: </a></td>
		   <td class=formboxholder> <input type=text name=dup_case_num value=<%=DUp_Case_num%> size=9 maxlength=9>
			&nbsp;
				  <a href=SearchForMaster.asp?case_number=<%=Case_number%>&dup_case_num=<%=dup_case_num%>&Customer_ID=<%=Customer_ID%> >
				 <img src="/<%=WCLanguageDirectory%>/ts_search30x80.gif" border=0></a>
			 </td>
       </tr>
	<% End IF ' End of Duplicate Case Number  = ""	%>

<% else ' not version 8 %>
	<% If CLng(Dup_Case_Num) = 0 Then %>
			<tr>
				<td class=formlabel align=right><%=wc_Duplicate_Case%>: </td>
				 <td class=formboxholder><input type=text name=dup_case_num size=9 maxlength=9></td>
			 </tr>

		 <%Else %>
			 <tr>
				<td  class=formlabel align=right><a href=TCaseForm.asp?customer_id=0&case_number=<%=Dup_Case_Num%>>Duplicate Case: </a></td>
				<td class=formboxholder> <input type=text name=dup_case_num value=<%=DUp_Case_num%> size=9 maxlength=9></td>
			</tr>

		<% End IF ' End of Duplicate Case Number  = ""
	%>
<% end if ' version 8 %>


   <% if AssetEnabled = True then
	' Display link to asset form if asset
	' number is present.
      if Not IsNull(asset_number) Then
		  If CLng(asset_number) > 0 Then

			 %>
				<tr>
					<td  class=formlabel align=right STYLE="visibility:visible">
					<A HREF=AssetInfo.asp?asset_number=<%=asset_Number%>  name=AssetInfoLink1 id="AssetInfoLink1">
					<IMG SRC="bottomframe.gif" BORDER=0 id=imgSame STYLE="visibility:visible"></A>
					<A HREF=AssetInfo.asp?asset_number=<%=asset_Number%>  name=AssetInfoLink2 id="AssetInfoLink2" target="newcasewindow1" >
					<IMG SRC="newwindow.gif" BORDER=0 id=imgNew STYLE="visibility:visible"></A>
					<%=wc_Asset_Number%>:
				</td>

				  <td class=formboxholder><input type=text name=asset_number value=<%=asset_number%> size=9 maxlength=9>
					<a href='javascript:var w=window.open("AssetNumberAssistRobust.asp","subwindow","width=<%=wc_Width_Customer_Id_Assist_Window%>,height=400,screenX=50,screenY=50,left=50,top=50,scrollbars=yes,resizable=yes")'><img src="/<%=WCLanguageDirectory%>/Assist.gif" border=0></a>
				  </td>
				</tr>

				<tr id=tr1 STYLE="visibility:visible"><td class=formlabel align=right><%=Computer_ID_Label%>: </td>
					<td class=formboxholder> <input type=text disabled=true name=computer_ID value=<%=Computer_ID%>></td>
				</tr>
				 <tr id=tr2 STYLE="visibility:visible"><td class=formlabel align=right><%=Serial_Number_Label%>: </td>
					<td class=formboxholder> <input type=text disabled=true name=Serial_number value=<%=Serial_Number%>></td>
				</tr>

			<%Else %>
				 <tr>
					<td  class=formlabel align=right STYLE="visibility:visible">
					<A HREF=AssetInfo.asp?asset_number=<%=asset_Number%>  name=AssetInfoLink1 id="AssetInfoLink1">
					<IMG SRC="bottomframe.gif" BORDER=0 id=imgSame STYLE="visibility:visible"></A>
					<A HREF=AssetInfo.asp?asset_number=<%=asset_Number%>  name=AssetInfoLink2 id="AssetInfoLink2" target="newcasewindow1" >
					<IMG SRC="newwindow.gif" BORDER=0 id=imgNew STYLE="visibility:visible"></A>
					<%=wc_Asset_Number%>:
				</td>

				  <td class=formboxholder><input type=text name=asset_number value=<%=asset_number%> size=9 maxlength=9>
					<a href='javascript:var w=window.open("AssetNumberAssistRobust.asp","subwindow","width=<%=wc_Width_Customer_Id_Assist_Window%>,height=400,screenX=50,screenY=50,left=50,top=50,scrollbars=yes,resizable=yes")'><img src="/<%=WCLanguageDirectory%>/Assist.gif" border=0></a>
				  </td>				 </tr>

					<tr id=tr1 STYLE="visibility:visible" ><td class=formlabel align=right ><%=Computer_ID_Label%>: </td>
				 			<td class=formboxholder> <input type=text disabled=true name=computer_ID value=<%=Computer_ID%>></td>
				 	</tr>
				 	<tr align=right id=tr2 STYLE="visibility:visible"><td class=formlabel  ><%=Serial_Number_Label%>: </td>
							<td class=formboxholder> <input type=text disabled=true name=Serial_number value=<%=Serial_Number%>></td>
				</tr>
			 <%End If  ' End of If asset_number > 0  %>
    <%Else ' Asset number null
    %>
          <tr>
          	<td class=formlabel align=right><!-- keep this hidden until an asset is defined -->
		  				<A HREF=AssetInfo.asp?asset_number=<%=asset_Number%>  name=AssetInfoLink1 id="AssetInfoLink1">
		  				<IMG SRC="bottomframe.gif" BORDER=0 id=imgSame STYLE="visibility:hidden"></A>
		  				<A HREF=AssetInfo.asp?asset_number=<%=asset_Number%>  name=AssetInfoLink2 id="AssetInfoLink2" target="newcasewindow1" >
		  				<IMG SRC="newwindow.gif" BORDER=0 id=imgNew STYLE="visibility:hidden"></A>
		  				<%=wc_Asset_Number%>:
		  			</td>

		  		  <td class=formboxholder><input type=text name=asset_number size=9 maxlength=9 value=<%=Asset_Number%>>
		  		  	<a href='javascript:var w=window.open("AssetNumberAssistRobust.asp","subwindow","width=<%=wc_Width_Customer_Id_Assist_Window%>,height=400,screenX=50,screenY=50,left=50,top=50,scrollbars=yes,resizable=yes")'><img src="/<%=WCLanguageDirectory%>/Assist.gif" border=0></a>
		  		  </td>
		           </tr>

		           <!-- it would be good to keep these hidden until asset is defined but it messes up the look -->
		           	<tr id=tr1 STYLE="visibility:visible"><td class=formlabel align=right ><%=Computer_ID_Label%>: </td>
		  		 			<td class=formboxholder> <input type=text disabled=true name=computer_ID value=<%=Computer_ID%>></td>
		  		 	</tr>
		  		 	<tr id=tr2 STYLE="visibility:visible"><td class=formlabel align=right ><%=Serial_Number_Label%>: </td>
		  		 		<td class=formboxholder> <input type=text disabled=true name=Serial_number value=<%=Serial_Number%>></td>
			</tr>
     <%End If  ' End of If not null asset_number %>


   <%else ' If Assetenabled = true Else statement %>
        <tr>
         <td><input type=hidden name=asset_number value=""></td>
        </tr>
  <%End If %>

 </table
 </td>
 </tr>





<%End if ' End of if Case_number <> "New"
%>

</td>
</tr>

</table>

</td>
</tr>
</table>

<!-- end of all top matter -->

<center>



<table><tr><td height=5></td></tr></table><!--- little spacer -->

<%'---------------------------------------- one line description %>


<table width=600>
<tr><td class=outerformwrapper> <!---- start of overall form wrapper -->

<center>
<table  class=InnerformWrapperTight width=100% cellpadding=0 cellspacing=0 border=0>


<tr><td  class=MinorFormTitle colspan=3 align=center><%=wc_Case_Notes%></td></tr>

<tr>



<% ' Put these special hidden fields to be compatible with the Techsupp.dll?DoCaseform() %>
	<INPUT type=hidden name=Categories value=0></CENTER>
	<INPUT type=hidden name=x value=0>
<td class=formlabelsuper><%=wc_One_Line_Description%>:</td>
<td class=formlabelsuper><%=wc_Reference%>:</td>
</tr>
<tr>
<td class=formboxholder>

<% If Case_number = "NEW" Then %>

   <input type=text name=case_one_line size=60 maxlength=100>
<%else %>

<input type=text name=case_one_line value="<%=case_one_line%>" size=60 maxlength=100>
<% End If %>

</td>

<td class=formboxholder><input size=10 maxlength=30 name=External_Case_Number value="<%=External_Case_Number%>"></td>

</tr>

<% If Case_number <> "NEW"  AND case_history <> "" Then %>

<%'---------------------------------------- case history field %>


<tr>

<td colspan=2 class=formlabelsuper><%=wc_Case_History%>:</td>
</tr>
<td colspan=2 class=formboxholder>



      <%

       ' Display history log.
			New_History = Format_Case_Text(Case_History)
			Response.write New_History 'New_History

	   %>

</td>

</tr>
<% End If%>
<%'---------------------------------------- append history %>
 <%' ************** Setting TextArea Box Sizes **********************
 'The size of the Summary and resolution Text boxes are configurable
 ' under the admin and system configuration options menu.  They can
 ' be overwritten here if necessary.


  ' User Customizations ******************************************
  '	CasesummaryRows = 3 ' Default
	'CaseResolutionRows = 3 ' Default
  '	CasesummaryMaxRows = 15 ' Default
	'MaxCaseResolutionRowSize = 15' Default
	'CaseHistoryRowSize = 3 ' Default
	'TextAreaColumnSize = 60 ' Default - Column size of text area boxes

	'CasesummaryResolutionSizes = "AUTO"
  ' ****************End User Customizations************************

	If Case_Number <> "NEW" AND TextBoxSizing = "AUTO" Then
	' Automatic sizing is turned on so adjust the size of the
	' of the text area box based on the size of data in the field.
		If Case_Summary <> "" Then
			CasesummaryRows = Cint(Len(Case_Summary)/45)
			If CasesummaryRows > Cint(CasesummaryMaxRows) Then
				CasesummaryRows = Cint(CasesummaryMaxRows)
			End IF
			If CasesummaryRows < 3 Then
				CasesummaryRows = 3
			End If

		End IF

		If Case_Resolution <> "" Then
			CaseResolutionRows = Cint(Len(Case_Resolution)/45)

			If CaseResolutionRows > Cint(CaseResolutionMaxRows) Then
				CaseResolutionRows = Cint(CaseResolutionMaxRows)
			End IF
			If CaseResolutionRows < 3 Then
				CaseResolutionRows = 3
			End IF

		End IF
	End IF

  %>


<tr><td  height=2 colspan=2></td></tr>

<tr>

<td class=formlabelsuper colspan=2><%=wc_Append_to_Case_History%>:</td>
</tr>
<tr>
<td class=formboxholder colspan=2>

<%  ' New code to insert the text from the tex chat if it exists

IF TextChatThread <> "" Then
%>

<textarea name=case_history wrap=virtual rows=<%=CaseHistoryRows%> cols=<%=CaseTextBoxColumns%> ><%=TextChatHistory%></textarea>


<% Else %>

<textarea name=case_history wrap=virtual rows=<%=CaseHistoryRows%> cols=<%=CaseTextBoxColumns%> ></textarea>

<% End If %>


</td>


</tr>


<tr><td height=4 colspan=2></td></tr>

<%'---------------------------------------- summary %>


<tr>

<td class=formlabelsuper colspan=2><%=wc_Case_Summary%>:</td>
</tr>
<td class=formboxholder colspan=2>




<%if Case_number = "NEW" Then %>

   <textarea name=summary wrap=virtual rows=<%=CasesummaryRows%> cols=<%=CaseTextBoxColumns%>></textarea>


<%else %>

   <textarea name=summary wrap=virtual rows=<%=CasesummaryRows%> cols=<%=CaseTextBoxColumns%>><%=Case_summary %></textarea>

<%End If %>

</td>





</tr>

<%'---------------------------------------- resolution %>

<tr><td height=4 colspan=2></td></tr>

<tr>

<td colspan=2 class=formlabelsuper><%=wc_Case_Resolution%>:</td>
</tr>
<tr>

<td colspan=2 class=formboxholder>

<% If Case_number = "NEW" Then %>

   <textarea name=resolution wrap=virtual rows=<%=CaseResolutionRows%> cols=<%=CaseTextBoxColumns%>></textarea>

<%Else %>
   <textarea name=resolution wrap=virtual rows=<%=CaseResolutionRows%> cols=<%=CaseTextBoxColumns%>><%=case_resolution %></textarea>

<%End If %>


</td>

</tr>

<tr><td height=4 colspan=2></td></tr>



<%
' ------- Start New Feature for Version 6 - Display Private Notes if enabled -----------------------
if TableExists("Pnotes","") Then
   if (Case_Number <> "NEW") Then

 	set conntemp77=server.createobject("adodb.connection")
	conntemp77.open myDSN
	mySQL77="select * from Pnotes where Case_Number =" & Clng(Case_number)
	set rstemp77=conntemp77.execute(mySQL77)
	if rstemp77.EOF then
	   pnote_text = ""
	else
	   pnote_text = rstemp77("Pnote")
	   pnote_Text = Replace(pnote_text,vbcrlf,"<br>")
	end if
	conntemp77.close ' Close the connection
	set conntemp77=nothing


   CaseVector = "Pnotes.asp?Mode=Show&Id=" & Clng(Case_number) ' remove any leading zeros in the case number with Cint



%>
    <tr><td  height=1 colspan=2 bgcolor=black ></td></tr>
	<tr>
	   <td><span class=formlabelsuper>Private Notes:
	     <% if pnote_text = "" then %>
	     &nbsp;<span class=tinyprint><font color=green><i>(None)</i></font></span>
	     <% end if %>
       </td>

 	   <td  class=formlabelsuper align=left><a href='javascript:var w=window.open("<%=CaseVector%>","subwindow","width=600,height=400,screenX=50,screenY=50,left=50,top=50,scrollbars=yes,resizable=yes")'>
 	                                          <img src="/<%=WCLanguageDirectory%>/Pnotes.gif" border=0></a>
 	   </td>
	</tr>
    <% if pnote_text <> "" then %>
		<tr>
		  <td class=plaintext4>
		   <%=pnote_text%>
		  </td>
		</tr>
		<tr><td height=2></td></tr>
    <% end if %>

<%
  end if ' we are not in "NEW" mode
end if ' table exists

' ------- End of New Feature for Version 6 - Display Private Notes if enabled -----------------------
%>




</table>
<table ><tr><td height=3></td></tr></table><!-- a little spacer -->



<table cellpadding=0 cellspacing=0  border=0  >
<tr>
<% '------------------- Cancel button %>

<td width=30></td>

<td><a href=UserScreen.asp><img src=/<%=WCLanguageDirectory%>/ts_cancel30x80.gif border=0></a></td>


<td width=30></td>

<td><a href="UpdateOneKB.asp?CaseNumber=<%=Case_number%>"><img src=/<%=WCLanguageDirectory%>/Add_to_KB.gif border=0></a></td>

<td width=80></td>

<% '  Submit Button %>



	<%
		' If a tech with read only privileges is accessing
		' this page then don't present the submit button
	%>

<%if CInt(tech_level) > 2 Then %>
<td>

   <table class=BoxTableWrapper >
    <tr>
	<td class=formboxholder>

	<input type=image name=b_submit src=/<%=WCLanguageDirectory%>/ts_submit30x80.gif border=0></td>
	<td class=formboxholder>
	<%
	   ' Add Radio button to control whether to send out Customer Emails

	   ' The logic for the send email radio button is:
		' (1) If this is a new case, it defaults to send email = YES

	   ' Otherwise if it is not a new case and case status has changed, it will be sent automatically.
	   ' This is done is the DoCaseForm() function and not here.


		   if Case_number = "NEW"  THEN' If new case then default to sending email
		   %>
			   <input id=forradiobuttonred type=radio name=sendemail value="NO">&nbsp;<%=wc_No_Email%><br>

			   <input  id=forradiobuttongreen type=radio name=sendemail value="YES" CHECKED>&nbsp;<%=wc_Send_Email%>


		   <%Else ' Default for existing Cases%>
			   <input id=forradiobuttonred type=radio name=sendemail value="NO" CHECKED>&nbsp;<%=wc_No_Email%><br>

			   <input id=forradiobuttongreen type=radio name=sendemail value="YES">&nbsp;<%=wc_Send_Email%>

		   <%End If %>
	</td>
	</tr>
	</table>

<%End If %>

</td>

</tr>

</table>


<table cellpadding=0 cellspacing=0 border=0><tr><td height=5></td></tr></table><!-- little spacer -->
<table  class=InnerformWrapperTight width=100% border=0 cellpadding=0 cellspacing=0>

<% ' following nested table is necessary to get consistent vertical line-up of left-hand-edge %>
<tr>
   <td colspan=2 align=center>
     <table width=100% cellpadding=0 cellspacing=0 border=0>
       <tr>
         <td align=center class=MinorFormTitle><%=wc_categories%></td>
       </tr>
      </table>
   </td>
</tr>


<%'---------------- category assignment (case form) %>


	<tr  width=100%>
	<TD  COLSPAN="2" >
	<TABLE BORDER=0 CELLPADDING=0 cellspacing=0 WIDTH="100%" class=formspacer><!-- table 2 wide for categories -->

	<TR>
	<% ' Display the  Categories

	 spacerline = "<tr><td colspan=2><table cellspacing=0 cellpadding=0 width=100% ><tr><td height=" & spacerheight & "> </td></tr></table></td></tr>"

	 response.write spacerline

	If case_Number <> "NEW" Then 'exist case so open up case record
		set conntemp=server.createobject("adodb.connection")
		conntemp.open myDSN

			mySQL="select * from Cases where case_number = " & case_Number

		'***** Important Fix - June 19, 2003******
		' This conntemp.execute(mySQL) fails for some data fetching
		' under SQL*server only!  Statement converted to open record set call'

		'set rstemp=conntemp.execute(mySQL)  - OLD WAY DO NOT USE

		set rstemp = server.createobject("adodb.recordset")
		rstemp.open mySQL, conntemp, 1,3



		' Do Not close the recordset or connection yet since we will
		' need it for displaying the Categories
	End If



		If Case_Number = "NEW" Then ' Open connection if new case

			set conntemp=server.createobject("adodb.connection")
			conntemp.open myDSN
		End If

		' For techs, display Categories that are not disabled.

		mySQL2="select * from Categories where  State <> 0  Order by Category_index ASC"

		'set rstemp2=conntemp.execute(mySQL2)
		set rstemp2 = Server.CreateObject("ADODB.Recordset")

		If DatabaseType <> "ACCESS97" THEN
			rstemp2.CursorLocation = adUseClient
		End If

		rstemp2.Open mySQL2, conntemp,adOpenDynamic,adLockReadOnly

		' Check to see if any records are returned
		' if none found then login fails.

		If  rstemp2.eof then ' Check to see any Categories exist
			' No Categories exist so don't display anything here
		Else %>




	<%

			Category_name = rstemp2("Category_name")
			Category_number = CInt(rstemp2("Category_number"))
	%>
			<TD align=right WIDTH="50%" class=formlabel ><%=Category_name%>:&nbsp;</td>
            <td class=formboxholder>
	<%

					response.write "<span class=formboxholder><select name=c" & rstemp2("category_number") & ">"
					response.write "<option  value=""0"" >N.A.</option>"

			Do While Not rstemp2.EOF
				if CInt(rstemp2("Category_number")) <> Category_number THEN
					response.write "</select></span></td>"




						response.write "</tr><tr>"
						response.write spacerline

					%>
					<td align=right width=50% class=formlabel ><%=rstemp2("Category_Name")%>:&nbsp;</td>
					<td class=formboxholder>

					<%

						response.write "<span class=formboxholder><select name=c" & rstemp2("category_number") & ">" & chr(10)
						response.write "<option value=""0"" >N.A.</option>"
					Category_number = CInt(rstemp2("Category_number"))
				End If

				' Checked if this option is already select for this case
				If Case_Number <> "NEW" Then
					If IsNull(rstemp2("item_number")) Then
						ItmNumber = 0
					Else
						ItmNumber = rstemp2("item_number")
					End If
					If IsNull(rstemp("C" & CInt(Category_number))) Then
						CatGNumber = 0
					Else
						CatGNumber = rstemp("C" & CInt(Category_number))
					End If
					If CInt(CatGNumber) = CInt(ItmNumber) Then
						response.write "<option SELECTED value=" & rstemp2("item_number") & ">" & rstemp2("item_name") & "</option>" & chr(10) & chr(13)
					Else
						response.write "<option value=" & rstemp2("item_number") & ">" & rstemp2("item_name") & "</option>" & chr(10) & chr(13)
					End IF
				End If '  End of case_number <> ""

				If Case_Number = "NEW" Then
					response.write "<option value=" & rstemp2("item_number") & ">" & rstemp2("item_name") & "</option>" & chr(10) & chr(13)
				End If


				rstemp2.MoveNext
			Loop

			response.write "</select></span></td>"

			response.write "</tr>"  ' ---- close out last  -----------------

			response.write spacerline ' put some space after the last one

			response.write "</table>"  ' ---- close out  table -----------------
		End IF

		rstemp2.close
		set rstemp2=nothing

		' If Not new case then close the other record set
		If Case_Number <> "NEW" Then
			rstemp.close ' close the original record set
			set rstemp=nothing
		End IF


		conntemp.close ' Close the connection
		set conntemp=nothing

	%>

	</td></tr>


<% ' --------------- Group and Case Status/Assigned Staff Member and Priority %>



<% response.write spacerline %>

<TR >
<TD ALIGN=CENTER colspan=2>
<TABLE BORDER=0 CELLPADDING=0  cellspacing=0 width=100% WIDTH="100%" >

<tr>
<td colspan=2 align=center class=MinorFormTitle><%=wc_Assignments_and_Status%></td> <!-- --------------------------- -->
</tr>

<% response.write spacerline %>

<TR>
<TD align=right class=formlabel width=50%><%=wc_Assigned_group%>:&nbsp;</td>
<td>
<span class=formboxholder><SELECT size=1 name=group_number>
<option value=""><%=wc_Not_Assigned%></option>

<% ' Get the Groups from the database

	set conntemp=server.createobject("adodb.connection")
	conntemp.open myDSN

	mySQL="select * from Group_list Order by Group_Name"
	set rstemp=conntemp.execute(mySQL)

	' Check to see if any records are returned
	' if none found then login fails.

	If  rstemp.eof then ' Check to see any Groups exist

	Else
		Do While rstemp.EOF <> True
			If CInt(rstemp("Group_Number")) = CInt(Group_number) Then
				response.write "<option value=" & rstemp("group_number") & " SELECTED>" & rstemp("group_name") & "</option>" & chr(10) & chr(13)
			Else
				response.write "<option value=" & rstemp("group_number") & ">" & rstemp("group_name") & "</option>" & chr(10) & chr(13)
			End IF

			rstemp.MoveNext

		Loop

		response.write "</select>"
	End IF

	rstemp.close
	set rstemp=nothing
	conntemp.close ' Close the connection
	set conntemp=nothing

 ' End of Display the Group List
 %>

</span></TD>
</tr>

<% response.write spacerline %>

<tr>

<TD align=right class=formlabel><%=wc_Status%>:&nbsp;</td>
<td>

<% ' Hard coded status's are:
	' 0 = default = Open (Active)
	' 1 = Closed
	' 2 = Open (Waiting)
	' 3 = Open (On-Hold)
%>



<span class=formboxholder><SELECT size=1 name=case_status>

<% IF Status = 0 then %>
	<OPTION value="0" SELECTED><%=wc_Open_Active%></OPTION>
<%Else %>
	<OPTION value="0"><%=wc_Open_Active%></OPTION>
<%End If %>

<% If Status = 1 Then %>
<OPTION value=1 selected><%=wc_Closed%></OPTION>
<%Else %>
<OPTION value=1><%=wc_Closed%></OPTION>
<%End If %>

<% If Status = 2 Then %>
<OPTION value=2 selected><%=wc_Open_Waiting%></OPTION>
<%Else %>
<OPTION value=2><%=wc_Open_Waiting%></OPTION>
<%End If %>

<% If Status = 3 Then %>
<OPTION value=3 selected><%=wc_Open_on_Hold%></OPTION>
<%Else %>
<OPTION value=3><%=wc_Open_on_Hold%></OPTION>
<%End If %>

</SELECT></span></TD>

</tr>

<% response.write spacerline %>

<tr>

<% ' Special customizable feature to not allow techs to change the assigned tech
	' if the case is already opened.  We will display it but for tech levels of tech - read/write
	' they can only see it.  Dispatcher level and above can change it.

	'LimitTechAssignment = "YES"

 if (Case_number <> "NEW") AND (Tech_Level < 4) AND (LimitTechAssignment = "YES") Then
%>


<TD align=right class=formlabel><%=wc_Assigned_staff_member%>:&nbsp;</td>
<td>
<span class=formboxholder>

<% ' Display the List of Techs

	set conntemp=server.createobject("adodb.connection")
	conntemp.open myDSN

	mySQL="select * from Tech_staff Order by Last_Name"
	set rstemp=conntemp.execute(mySQL)

	' Check to see if any records are returned
	' if none found then login fails.

	If  rstemp.eof then ' Check to see any Groups exist

	Else
		Do While rstemp.EOF <> True

		' Get the first group associated with this tech if it is exists
		' and display it as the display part of the drop down item.

		' * * * * * * * User customization * * * * * * * * * *
		' If you do not want Groups to be display with tech then
		' comment out the next 12 or so lines of code

		mySQL3="SELECT Group_list.group_name, Groups.tech_id FROM Group_list INNER JOIN Groups ON Group_list.group_number = Groups.group_number "
		mySQL3 = mySQL3 & " where tech_id = '" & rstemp("Tech_ID") & "'"
		set rstemp3=conntemp.execute(mySQL3)

		If rstemp3.EOF <> True Then
			GroupName = " ("& rstemp3("Group_name") & ")" ' Grab only the first one
		Else
			GroupName = "" ' Clear group name
		End IF

		rstemp3.close ' close the record set
		set rstemp3=nothing
		' * * * * * * * * End User Customizations * * * * * * * * * * * * *


			IF Tech_Id = rstemp("Tech_id") Then
				response.write  rstemp("Last_Name") & "," & rstemp("first_Name")  & GroupName  & chr(10) & chr(13)
			End If

			rstemp.MoveNext

		Loop

		response.write "</td>"
	End IF

	rstemp.close
	set rstemp=nothing
	conntemp.close ' Close the connection
	set conntemp=nothing

%>


<% Else ' Normal Code here to display tech assignment and settable
%>

<TD align=right class=formlabel><%=wc_Assigned_staff_member%>:&nbsp;</td>
<td>
<span class=formboxholder><SELECT size=1 name=tech_id>
<OPTION  value="">
<FONT SIZE=-1><%=wc_Not_Assigned%></OPTION>

<% ' Display the List of Techs

	set conntemp=server.createobject("adodb.connection")
	conntemp.open myDSN

	mySQL="select * from Tech_staff Order by Last_Name"
	set rstemp=conntemp.execute(mySQL)

	' Check to see if any records are returned
	' if none found then login fails.

	If  rstemp.eof then ' Check to see any Groups exist

	Else
		Do While rstemp.EOF <> True

		' Get the first group associated with this tech if it is exists
		' and display it as the display part of the drop down item.

		' * * * * * * * User customization * * * * * * * * * *
		' If you do not want Groups to be display with tech then
		' comment out the next 12 or so lines of code

		mySQL3="SELECT Group_list.group_name, Groups.tech_id FROM Group_list INNER JOIN Groups ON Group_list.group_number = Groups.group_number "
		mySQL3 = mySQL3 & " where tech_id = '" & rstemp("Tech_ID") & "'"
		set rstemp3=conntemp.execute(mySQL3)

		If rstemp3.EOF <> True Then
			GroupName = " ("& rstemp3("Group_name") & ")" ' Grab only the first one
		Else
			GroupName = "" ' Clear group name
		End IF

		rstemp3.close ' close the record set
		set rstemp3=nothing
		' * * * * * * * * End User Customizations * * * * * * * * * * * * *


			IF Tech_Id = rstemp("Tech_id") Then
				response.write "<option value=" & rstemp("tech_id") & " SELECTED>" & rstemp("Last_Name") & "," & rstemp("first_Name")  & GroupName & "</option>" & chr(10) & chr(13)
			Else
				response.write "<option value=" & rstemp("tech_id") & ">" & rstemp("Last_Name") & "," & rstemp("first_Name") & GroupName & "</option>" & chr(10) & chr(13)
			End If

			rstemp.MoveNext

		Loop

		response.write "</select></span></td>"
	End IF

	rstemp.close
	set rstemp=nothing
	conntemp.close ' Close the connection
	set conntemp=nothing

%>


<% End if  ' End of If LimitTechAssignment feature
%>



</tr>

<% response.write spacerline %>

<tr>

<TD align=right class=formlabel><%=wc_Priority%>:&nbsp;</td>
<td>

<span class=formboxholder>

<SELECT size=1 name=case_severity>

<% ' Display the List of Priorities

	set conntemp=server.createobject("adodb.connection")
	conntemp.open myDSN

	mySQL="select * from Priority order by priorityid"
	set rstemp=conntemp.execute(mySQL)

	' Check to see if any records are returned
	' if none found then login fails.

	If  rstemp.eof then ' Check to see any priorities exist

	Else
		Do While rstemp.EOF <> True
		  '  if CInt(rstemp("PriorityID")) > 0 then
				If Severity = Cint(rstemp("PriorityID")) Then
					response.write "<option value=" & CInt(rstemp("PriorityID")) & " SELECTED>" & rstemp("ShortDesc") & "</option>" & chr(10) & chr(13)
				Else
					response.write "<option value=" & CInt(rstemp("PriorityID")) & ">" & rstemp("ShortDesc") & "</option>" & chr(10) & chr(13)
				End If
		'	end if
			rstemp.MoveNext
		Loop
		response.write "</select></span></td>"
	End IF

	rstemp.close
	set rstemp=nothing
	conntemp.close ' Close the connection
	set conntemp=nothing
%>


</TR>



</table>

</td></tr>




<% ' Due Date Controls Code ***********%>

<%
  spacerline2 = "<tr><td><table cellspacing=0 cellpadding=0 width=100% ><tr><td height=" & spacerheight & "> </td></tr></table></td></tr>"
%>


<% ' following nested table is necessary to get consistent vertical line-up of left-hand-edge %>


	<tr><td  height=<%=spacerheight%> colspan=2></td></tr>


<tr>
   <td colspan=2 align=center>
     <table width=100% cellpadding=0 cellspacing=0 border=0>
       <tr>
         <td align=center class=MinorFormTitle><%=wc_Due_Date_Controls%></td>
       </tr>
      </table>
   </td>
</tr>

<%
 response.write spacerline
%>

<tr>

<td width=50%>
<table cellpadding=0  cellspacing=0  width=100%><!-- start left cell -->
<tr>

<td  class=formlabelsuper>
<blockquote>

<%=wc_Control_Due_Date_Query%>&nbsp;
<br>
<span class=formboxholder>
<select name=ScheduleCase>



<% If Scheduled_Case_Type = "" Then %>
<option value="" SELECTED>No</option>
<%Else%>
<option value="">No</option>
<%End If %>


<% If Scheduled_Case_Type = "ONCE" Then %>
<option value="ONCE" SELECTED>ONCE</option>
<%Else%>
<option value="ONCE">ONCE</option>
<%End If %>

<% If Scheduled_Case_Type = "REPEAT" Then %>
<option value="REPEAT" SELECTED>REPEAT</option>
<%Else%>
<option value="REPEAT">REPEAT</option>
<%End If %>


</select>
</span></td>

</tr>
<%
response.write spacerline2
%>

<tr>

<td class=formlabelsuper>
<blockquote>

<%=wc_Repeat_Interval%>:&nbsp;
<br>
</span class=formboxholder>
<select name=RepeatInterval>

<option value="">None</option>


<% ' Default Repeat_Interval to 0
	If Repeat_Interval = "" Or IsNull(Repeat_Interval) Then
		Repeat_Interval = 0
	End If
%>

<% For Days = 1 to 30 %>

	<% 'Response.write "Repeat_Interval=" & Repeat_Interval %>


<% If CInt(Repeat_Interval) = CInt(Days) Then %>

<option value="<%=Days%>" SELECTED><%=Days%> Days</option>

<%Else %>
<option value="<%=Days%>"><%=Days%> &nbsp;<%=wc_Days%></option>

<%End If %>


<% Next %>

<% If Cint(Repeat_Interval) = 31 Then %>

<option value="31" SELECTED><%=wc_Every_Month%></option>
<%Else %>
<option value="31"><%=wc_Every_Month%></option>
<%End If %>


<% If Repeat_Interval = 62 Then %>
<option value="62" SELECTED><%=wc_Every_2_Months%></option>
<%Else %>
<option value="62"><%=wc_Every_2_Months%></option>
<%End If %>

<% If Repeat_Interval = 93 Then %>
<option value="93" SELECTED><%=wc_Every_3_Months%></option>
<%Else %>
<option value="93"><%=wc_Every_3_Months%></option>
<%End If %>

<% If Repeat_Interval = 186 Then %>
<option value="186" SELECTED><%=wc_Every_6_Months%></option>
<%Else %>
<option value="186"><%=wc_Every_6_Months%></option>
<%End If %>


<% If Repeat_Interval = 365 Then %>
<option value="365" SELECTED><%=wc_Every_12_Months%></option>
<%Else %>
<option value="365"><%=wc_Every_12_Months%></option>
<%End If %>

</select>
</span>
</td>
</tr>
</table>
</td>







<td  width=50%> <!-- start right cell -->
<table  cellpadding=0 cellspacing=0 width=100%>
<tr>



<td class=formlabelsuper width=100%><blockquote>
<%
   If WCDateFormat = "DDMMYYYY" Then ' UK format
      formatstring =  " (dd/mm/yyyy"
   Else
       formatstring =  " (mm/dd/yyyy)"
   End If
%>

<%=wc_Due_Date%>:<%=formatstring%>

<br>
<span class=formboxholder>
<% ' Compute Due_Date and Due_Time Parts ' NOTE this is from database - these functions depend on Locale - this is doing display ONLY
	If Due_Date <> "" Then
		DueMonth = Month(Due_Date)
		If Len(DueMonth) < 2 Then
			DueMonth = "0" & DueMonth
		End IF

		DueDay = Day(Due_Date)
		If Len(DueDay) < 2 Then
			DueDay = "0" & DueDay
		End If

		DueYear = Year(Due_Date)
	End if

	If Due_Time <> "" Then
		DueHour = Hour(Due_Time)
		If DueHour > 12 Then
			DueAMPM = "PM"
			DueHour = DueHour - 12
		Else
			DueAMPM = "AM"
		End IF

		If Len(DueHour) < 2 Then
			DueHour = "0" & DueHour
		End If

		DueMinute = Minute(Due_Time)

		If Len(DueMinute) < 2 Then
			DueMinute =  "0" & DueMinute
		End If


	End If
%>


<% If WCDateFormat = "DDMMYYYY" Then ' UK format
%>
<input size=2 name=DueDay maxlength=2 value="<%=DueDay%>"><b>/</b>
<input size=2 name=DueMonth maxlength=2 value="<%=DueMonth%>"><B>/</b>
<input size=4 name=DueYear maxlength=4 value="<%=DueYear%>"> &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp;
<% ' note that these hard blanks are necessary to prevent extra vertical space caused by previous title line folding %>

<%Else %>
<input size=2 name=DueMonth maxlength=2 value="<%=DueMonth%>"><B>/</b>
<input size=2 name=DueDay maxlength=2 value="<%=DueDay%>"><b>/</b>
<input size=4 name=DueYear maxlength=4 value="<%=DueYear%>"> &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp;
<% ' note that these hard blanks are necessary to prevent extra vertical space caused by previous title line folding %>

<%End If %>
</span></td>
</tr>

<%
response.write spacerline2
%>

<tr>
<td class=formlabelsuper><blockquote>
<%=wc_Due_Time%>:&nbsp;
<br>
<span class=formboxholder>
<input size=2 name=DueHour maxlength=2 value="<%=DueHour%>"><b>:</b>
<input size=2 name=DueMinute maxlength=2 value="<%=DueMinute%>">
<select name= dueAMPM size=1>
<option value="">--</option>

<% If DueAMPM = "PM" Then %>
<option value="PM"SELECTED>PM</option>

<%Else %>

<option value="PM">PM</option>

<%End If %>


<% IF DueAMPM = "AM" Then %>
<option value="AM" SELECTED>AM</option>

<%Else %>
<option value="AM">AM</option>

<%End If %>

</select>

</span></td>
</tr>
</table>
</td>
</tr>




<% 'Asset Inspection Feature %>

<% ' Display this if assets are enabled %>

<% If AssetEnabled = True and bAssetInspections = True Then  ' 10/05/11 CMB asset inspections disablement %>
<%
  spacerline2 = "<tr><td><table cellspacing=0 cellpadding=0 width=100% ><tr><td height=" & spacerheight & "> </td></tr></table></td></tr>"
%>

<% ' following nested table is necessary to get consistent vertical line-up of left-hand-edge %>
	<tr><td  height=<%=spacerheight%> colspan=2></td></tr>
	<tr>
	   <td colspan=2 align=center>
		 <table width=100% cellpadding=0 cellspacing=0 border=0>
		   <tr>
			 <td align=center class=MinorFormTitle><%=wc_Asset_Inspections%></td>
		   </tr>
		  </table>
	   </td>
	</tr>
<%
 response.write spacerline
%>

<tr>
<td colspan=2 align=center>

<% ' Started asset group code here %>

<table class=BoxTableWrapper width=80% >

<tr>
<td width=70%  align=middle  class=formboxholder>
<span class=formboxholder>
<%=wc_Asset_Group%>:
<select name=AssetGroup size=1>
<option value=""> Not Defined</option>

<%
	set conntemp=server.createobject("adodb.connection")
	conntemp.open myDSN

	mySQL="select * from AssetGroup order by AssetGroupName"
	set rstemp=conntemp.execute(mySQL)

	Do While NOT rstemp.EOF

			If AssetGroupIndex = rstemp("AssetGroupIndex") Then
				response.write "<option value=" & rstemp("AssetGroupIndex") & " SELECTED>" & rstemp("AssetGroupName") & "</option>" & chr(10) & chr(13)
			else
				response.write "<option value=" & rstemp("AssetGroupIndex") & ">" & rstemp("AssetGroupName") & "</option>" & chr(10) & chr(13)
			End IF

		rstemp.MoveNext
	Loop

	response.write "</select>"

	rstemp.close
	set rstemp=nothing
	conntemp.close ' Close the connection
	set conntemp=nothing
%>

</span>

</td><td class=formboxholder width=30% >

<% If AssetGroupIndex <> "" AND AssetGroupIndex <> 0 Then %>
<% CaseVector = "PerformInspection.asp?Mode=Show&Id=" & Clng(Case_number) ' remove any leading zeros in the case number with Cint
%>

<a href='javascript:var w=window.open("<%=CaseVector%>","subwindow","width=900,height=500,screenX=50,screenY=50,left=50,top=50,scrollbars=yes,resizable=yes")'>
 	     <img src="/<%=WCLanguageDirectory%>/PerformInspection.gif" border=0></a>

<% Else ' If assetgroup not defined, do not provide link for inspection
%>
   			 <img src="/<%=WCLanguageDirectory%>/PerformInspectiongray.gif">
<%
End If %>

</td>
</tr>
</table>

<% End if '  End of Asset Inspections %>

<% ' End of Asset Inspections %>



<% If Version8point0 = "YES" Then

%>


<% ' Additional Customer Case Assignment options %>


<% ' Display this if AdditionalCustomerCaseAssignments are enabled %>

<%  IF bAdditionalCustomerCaseAssignments = True Then  ' 02/14/13 SAV Additional Customer case assignment %>
<%
  spacerline2 = "<tr><td><table cellspacing=0 cellpadding=0 width=100% ><tr><td height=" & spacerheight & "> </td></tr></table></td></tr>"
%>

<% ' following nested table is necessary to get consistent vertical line-up of left-hand-edge %>
	<tr><td  height=<%=spacerheight%> colspan=2></td></tr>
	<tr>
	   <td colspan=2 align=center>
		 <table width=100% cellpadding=0 cellspacing=0 border=0>
		   <tr>
			 <td align=center class=MinorFormTitle><%=wc_Additional_Customer_Case_Assignments%></td>
		   </tr>
		  </table>
	   </td>
	</tr>
<%
 response.write spacerline
%>

<tr>
<td colspan=2 align=center>

<table class=BoxTableWrapper width=80% >

<tr>
<td width=50%  align=middle  class=formboxholder>
<span class=formboxholder>

<!-- CUSTOMERS -->

<span class=formlabelsuper >Assign Customer(s) to this case:</span> <br>


<%
	Customer_Id_List = CInt(Customer_Id_List)

	If Customer_Id_List = 1 Then %>



		<%

		' Grab all customers from customer table

			set conntemp=server.createobject("adodb.connection")
			conntemp.open myDSN

			If not isnumeric(Case_number) then ' just for this query to work
				casenum = 0
			else
				casenum = case_number
			End if

		'	mySQL="select * from Customers Order by Contact_lname, contact_fname"  ' 04/05/12
			mySQL="select * from Customers " ' 04/17/13
			mySql = mySQL & " where customer_ID not in (Select Customer_ID from cases where case_number = " & casenum & ") " ' 04/17/13
			mySql = mySQL & " and customer_ID not in (Select Customer_ID from AdditionalCustomerCaseAssignments where case_number = " & casenum & ") " ' 04/17/13
			mySql = mySQL & "Order by Contact_lname, contact_fname"  ' 04/05/12
'response.write "SQL" & mysql
'response.flush
'response.end
%>
		<SELECT name="AdditionalCustomerCaseAssignments" id="AdditionalCustomerCaseAssignments" size=3 multiple>

			<% ' Let them have an option for no customers %>
			<!--	<option value=""></option> -->
<%
			set rstemp=conntemp.execute(mySQL)

			Do While NOT rstemp.EOF
					FixedCustomerID = Trim(rstemp("Customer_ID"))
					response.write "<option value=""" & FixedCustomerID & """" & SELECTEDSTRING &  ">" & rstemp("contact_lname") & ", " & rstemp("contact_fname") & "</option>" & chr(10) & chr(13)
					rstemp.MoveNext
			Loop

			rstemp.close
			set rstemp=nothing
			conntemp.close ' Close the connection
			set conntemp=nothing

			response.write "</select>"

			%>

			<br>
			Select customer(s) to assign to this case

			<% else %>
				<!-- CUSTOMER QUESTION MARK -->


              Customer_ID:<input size=20 name="AdditionalCustomerCaseAssignments" maxlength=20 value = "">
  		    <a href='javascript:var w=window.open("Customer_Id_AssistCustomerCaseAssignment.asp","subwindow","width=<%=wc_Width_Customer_Id_Assist_Window%>,height=400,screenX=50,screenY=50,left=50,top=50,scrollbars=yes,resizable=yes")'>
  		    <img src="/<%=WCLanguageDirectory%>/Assist.gif" border=0></a> <%=wc_Click_on_question_mark_for_assistance%></font>


		<!-- END CUSTOMER PART -->
			<% end if %>


<% ' ********************* END %>

</span>

</td><td class=formboxholder width=50% align=center valign=top >
<%if case_number <> "NEW"  then  ' 03/12/13%>

	<table border=1>
	<tr valign=top><th><span class=formlabelsuper >Additional Assigned Customers:</span></th><th><span class=formlabelsuper >Remove</span></th></tr>
	<br>

	<%
		set conntemp=server.createobject("adodb.connection")
		conntemp.open myDSN

	'	If DatabaseType = "ACCESS" or DatabaseType = "ACCESS97" Then ' 03/12/13 these are the same?
			mySQL = "SELECT AdditionalCustomerCaseAssignments.Case_number, AdditionalCustomerCaseAssignments.CustomerCaseAssignmentIndex, AdditionalCustomerCaseAssignments.customer_id, Customers.contact_fname, Customers.contact_lname FROM AdditionalCustomerCaseAssignments INNER JOIN Customers ON AdditionalCustomerCaseAssignments.customer_id = Customers.customer_id where case_number = " & Case_number
	'	Else
			mySQL = "SELECT AdditionalCustomerCaseAssignments.Case_number, AdditionalCustomerCaseAssignments.CustomerCaseAssignmentIndex, AdditionalCustomerCaseAssignments.customer_id, Customers.contact_fname, Customers.contact_lname FROM AdditionalCustomerCaseAssignments INNER JOIN Customers ON AdditionalCustomerCaseAssignments.customer_id = Customers.customer_id where case_number = " & Case_number
		'	mySql = mySql & " Order by last_Name, First_Name " ' 03/12/13
			mySql = mySql & " Order by Customers.contact_lname, Customers.contact_fname " ' 03/12/13
	'	End If

		set rstemp=conntemp.execute(mySQL)
		Do While not rstemp.EOF
			response.write  "<tr><td><span class=formboxholder>" &  rstemp("contact_lname") & ", " & rstemp("Contact_fname")  &  "</td><td><span class=formboxholder><input type=checkbox name=RemoveFromCustomerCaseAssignment value=" & rstemp("CustomerCaseAssignmentIndex") & "></span></td></tr>"  ' 04/17/13 switch of lname and fname
			rstemp.MoveNext
		Loop

		response.write "</table>"

		rstemp.close
		set rstemp=nothing
		conntemp.close ' Close the connection ' oops 03/29/13
		set conntemp=nothing ' oops 03/29/13

	%>


	<br>
	</td>
	</tr>
	</table>
	<% end if ' 03/12/13 %>
<% End if '  End of Additional Customer Case Assignments %>

<% End If ' End of IF Version8point0 = YES
%>












<% ' Additional Notifications Feature %>

<% IF bAdditionalEmails = True Then ' version 7.5 %>



<%
  spacerline2 = "<tr><td><table cellspacing=0 cellpadding=0 width=100% ><tr><td height=" & spacerheight & "> </td></tr></table></td></tr>"
%>


<% ' following nested table is necessary to get consistent vertical line-up of left-hand-edge %>


	<tr><td  height=<%=spacerheight%> colspan=2></td></tr>


<tr>
   <td colspan=2 align=center>
     <table width=100% cellpadding=0 cellspacing=0 border=0>
       <tr>
         <td align=center class=MinorFormTitle><%=wc_Additional_Notifications%></td>
       </tr>
      </table>
   </td>
</tr>

<%
 response.write spacerline
%>

<tr>
<td colspan=2 align=center>




<% ' Started notification code here %>

<table class=BoxTableWrapper width=80% >

<tr>
<td width=70%  align=middle  class=formboxholder>

			   Primary Notification Email: <br>
			 <I><%=PrimaryAdditionalNotificationEmail%> </i><br>
</td>
<td class=formboxholder width=30% >

			<% If AdditionalNotifications = True Then %>

	  <input id=forradiobuttongreen type=radio name=Additionalnotifications value="YES" CHECKED>&nbsp;<%=wc_ON%><br>

	   <input  id=forradiobuttonred type=radio name=AdditionalNotifications value="" >&nbsp;<%=wc_OFF%>

	   <%else  %>

	  <input id=forradiobuttongreen type=radio name=Additionalnotifications value="YES" >&nbsp;<%=wc_ON%><br>

	   <input  id=forradiobuttonred type=radio name=Additionalnotifications value="" CHECKED>&nbsp;<%=wc_OFF%>


		<% End IF %>







</td>
</tr>
</table>










<table cellspacing=0 cellpadding=0 width=100% ><tr><td height="<%=spacerheight%>"> </td></tr></table>



</td>
</tr>


<tr>
   <td colspan=2 align=center>
     <table width=100% cellpadding=0 cellspacing=0 border=0>
       <tr>
         <td align=center class=MinorFormTitle>Copy Additional Recipients</td>
       </tr>
      </table>
   </td>
</tr>


<%
 response.write spacerline
%>


<tr>
   <td colspan=2 align=center>

<table class=BoxTableWrapper width=80% >

<td width=100%  align=middle  class=formboxholder>



			   <input type=text size=80 maxlength=500 name=AdditionalCCList value="<%=AdditionalCCList%>">
			   <br>
			   Comma or space delimit email addresses - Clear to stop sending CC emails<br>

</td>
</tr>
</table>

</td>
</tr>







<% ' End notification %>

<% End if ' End of if AdditionalNotifications %>








<% ' Calendar Scheduling  Option ***********%>

<% if ((Case_Number <> "NEW") AND (DisableWebCenterCalendar <> "YES")) Then ' Only do this if a case already exists %>

	<tr><td  height=<%=spacerheight%> colspan=2></td></tr>


<tr>
   <td colspan=2 align=center>
     <table width=100% cellpadding=0 cellspacing=0 border=0>
       <tr>
         <td align=center class=MinorFormTitle><%=wc_Calendar_Scheduling%></td>
       </tr>
      </table>
   </td>
</tr>

<%
   response.write  spacerline2

' Display any scheduled events associated with this case
	set conntemp=server.createobject("adodb.connection")
	conntemp.open myDSN

	mySQL="select * from Schedule where case_number = " & case_number & " order by start_date, start_time"
	set rstemp=conntemp.execute(mySQL)

	If  rstemp.eof then

	  %>
	  <tr>
	    <td  class=formlabel colspan=2>
	   No calendar events are currently scheduled for this case
	    </td>
	  </tr>
	  <%

	Else
	   response.write "<tr><td colspan=2>"
	   response.write " <table class=FormTable  cellpadding=1 cellspacing=1 align=center>"

		Do While rstemp.EOF <> True
             response.write "<tr><td valign=top  class=formlabel>&nbsp;"
             EventVector = "EditEvent.asp?mode=sub&Id=" & Cint(rstemp("schedule_id")) ' remove any leading zeros in the case number with Cint
             %>
                 <a href='javascript:var w=window.open("<%=EventVector%>","subwindow2","width=500,height=600,screenX=50,screenY=50,left=50,top=50,scrollbars=yes,resizable=yes")'>

      <%
             Response.write rstemp("start_date")
             If rstemp("start_time") <> "" Then
               Response.write "&nbsp;at&nbsp;" & rstemp("start_time")
             end if
             response.write "</a>&nbsp;"
             response.write "</td><td class=formlabel valign=top>"
               response.write "&nbsp;(" & ResolveEventType(rstemp("event_type_id")) & ") "
               response.write rstemp("event_title")
             response.write "</td></tr>"
			rstemp.MoveNext
		Loop
      response.write "</table>"
      response.write "</td></tr>"
	End IF

	rstemp.close
	set rstemp=nothing
	conntemp.close ' Close the connection
	set conntemp=nothing



%>

<tr>
<%
response.write  spacerline2

ScheduleVector =  "EditEvent.asp?mode=sub&action=create&Customer_Id=" & Customer_ID

ScheduleVector = ScheduleVector & "&Case_number=" & Case_Number
%>



  <td></td>
  <td>
      <a href='javascript:var w=window.open("<%=ScheduleVector%>","subwindow2","width=500,height=600,screenX=50,screenY=50,left=50,top=50,scrollbars=yes,resizable=yes")'>
      <img src=/<%=WCLanguageDirectory%>/ts_Set_Calendar_Event.gif border=0></a>
  </td>
</tr>


<% end if %>

<% ' Time Spent Billing Option ***********%>

    <% If ExtendedTimeSpent = True or  ExtendedTimeSpent = Null or ExtendedTimeSpent = 1 Then
			TimeSpentBilling = "YES"
		End If

	%>
<!-- #INCLUDE FILE="TCaseFormTimeAndBilling.inc" -->

	<% If bExpenses=True Then %>
		<!-- #INCLUDE FILE="TCaseForm7Point5.inc" -->
	<% End If %>


<tr><td  height=<%=spacerheight%>  colspan=2></td></tr>

	<% '******* DISPLAY THE OPTIONAL CASE FORM TEXT BOXES ***************************%>

	<% ' Get the values if they exist

	set conntemp=server.createobject("adodb.connection")
	conntemp.open myDSN

	mySQL="select * from Case_Text_Field_Labels" ' There should be no rows or only 1

	set rstemp=conntemp.execute(mySQL)

	If rstemp.EOF <> True then
		Field_1_Label = rstemp("Field_1_Label")
		Field_2_Label = rstemp("Field_2_Label")
		Field_3_Label = rstemp("Field_3_Label")
		Field_4_Label = rstemp("Field_4_Label")
		Field_5_Label = rstemp("Field_5_Label")
		Field_6_Label = rstemp("Field_6_Label")
		Field_7_Label = rstemp("Field_7_Label")
		Field_8_Label = rstemp("Field_8_Label")
		Field_9_Label = rstemp("Field_9_Label")
		Field_10_Label = rstemp("Field_10_Label")

		Field_1_State = rstemp("Field_1_State")
		Field_2_State = rstemp("Field_2_State")
		Field_3_State = rstemp("Field_3_State")
		Field_4_State = rstemp("Field_4_State")
		Field_5_State = rstemp("Field_5_State")
		Field_6_State = rstemp("Field_6_State")
		Field_7_State = rstemp("Field_7_State")
		Field_8_State = rstemp("Field_8_State")
		Field_9_State = rstemp("Field_9_State")
		Field_10_State = rstemp("Field_10_State")

	End If


	rstemp.close
	set rstemp=nothing
	conntemp.close ' Close the connection
	set conntemp=nothing

	' Now determine if any of the case text fields are enabled for ALL view(2) or tech view (1)
	' or determine if any of the fields are greater than 0

	If Field_1_State > 0  OR Field_2_State > 0 OR  Field_3_State > 0 OR  Field_4_State > 0 OR  Field_5_State > 0 OR  Field_6_State > 0 OR  Field_7_State  > 0 OR  Field_8_State > 0 OR  Field_9_State > 0 OR  Field_10_State > 0  THEN
	' At least one field is enabled for ALL view (customer and techs) so open up table cell for it

%>

	<tr>
	<td align=center   WIDTH="100%" colspan=2>

	<% ' Start new Table for Optional text fields %>



	<table  cellpadding=0  cellspacing=0  WIDTH=100%   border=0>

	<tr><td  height=<%=spacerheight%> colspan=2></td></tr>




     <tr><td  class=MinorFormTitle colspan=2 align=center><%=wc_Further_Attributes%></td></tr>

  <%
   response.write spacerline2
  %>

	<% OddEven = "Even" %>

	<% If Field_1_State > 0  Then %>
	    <% If OddEven = "Even" Then
	        response.write "<tr>"
	       End If
	     %>

		<td class=formlabelsuper ><blockquote>
		<%=Field_1_Label%>: &nbsp;&nbsp;
		</br>
		<span class=formboxholder>
		<input type=text name="text_Field_1" size=30 maxlength=100 value="<%=Field_1_Value%>">
		</span></td>
	    <% If OddEven = "Odd" Then
	        response.write "</tr>"
	        response.write  spacerline
	        response.write "<tr>"
	        OddEven = "Even"
	       Else
	        OddEven = "Odd"
	       End If
	     %>
	<% End If %>

	<% If Field_2_State > 0  Then %>
	    <% If OddEven = "Even" Then
	         response.write "<tr>"
	       End If
	     %>

		<td class=formlabelsuper ><blockquote>
		<%=Field_2_Label%>: &nbsp;&nbsp;
		</br>
		<span class=formboxholder>
		<input type=text name="text_Field_2" size=30 maxlength=100 value="<%=Field_2_Value%>">
		</span></td>
	    <% If OddEven = "Odd" Then
	        response.write "</tr>"
	        response.write spacerline
	        response.write "<tr>"
	        OddEven = "Even"
	       Else
	        OddEven = "Odd"
	       End If
	     %>
	<% End If %>


	<% If Field_3_State > 0  Then %>
	    <% If OddEven = "Even" Then
	       response.write "<tr>"
	       End If
	     %>

		<td class=formlabelsuper ><blockquote>
		<%=Field_3_Label%>: &nbsp;&nbsp;
		</br>
		<span class=formboxholder>
		<input type=text name="text_Field_3" size=30 maxlength=100 value="<%=Field_3_Value%>">
		</span></td>
	    <% If OddEven = "Odd" Then
	        response.write "</tr>"
	        response.write spacerline
	        response.write "<tr>"
	        OddEven = "Even"
	       Else
	        OddEven = "Odd"
	       End If
	     %>
	<% End If %>


	<% If Field_4_State > 0  Then %>
	    <% If OddEven = "Even" Then
	       response.write "<tr>"
	       End If
	     %>

		<td class=formlabelsuper ><blockquote>
		<%=Field_4_Label%>: &nbsp;&nbsp;
		</br>
		<span class=formboxholder>
		<input type=text name="text_Field_4" size=30 maxlength=100 value="<%=Field_4_Value%>">
		</span></td>
	    <% If OddEven = "Odd" Then
	        response.write "</tr>"
	        response.write spacerline
	        response.write "<tr>"
	        OddEven = "Even"
	       Else
	        OddEven = "Odd"
	       End If
	     %>
	<% End If %>


	<% If Field_5_State > 0  Then %>
	    <% If OddEven = "Even" Then
	       response.write "<tr>"
	       End If
	     %>

		<td class=formlabelsuper ><blockquote>
		<%=Field_5_Label%>: &nbsp;&nbsp;
		</br>
		<span class=formboxholder>
		<input type=text name="text_Field_5" size=30 maxlength=100 value="<%=Field_5_Value%>">
		</span></td>
	    <% If OddEven = "Odd" Then
	        response.write "</tr>"
	        response.write spacerline
	        response.write "<tr>"
	        OddEven = "Even"
	       Else
	        OddEven = "Odd"
	       End If
	     %>
	<% End If %>


	<% If Field_6_State > 0  Then %>
	    <% If OddEven = "Even" Then
	       response.write "<tr>"
	       End If
	     %>

		<td class=formlabelsuper ><blockquote>
		<%=Field_6_Label%>: &nbsp;&nbsp;
		</br>
		<span class=formboxholder>
		<input type=text name="text_Field_6" size=30 maxlength=100 value="<%=Field_6_Value%>">
		</span></td>
	    <% If OddEven = "Odd" Then
	        response.write "</tr>"
	        response.write spacerline
	        response.write "<tr>"
	        OddEven = "Even"
	       Else
	        OddEven = "Odd"
	       End If
	     %>
	<% End If %>


	<% If Field_7_State > 0  Then %>
	    <% If OddEven = "Even" Then
	       response.write "<tr>"
	       End If
	     %>

		<td class=formlabelsuper ><blockquote>
		<%=Field_7_Label%>: &nbsp;&nbsp;
		</br>
		<span class=formboxholder>
		<input type=text name="text_Field_7" size=30 maxlength=100 value="<%=Field_7_Value%>">
		</span></td>
	    <% If OddEven = "Odd" Then
	        response.write "</tr>"
	        response.write spacerline
	        response.write "<tr>"
	        OddEven = "Even"
	       Else
	        OddEven = "Odd"
	       End If
	     %>
	<% End If %>


	<% If Field_8_State > 0  Then %>
	    <% If OddEven = "Even" Then
	       response.write "<tr>"
	       End If
	     %>

		<td class=formlabelsuper ><blockquote>
		<%=Field_8_Label%>: &nbsp;&nbsp;
		</br>
		<span class=formboxholder>
		<input type=text name="text_Field_8" size=30 maxlength=100 value="<%=Field_8_Value%>">
		</span></td>
	    <% If OddEven = "Odd" Then
	        response.write "</tr>"
	        response.write spacerline
	        response.write "<tr>"
	        OddEven = "Even"
	       Else
	        OddEven = "Odd"
	       End If
	     %>
	<% End If %>


	<% If Field_9_State > 0  Then %>
	    <% If OddEven = "Even" Then
	       response.write "<tr>"
	       End If
	     %>

		<td class=formlabelsuper ><blockquote>
		<%=Field_9_Label%>: &nbsp;&nbsp;
		</br>
		<span class=formboxholder>
		<input type=text name="text_Field_9" size=30 maxlength=100 value="<%=Field_9_Value%>">
		</span></td>
	    <% If OddEven = "Odd" Then
	        response.write "</tr>"
	        response.write spacerline
	        response.write "<tr>"
	        OddEven = "Even"
	       Else
	        OddEven = "Odd"
	       End If
	     %>
	<% End If %>


	<% If Field_10_State > 0  Then %>
	    <% If OddEven = "Even" Then
	       response.write "<tr>"
	       End If
	     %>

		<td class=formlabelsuper ><blockquote>
		<%=Field_10_Label%>: &nbsp;&nbsp;
		</br>
		<span class=formboxholder>
		<input type=text name="text_Field_10" size=30 maxlength=100 value="<%=Field_10_Value%>">
		</span></td>
	    <% If OddEven = "Odd" Then
	        response.write "</tr>"
	        response.write spacerline
	        response.write "<tr>"
	        OddEven = "Even"
	       Else
	        OddEven = "Odd"
	       End If
	     %>
	<% End If %>


	<% ' If we ended up on the wrong side emit an empty dummy to fill out the table %>

	    <% If OddEven = "Odd" Then
	       response.write "<td class=formlabelsuper></td></tr>"
	       End If
	     %>



	</table>

	</td></tr>

   <tr><td class=formspacer height=5 colspan=2></td></tr>
	<%End If ' If no Case Text fields are enabled for customer view %>



	<% '******* END OF DISPLAY THE OPTIONAL CASE FORM TEXT BOXES ***************************%>





<% ' Close inside table %>

</table>








</td>
</tr>


</table><!-- close inner form wrapper -->
</td>
</tr>
</table> <!-- close outer form wrapper -->
</form>

</body>
</html>


<% End If ' End of Customer_Invalid = NO %>


<%End If ' End of security checks %>

<%
Function Format_Case_Text(Case_Text)

' This subroutines formats the case_text with the proper color coding conventions

NewText = Case_Text
	' Tags entered by the user can be security issue so we will replace
	' them with printable html text of &lt; and & gt;

	' We need to replace double tag characters to double brackets so we can
	' convert them back to real tags

		NewText = Replace (NewText, "<<", "[[")
		NewText = Replace (NewText, ">>", "]]")

		' Now replace regular tags with &gt; and & lt;

		NewText = Replace (NewText, "<", "&lt;")
		NewText = Replace (NewText, ">", "&gt;")


		' Now replace back the other double tags back to regular tags

		NewText = Replace (NewText, "[[", "<")
		NewText = Replace (NewText, "]]", ">")

		' Replace the special color coding characters

		NewText = Replace (NewText, "{g[", "<font color=#008000>")

		NewText = Replace (NewText, "{g[", "<font color=#008000>")

		NewText = Replace (NewText, "{r[", "<font color=#FF0000>")

		NewText = Replace (NewText, "]r}", "</font>")

		NewText = Replace (NewText, "]g}", "</font>")


	NewText = replace(NewText, chr(10), "<br>")


' following formatting added when going to stylesheets

' at this point, if we had two cariage returns in succession, they would have come in as 4 bytes cr lf cr lf
' and right above we would have transformed the two lf's to <br> leaving us with <br> lf <br> - thus the following definition

    double_br = "<br>" & chr(13) & "<br>"



' we then add a thinline (made by a skinny table) just before start of any font color change
    thinline = "<table cellpadding=0 cellspacing=5 width=100% ><tr bgcolor=#808080 ><td height=1></td></tr></table>"

' note - for V6 (Jan 2007) we removed some code here which replaced double_br (defined above) with empty string - and it only did this
' for Windows (not Linux). This had bad effects and we are not sure why it was done in the first place. It caused multiple carriage returns
' to disapper completely and what had been separated formatted text was displayed as all run together. So the code was just removed
' without understanding why it was there in the first place. But is has to do with

    newbreak1 = thinline & "<font color=#FF0000>"
    NewText = replace(NewText, "<font color=#FF0000>", newbreak1)
	Format_Case_Text = NewText


    newbreak2 = thinline & "<font color=#008000>"
    NewText = replace(NewText, "<font color=#008000>", newbreak2)

    NewText = NewText & thinline


	Format_Case_Text = NewText

End function
%>



<% Sub DisplayPriorityFromTable(CurrentPriority)
	' This sub display the priority drop down option for the case
	' case form from the prioirty table and not hard coded.
	' It is passed the current value so we know which
	' option to mark as "SELECTED"


		set conntemp=server.createobject("adodb.connection")

		conntemp.open myDSN ' Open the connection once here

		mySQL2="select * from Priority"
		set rstemp2=conntemp.execute(mySQL2)

		' Check to see if any records are returned
		' if none found the
		if rstemp2.EOF then
		' Display a default sets of priority

		Else
			Response.write "<SELECT size=1 name=case_severity>"
			Do While Rstemp2.EOF <> True

				If CurrentPriority = rstemp2("PriorityID") Then
					Reponse.write "<option value=" & rstemp2("PriorityID") & " SELECTED>" & rstemp2("Shortdesc") & "</option>"
				Else
					Reponse.write "<option value=" & rstemp2("PriorityID") & ">" & rstemp2("Shortdesc") & "</option>"

				End If
				rstemp2.movenext
			loop
		End IF

		rstemp2.close
		set rstemp2=nothing


		conntemp.close ' Close the connection
		set conntemp=nothing

	End Sub ' End of DisplayPriorityFromTable
	%>


<% Sub SetModification_Flag(case_number)
	' This function will check to see if the tech viewing this case has been assigned
	' to this case.  If they are assigned to this case ,
	' then the case "Modification_flag" will be cleared
	' so it won't appear red in their open Cases display.  Any updates by the customer or
	' other techs will reset the modification_flag  back to 1.

		Set Conn = Server.CreateObject("ADODB.Connection")
		conn.open  myDSN



			Set NewRecord = Server.CreateObject("ADODB.Recordset")

					SQL = "Select * from Cases where case_number = " & case_number

			'response.write SQL

			NewRecord.Open SQL,Conn,3,3

			If NewRecord.EOF = True Then
				' This should not occur
			Else ' Update Case Info when case already exists

				LoginTech_ID = Request.Cookies ("ISS_TECH_CENTER_LOGIN")

				' Only Clear the modified flag if the assigned tech is viewing this case

				If LoginTech_ID = NewRecord("Tech_ID") Then ' Clear Modified_flag
					NewRecord("modified_flag") = 0
					NewRecord.Update
					If  err.number>0 then
						  response.write "VBScript Errors Occured:" & "<P>"
						  response.write "Error Number=" & err.number & "<P>"
						  response.write "Error Descr.=" & err.description & "<P>"
						  response.write "Help Context=" & err.helpcontext & "<P>"
						  response.write "Help Path=" & err.helppath & "<P>"
						  response.write "Native Error=" & err.nativeerror & "<P>"
						  response.write "Source=" & err.source & "<P>"
						  response.write "SQLState=" & err.sqlstate & "<P>"
					else
					'      response.write "No VBScript Errors Occured" & "<P>"
					end if
					'IF  conn.errors.count> 0 then
					'	  response.write "Database Errors Occured" & "<P>"
					'for counter= 0 to conn.errors.count
					'	  response.write "Error #" & conn.errors(counter).number & "<P>"
					'	  response.write "Error desc. -> " & conn.errors(counter).description & "<P>"
					'next
					'else
					'      response.write "No Database Errors Occured!" & "<P>"
					'end if

					End IF

			End If ' End if Add Record or Update

		' Close recordset and connections

		NewRecord.Close
		Set NewRecord = Nothing

		Conn.Close
		Set Conn = Nothing

 End Sub 'SetModificationFlag
%>

<% Sub DisplayInvalidCustomerPage()
	' This function simply display a warning page that the entered
	'or passed customerID is not valid with a back button and
	' and a cancel button
%>
<html>
<!-- (C) 1996,1998 by Internet Software Sciences -->
<head><title>Case Form Error Page</title>
</head>
<body bgcolor=#D8D8D8>
<center>
<table border=1 cellspacing=2 cellpadding=10 width=98%>
<tr>
<td align=center><font size=+1>
<b>New Case Error</b>
</font>
<br>
<font size=+1 color=blue>
<b>
</b>
</font>
</td>
</tr>
</table>
<p>
<table border=1 cellspacing=2 cellpadding=10 width=98%>
<tr>
<td>
<center>
<b>No Matching Customer Record Found</b><P>
Please try again or use the
<a href=GetCustomer.asp> Customer Search Form </a>
to find<br> a customer and open a new case.


</center>
</td></tr>
</table><center>
<p><table border=0 cellspacing=1 cellpadding=1 width=50%>
<tr><td align=center>
<a href="javascript:history.back();" alt="Back Button">
<img src=/<%=WCLanguageDirectory%>/ts_search_again30x120.gif border=0></a>
</td>
<td align=center>
<a href=UserScreen.asp>
<img src=/<%=WCLanguageDirectory%>/ts_cancel30x80.gif border=0></a>
</td>
</tr>
</table>
<p>
</body>
</html>

<%End Sub %>

<%
 ' This function takes 2 parameters - a table-name and optionaly a column-name which must be an empty string if absent.
 ' It returns TRUE or FALSE depending on whether the named table (and the column if specified) are in the database
  Function TableExists(tablename,columnname)
	set conntempveryunique=server.createobject("adodb.connection")
	conntempveryunique.open myDSN ' Open the connection once here
	if columnname = "" Then
	     mySQLveryunique="select * from " & tablename
	else
	     mySQLveryunique="select " & columnname & " from " & tablename
	end if
	' response.write "Executing " & mySQLveryunique & "<P>"
	errorcode = 0
	On error resume next
	set rstempveryunique=conntempveryunique.execute(mySQLveryunique)
	errorcode = err.number
	' response.write "I see error code is " & errorcode & "<P>"
	if errorcode = 0 then
       TableExists = 1
    else
       TableExists = 0
    end if

	rstempveryunique.close
	set rstempveryunique=nothing
	conntempveryunique.close ' Close the connection
	set conntempveryunique=nothing

  end function

%>

<%
  Function ResolveEventType(MyId)
	set conntemp77=server.createobject("adodb.connection")
	conntemp77.open myDSN ' Open the connection once here
	ThisSQL = "Select * from Event_Type where event_type_id =" &  Cint(MyId)
	Set rstemp77 = conntemp77.execute(thisSQL)
	if rstemp77.eof Then
      ResolveEventType = "(Unknown Event Type)"
    else
       ResolveEventType = rstemp77("Event_type_name")
    end if
	rstemp77.close
	set rstemp77=nothing
	conntemp77.close ' Close the connection
	set conntem77=nothing


  end function

%>

<% Sub CreateTimeDateValues( DateString, TimeString, DateTimeString)
'	This Sub creates the TimeDate values that are used
' 	when adding or updating the case record

	' We must very carefully create the date string that we are going to
	' use in the SQL instruction since the system can easily
	' return incorrect values like 9/12/99 or 09/12/1999
	' depending upon their regional settings so this code
	' will hopefully extract the right values.


	' Compute the new Date and Time based on Server Time Zones plus
	' or minus the Time Zone Adjustments.  The time difference between
	' the Server Time and time where the web transaction is taking
	' placing is set by the variable called TimeZoneAdjustment

	'TimeZoneAdjustment = 0 ' Set this +/- Server Time Zone

	'TimeZoneAdjustment is set in the System Configuration Menu
	' Stored in Database as String
	If TimeZoneAdjustment = "" Or IsNull(TimeZoneAdjustment) Then
		TimeZoneAdjustmentInt = 0
	Else
		TimeZoneAdjustmentInt = CInt(TimeZoneAdjustment)
	End If

	' Time Zone Label is also stored in configurable table in DB

	'TimeZoneLabel = "(PST)"

	NewDate = DateAdd("h", TimeZoneAdjustmentInt, Now)

	CurrentDateFormatted = CStr(Year(NewDate))

	If len(CStr(Month(Date))) < 2 then
		CurrentDateFormatted = CurrentDateFormatted & "0" & CStr(Month(NewDate))
	Else
		CurrentDateFormatted = CurrentDateFormatted & CStr(Month(NewDate))
	End If

	If len(CStr(Day(Date))) < 2 then
		CurrentDateFormatted = CurrentDateFormatted & "0" & CStr(Day(NewDate))
	Else
		CurrentDateFormatted = CurrentDateFormatted & CStr(Day(NewDate))
	End If

	DateString = CurrentDateFormatted ' In YYYYMMDD format

	' Now Create the time string in the format of HHMMSS

	TimeString = Right("0" & Hour(time), 2) & Right("0" & Minute(time),2) & Right("0" &Second(time),2)
	TimeString = Right("0" & DatePart("h",NewDate), 2) & Right("0" & DatePart("n", NewDate),2) & Right("0" & DatePart("s", NewDate),2)

	DateTimeString= Date & " " & time

'	DateTimeString =    WeekDayName(Weekday(NewDate)) & " " & MonthName(Month(NewDate)) & " " & Day(NewDate) & ", " & Year(NewDate) & " " & Time
	DateTimeString =    WeekDayName(Weekday(NewDate)) & " " & MonthName(Month(NewDate)) & " " & Day(NewDate) & ", " & Year(NewDate) & " "
	' Now computer the time in HH:MM PM/AM
	HourPart = DatePart("h", NewDate)


	'Response.write "HourPart = " & Hourpart & "<br>"
	'response.write "DateTimeString = " & DateTimeString

	' Fix to AM/PM Calculation corrected in version 4.0


	If HourPart = 0 Then
		NewHourPart = HourPart + 12
		DateTimeString = DateTimeString & NewHourPart & ":" & Right("0" & DatePart("n", NewDate),2) & " AM " & TimeZoneLabel
	End If


	If HourPart <> 0 AND HourPart < 12 Then
		DateTimeString = DateTimeString & HourPart & ":" & Right("0" & DatePart("n", NewDate),2) & " AM " & TimeZoneLabel
	End If

	If HourPart = 12 Then
		DateTimeString = DateTimeString & HourPart & ":" & Right("0" & DatePart("n", NewDate),2) & " PM " & TimeZoneLabel
	End If

	If HourPart >= 13 Then
		HourPart = HourPart - 12
		DateTimeString = DateTimeString & HourPart & ":" & Right("0" & DatePart("n", NewDate),2) & " PM " & TimeZoneLabel
	End IF


	End Sub ' End of CreateTimeDateValues
%>

