<%  ' Module: Toptions.asp
	'
	' Description: Button Panel Page to the Tech+Center
	'
	' (C) 2000 Internet Software Sciences
	'
   'History:

   'Date		Who		What
   '-------	---		------------------------------------------------
   '8/29/00	SAV		Created original BOptions.asp
   '10/17/00 SAV	Created from BOptions.asp module
   '6/14/2004 JC    Created new buttons for this panel
   '09/27/11  CMB   Added stuff for Projects
   '10/05/11  CMB   Removed several buttons (email to case, config file used for reservation button)

	' Refer to the Web+Center User guide on how to customize the
	' the Tech+Center to be integrated with your current site.

	' TECH LEVELS
	' This page can be customized to your specification to allow certain
	' levels of users to obtain access to different buttons.  There are
	' 6 levels of users including:

	' 6 = Configurator = Highest Rights - Show all buttons
	' 5 = Administrator (No system configuration options)
	' 4 = Dispatcher (No administation but dispatcher and reports
	' 3 = Tech Read/Write (Read and write any case record)
	' 2 = Tech Read only (Read case records only)
	' 1 = No access - Lowest Rights - Not a valid user

	' The Matrix below allows you to customize what button are available for
	' specific user levels.  To change the default settings, change the constants
	' for each button listed below.  Every button user level is configurable.
	' For example to change the user level for the reports button from
	' Dispatcher to Administrator the Line below would change from:

	'ReportsButtonAccess = DispatcherLevel

	'TO

	' ReportsButtonAccess = AdministratorLevel



	' User Level Variable Values - DO NOT CHANGE THESE
	ConfiguratorLevel = 6
	AdministratorLevel = 5
	DispatcherLevel = 4
	TechReadWriteLevel = 3
	TechReadLevel = 2
	NoAccessLevel = 1

	'Button Assignements:

	NewCustomerAccess = TechReadWriteLevel
	GetCustomerAccess = TechReadLevel
	NewCaseAccess = TechReadWriteLevel
	NewAssetAccess = TechReadWriteLevel
	GetAssetAccess = TechReadLevel
	AssetAccess = TechReadLevel ' New Assets Button

	MyCasesAccess = TechReadLevel
	OtherCasesAccess = TechReadLevel
	TechReportAccess = TechReadLevel
	SearchEngineAccess = TechReadLevel
	AdministrationAccess = AdministratorLevel
	BusinessCenterAccess = AdministratorLevel
	DispatcherAccess = DispatcherLevel
	ReportsAccess = AdministratorLevel
	EmailCaseAccess = TechReadLevel
	AvailableAccess = TechReadLevel
	LogoutAccess = TechReadLevel
	CustomButtonAccess = AdministratorLevel
	ScheduleAccess = TechReadWriteLevel
	MyInfoAccess = TechReadWriteLevel
	OpenCasesAccess = TechReadWriteLevel
	TxtMessagingAccess  = TechReadWriteLevel
	ReservationAccess  = TechReadWriteLevel
	EmailToCaseAccess = ConfiguratorLevel
	InspectionsAccess = TechReadWriteLevel
	ProjectsAccess = TechReadWriteLevel  ' 09/28/11
	CompanyAccess = TechReadWriteLevel

%>

<%' Get the Database DNS and login information - Edit this file to change the DSN connection string%>

<!-- #INCLUDE FILE="DB_define.inc" -->

<!-- #INCLUDE FILE="../Language/wcLabels.inc" -->
<!-- #INCLUDE FILE="../Language/CodeCustomizations.inc" -->

<% ' Get in the file that contains the version string %>

<!-- #INCLUDE FILE="../Language/Version.inc" -->

<%' Include this file to get special database cursor constants to read record count values %>

<% IF adOpenForwardOnly = "" Then %>
<% '<!-- #INCLUDE FILE="Adovbs.inc" -->
%>

<%End IF %>

<% ' Grab the logged in user availability status for the available/busy button

	set conntemp=server.createobject("adodb.connection")
	conntemp.open myDSN

	TechID = Request.Querystring("TechID")
	If TechID = "" Then
		TechID = Request.Cookies("ISS_TECH_CENTER_LOGIN")
	End IF

		mySQL="select * from Tech_staff where Tech_ID = '" & TechID & "'"

	set rstemp=conntemp.execute(mySQL)

	' Check to see if any records are returned
	' if none found then login fails.
	If  rstemp.eof then ' Check to see any cases exist
		response.write "No User Info found - Please allow cookies"
		Availability = 2
		Tech_Level = 0
	Else
		Availability = rstemp("Availability")
		If Availability = "" or IsNull(Availability) = True THEN
			Availability = 2 ' Set default value to busy
		End If

		Tech_Level = rstemp("Tech_level")

	End IF

	rstemp.close
	set rstemp=nothing
	conntemp.close ' Close the connection
	set conntemp=nothing
	%>

<% 'Get the value of the Options Panel Screen background color from the Configuration Table %>
<%
	set conntemp=server.createobject("adodb.connection")

	conntemp.open myDSN ' Open the connection once here

	mySQL2="select * from Configuration"


	'**** Major problem with SQL*Server and Conntemp.execute when getting
	' configuration data.  One should use: recordset.open DSN connection 1, 3

	' Cursor type needs to be specified and use rstemp.open

	set rstemp2 = server.createobject("adodb.recordset")
	rstemp2.open mySQL2, conntemp, 1,3

	'set rstemp2=conntemp.execute(mySQL2)

	' Check to see if any records are returned
	' if none found the
	if rstemp2.EOF then
		UserPageColor = "FFFFFF" ' Default to white if record not found
	Else
		UserPageColor = rstemp2("ts_options_color")
		AssetDatabase = rstemp2("assets_db")
		If CInt(AssetDatabase) = 1 Then
			AssetDatabase = True
		End If

		TextMessagingEnabled = rstemp2("Option2")
		Language = rstemp2("Language")

		If Instr(Language, "Calendar" ) Then
			DisableWebCenterCalendar = "NO"
		Else
			DisableWebCenterCalendar = "YES"
		End If

		'***** 7.5
		If Version7point5 = "YES" then
			EnableProjects = rstemp2("Projects")
			AssetInspections = rstemp2("AssetInspections")
			ReservationCenter = rstemp2("ReservationCenter")
		End If

	End If

	rstemp2.close
	set rstemp2=nothing
	conntemp.close ' Close the connection
	set conntemp=nothing

%>

<!DOCTYPE HTML>
<html>
<!-- (C) 1996,1998-2013 by Internet Software Sciences -->
<head>
<title>Tech+Center Options Panel</title>
<style>
.specialversion {
          font-family: verdana, arial, helvetica, sans-serif;
          font-size: 9;
          background-color: #C0C0C0;

</style>
<!-- #INCLUDE FILE="Stylesheet.inc" -->
</head>

<body class=BPleftpanel>
<CENTER>
<div id="options_wrapper" style="background-color: #FFFFFF;  border-radius: 8px; text-align: center;">


<table border=0 cellpadding=0 cellspacing=0 align=center width=100%>
<tr>
  <td><a href="http://www.inet-sciences.com" target=newpage><img src=/<%=WCLanguageDirectory%>/Panel_TopLogoSmaller.jpg border=0></a></td>
</tr>

<% If Tech_Level >= DispatcherAccess Then %>
    <tr>
		<td align=middle><a href=status.asp class="BPpanelbutton" target=user_screen><%=wc_pb_Status_tools%></a></td>
	</tr>
<%End IF %>

<!-- - - - - - - - - - - - -->

<!--  Moved into New Customer page

<% If Tech_Level >= CompanyAccess Then %>
	<tr><td  align=middle><a class=BPpanelbutton href=TManage_Companies.asp target=user_screen><%=wc_pb_Bill_Addresses%></a></td></tr>
<%End IF %>

-->


<%

   Tech_Level = CInt(Tech_Level)
   If Tech_Level >= NewCustomerAccess Then
%>
	<tr>
		<td  align=middle><a class=BPpanelbutton href=NewCustomer.asp target=user_screen><%=wc_pb_New_Customer%></a></td>
	</tr>
<%End IF %>

<!-- - - - - - - - - - - - -->

<% If Tech_Level >= GetCustomerAccess Then%>
	<tr>
		<td  align=middle><a class=BPpanelbutton href=GetCustomer.asp target=user_screen><%=wc_pb_Get_Customer%></a></td>
	</tr>
<%End IF %>

<!-- - - - - - - - - - - - -->

<% If Tech_Level >= NewCaseAccess Then %>
	<tr>
		<td  align=middle><a class=BPpanelbutton href=NewCase.asp target=user_screen><%=wc_pb_New_Case%></a></td>
	</tr>
<%End IF %>

<!-- - - - - - - - - - - - -->

<% If Tech_Level >= GetCaseAccess Then %>
	<tr>
		<td  align=middle><a class=BPpanelbutton href=GetCase.asp target=user_screen><%=wc_pb_Get_Case%></a></td>
	</tr>
<%End IF %>

<!-- - - - - - - - - - - - -->

<% If CInt(AssetDatabase) = True and Tech_Level >= AssetAccess Then %>
	<tr>
		<td  align=middle><a class=BPpanelbutton href=Assets.asp target=user_screen><%=wc_pb_Assets%></a></td>
	</tr>
<%End IF %>

<!-- - - - - - - - - - - - -->


<% If CInt(AssetDatabase) = True and Tech_Level >= InspectionsAccess AND Version7point5 <> "YES" Then ' 10/04/11 added version conditional %>
       <tr><td  align=middle><a class=BPpanelbutton href=TInspection.asp target=user_screen><%=wc_pb_Inspections%></a></td></tr>
<%End IF %>
<% If CInt(AssetDatabase) = True and Tech_Level >= InspectionsAccess AND Version7point5 = "YES" and AssetInspections = true Then '10/4/11%>
       <tr><td  align=middle><a class=BPpanelbutton href=TInspection.asp target=user_screen><%=wc_pb_Inspections%></a></td></tr>
<%End IF %>


<!-- - - - - - - - - - - - -->

<%If Tech_Level >= MyCasesAccess AND (DisableWebCenterCalendar <> "YES")  Then %>
	<tr>
		<td  align=middle><a class=BPpanelbutton href=MyCases.asp target=pending_screen><%=wc_pb_My_CasesEvents%></a></td>
	</tr>
<%End IF %>

<%If Tech_Level >= MyCasesAccess AND (DisableWebCenterCalendar = "YES")  Then %>
	<tr>
		<td  align=middle><a class=BPpanelbutton href=MyCases.asp target=pending_screen><%=wc_pb_My_Cases%></a></td>
	</tr>
<%End IF %>

<!-- - - - - - - - - - - - -->

<% If Tech_Level >= OtherCasesAccess Then %>
	<tr>
		<td  align=middle><a class=BPpanelbutton href=OtherCases.asp target=user_screen><%=wc_pb_Other_Cases%></a></td>
	</tr>
<%End IF %>
<!-- - - - - - - - - - - - -->

<% If Tech_Level >= ProjectsAccess  and  Version7point5 = "YES" and EnableProjects=true Then ' '10/04/11 conditional %>
       <tr><td  align=middle><a class=BPpanelbutton href=Projects.asp target=user_screen><%=wc_pb_Projects%></a></td></tr>
<%End IF %>

<!-- - - - - - - - - - - - -->

<% If Tech_Level >= TechReportAccess then %>
	<tr>
		<td  align=middle><a class=BPpanelbutton href=TechReport.asp target=user_screen><%=wc_pb_Tech_Report%></a></td>
	</tr>
<%End IF %>

<!-- - - - - - - - - - - - -->

<% If Tech_Level >= SearchAccess Then %>
	<tr>
		<td  align=middle><a class=BPpanelbutton href=Search.asp target=user_screen><%=wc_pb_Search_Engine%></a></td>
	</tr>
<%End IF %>

<!-- - - - - - - - - - - - -->

<% If Tech_Level >= AdministrationAccess Then %>
	<tr>
		<td  align=middle><a class=BPpanelbutton href=SystemAdmin.asp target=user_screen><%=wc_pb_Administration%></a></td>
	</tr>
<%End IF %>

<!-- - - - - - - - - - - - -->

<% If Tech_Level >= BusinessCenterAccess Then %>
	<tr><td  align=middle><a class=BPpanelbutton href=Businesscenter.asp target="businesscenter"><%=wc_pb_Business_Center%></a></td></tr>
<%End IF %>

<!-- - - - - - - - - - - - -->

<% If Tech_Level >= ReportsAccess Then %>
	<tr>
		<td  align=middle><a class=BPpanelbutton href=Reports.asp target=user_screen><%=wc_pb_Reports%></a></td>
	</tr>
<%End IF %>

<!-- - - - - - - - - - - - -->

<% If Tech_Level >= EmailCaseAccess Then %>
	<tr>
		<td  align=middle><a class=BPpanelbutton href=EmailCase.asp target=user_screen><%=wc_pb_Email_Case%></a></td>
	</tr>
<%End IF %>

<!-- - - - - - - - - - - - -->

<% If (Tech_Level >= TxtMessagingAccess) AND (TextMessagingEnabled = 1) Then %>
	<tr>
		<td  align=middle>
       <a class=BPpanelbutton href='javascript:var w=window.open("TechTxtMsg.asp","TxtMsgsubwindow","width=550,height=90,screenX=200,screenY=20,right=50,top=20,scrollbars=yes,resizable=yes")'><%=wc_pb_Txt_Messaging%></a></td></tr>

<%End IF %>

<!-- - - - - - - - - - - - -->

<% If Tech_Level >= AvailableAccess Then %>


<% IF CInt(Availability) = 1 Then %>
       <tr><td  background=/<%=WCLanguageDirectory%>/green-onsmall.gif align=center><a class=BPpanelbutton href=DoTAvailability.asp><%=wc_pb_Available%></a></td></tr>
   <%Else %>
       <tr><td  background=/<%=WCLanguageDirectory%>/red-onSmall.gif align=center><a class=BPpanelbutton href=DoTAvailability.asp><%=wc_pb_Busy%></a></td></tr>
 <%End IF %>

<%End IF %>

<!-- - - - - - - - - - - - -->

<% If Tech_Level >= ScheduleAccess AND (DisableWebCenterCalendar <> "YES") Then %>
	<tr>
		<td  align=middle><a class=BPpanelbutton href=CalendarView.asp target=user_screen><%=wc_pb_Schedule%></a></td>
	</tr>
<%End IF %>

<!-- - - - - - - - - - - - -->

<%
   If Tech_Level >= MyInfoAccess Then
%>
	<tr>
		<td  align=middle><a class=BPpanelbutton HREF=TMyInfo.asp target="user_screen"><%=wc_pb_My_Info%></a></td>
	</tr>
<%End IF %>

<!-- - - - - - - - - - - - -->

<%If Tech_Level >= OpenCasesAccess Then %>
	<tr>
		<td  align=middle><a class=BPpanelbutton href=DisplayAllOpenCases.asp target=pending_screen><%=wc_pb_Open_Cases%></a></td>
	</tr>
<%End IF %>

<!-- - - - - - - - - - - - -->

<%If Tech_Level >= ReservationAccess AND Version7point5 <> "YES" Then ' '10/04/11 ADDED VERSION %>
       <tr><td  align=middle><a class=BPpanelbutton href=/<%=ReservationDirectory%>/launch_media_center.asp target=reservationcenter><%=wc_pb_Reservations%></a></td></tr>
<%ELSE %>
	<%If Tech_Level >= ReservationAccess AND Version7point5 = "YES" and ReservationCenter = True Then '10/04/11ADDED %>
		   <tr><td  align=middle><a class=BPpanelbutton href=/<%=ReservationDirectory%>/launch_media_center.asp target=reservationcenter><%=wc_pb_Reservations%></a></td></tr>
	<%End IF %>
<% end if %>

<!-- - - - - - - - - - - - -->

       <tr><td  align=middle><a class=BPpanelbutton href=UserScreen.asp target=user_screen><%=wc_pb_White_board%></a></td></tr>



<!-- - - - - - - - - - - - -->


<% If Version7 = "YES" Then %>


<%If Tech_Level >= EmailToCaseAccess Then %>
   <!-- Removed 10/5/11    <tr><td  align=middle>

 		  	<a class=BPpanelbutton href='javascript:var w=window.open("EmailToCase.asp","subwindow","width=300,height=300,screenX=50,screenY=50,left=50,top=50,scrollbars=yes,resizable=yes")'><%=wc_pb_Email_To_Case%></a>
      </td></tr>-->
<%End IF %>
<% End If %>

<!-- - - - - - - - - - - - -->

<% If Tech_Level >= LogoutAccess Then %>
	<tr>
		<td  align=middle><a class=BPpanelbutton href="TLogout.asp"  target= "_top" ><%=wc_pb_Logout%></a></td>
	</tr>
<%End IF %>

<!-- - - - - - - - - - - - -->

<% If Tech_Level >= CustomButtonAccess Then %>
<!-- Uncomment the following if you want to display the Custome Button
<tr>
<td align=center>

<a href=CustomButton.asp target=user_screen><img src=/<%=WCLanguageDirectory%>/Panel_BlankButton.jpg border=0></a><br></td>
</tr>
-->
<% End If %>
<tr><td>
</table>

		<span style="font-size: .75em; background-color: #FFFFFF; font-family: arial, sans-serif; text-align: center;">
		<b>WEB+CENTER</b>
		<br>
		<%=Version%>
		<br>
	   <I>&copy; 2012 - ISS</i>
</span>
		</div>
		</CENTER>
</body>
</html>

