<% ' Module Encodepwd.inc

' (C) 2000,2001,2002 Internet Software Sciences

  'History:

   'Date		Who		What
   '-------		---		------------------------------------------------
   '07/22/02		SAV		Created original ASP
   '11/05/2007		SAV		Corrected encode/decode function that did not create unique value
   '					as noticed by JT Bagby from Evanville ARC

	' Description:
	
	' This module contains the password encoding/encrpyting algorith that is used
	' to perform a simple level of encoding so the password stored in the
	' database can not be directly viewed and copied.  This algorithm is not meant to
	' provide any level of security or encrpytion and the database and data within
	' the database must be properly secured from un-authorized users from accessing
	' the data.
	
	' This Algorithm may be replaced by your own encoding/encryption algorithm
	' by modiying the code below.  
	
	' There are two algorithms - one for encoding and to store and one for decoding
	' There are options to disable all encoding/decoding below.
	
	' Note this scheme will probably not work with character sets other than english
	' We recommend you disable ENCODING/DECODING by setting the encode password
	' option available under administration and Other Options.
	
	'DECODE = "YES" ' Default  ' Now set in web application and database
	'DECODE = "NO"
%>

<%
	Function EncodePassword(Customer_Password)
		
	If DECODE = "NO" Then
		EncodePassword = Customer_Password
	Else
		
	' Description
	
	' This function takes the password and encodes it so it can be stored in the database.
	
	' Password can only be a combination of Numbers (0-9) and letters (A-Z) and (a-z).
	
	'The following is a 1 to 1 mapping of each ASCII value to another ASCII value defined
	' defined in a random way.
	
	' Step through each letter of the password word and map it to the other
	' ASCII value.
	
	Dim Encode(125)
	
	' 0 To 9 encoding  (Decimal 48-57)
	' Only the array elements we need will be placed into the array
	Encode(48) = 56	' 0 = 8
	Encode(49) = 51	' 1 = 3
	Encode(50) = 50	' 2 = 2
	Encode(51) = 52	' 3 = 4
	Encode(52) = 53	' 4 = 5
	Encode(53) = 54	' 5 = 6
	Encode(54) = 48	' 6 = 0
	Encode(55) = 49	' 7 = 1
	Encode(56) = 55	' 8 = 7
	Encode(57) = 57	' 9 = 9
	
	' (A to Z encoding ) (Decimal 65- 90)  79
	
	Encode(65) = 90  ' ie A encoded to Z
	Encode(66) = 87	 ' ie B encoded to A
	Encode(67) = 72	 ' ie B encoded to A
	Encode(68) = 71	 ' ie B encoded to A
	Encode(69) = 79	 ' ie B encoded to A
	Encode(70) = 74	 ' ie B encoded to A
	Encode(71) = 83	 ' ie B encoded to A
	Encode(72) = 88	 ' ie B encoded to A
	Encode(73) = 65	 ' ie B encoded to A
	Encode(74) = 66	 ' ie B encoded to A
	Encode(75) = 69	 ' ie B encoded to A
	Encode(76) = 75	 ' ie B encoded to A
	Encode(77) = 76	 ' ie B encoded to A
	Encode(78) = 73	 ' ie B encoded to A
	Encode(79) = 85	 ' ie B encoded to A
	Encode(80) = 84	 ' ie B encoded to A
	Encode(81) = 89	 ' ie B encoded to A
	Encode(82) = 77	 ' ie B encoded to A
	Encode(83) = 67	 ' ie B encoded to A
	Encode(84) = 82	 ' ie B encoded to A
	Encode(85) = 86	 ' ie B encoded to A
	Encode(86) = 68	 ' ie B encoded to A
	Encode(87) = 70	 ' ie B encoded to A
	Encode(88) = 80	 ' ie B encoded to A
	Encode(89) = 81	 ' ie B encoded to A
	Encode(90) = 78	 ' ie B encoded to A
	
	' Encode (a to z encoding) 97 - 122  
	
	Encode(97) = 98 ' Encoding a to b
	Encode(98) = 112 
	Encode(99) = 114 
	Encode(100) = 116 
	Encode(101) = 122 
	Encode(102) = 103 
	Encode(103) = 109 
	Encode(104) = 117 
	Encode(105) = 121 
	Encode(106) = 100 
	Encode(107) = 97 
	Encode(108) = 115 
	Encode(109) = 120 
	Encode(110) = 102 
	Encode(111) = 104 
	Encode(112) = 118 
	Encode(113) = 101 
	Encode(114) = 119 
	Encode(115) = 113 
	Encode(116) = 111 
	Encode(117) = 99 
	Encode(118) = 105 
	Encode(119) = 106 
	Encode(120) = 107 
	Encode(121) = 108 
	Encode(122) = 110 
	
	' Now loop through and replace each character with new mapped character
	
	NewPassword = ""
	
	For i = 1 to len(customer_password)
	
		EncodeDecimal = ASC(Mid(Customer_Password, i, 1))
		
		Encoded = Chr(Encode(EncodeDecimal))
		
		NewPassword = Newpassword & Encoded
		
		
	Next
	

	'response.write "NewPassword = " & NewPassword

	EncodePassword = NewPassword
	
	End IF
	

	End Function
%>


<%
	Function DecodePassword(Customer_Password)
		
	If DECODE = "NO" Then
		EncodePassword = Customer_Password
	Else
		
	' Description
	
	' This function takes the password and decodes it so it can used for checking with the entered
	' password.
	
	' This function should directly undo with the encodePassword does.
	
	' Password can only be a combination of Numbers (0-9) and letters (A-Z) and (a-z).
	
	'The following is a 1 to 1 mapping of each ASCII value to another ASCII value defined
	' defined in a random way.
	
	' Step through each letter of the password word and map it to the other
	' ASCII value.
	
	Dim Encode(125)
	
	' 0 To 9 decoding  (Decimal 48-57)
	' Only the array elements we need will be placed into the array
	
'	Encode(48) = 56	' 0 = 8
'	Encode(49) = 51	' 1 = 3
'	Encode(50) = 50	' 2 = 2
'	Encode(51) = 52	' 3 = 4
'	Encode(52) = 53	' 4 = 5
'	Encode(53) = 54	' 5 = 6
'	Encode(54) = 48	' 6 = 0
'	Encode(55) = 49	' 7 = 1
'	Encode(56) = 55	' 8 = 7
'	Encode(57) = 57	' 9 = 9
	
	
	
	
	 Encode(56) = 48 	' 0 = 8
	 Encode(51) = 49	' 1 = 3
	 Encode(50) = 50	' 2 = 1
	 Encode(52) = 51	' 3 = 4
	 Encode(53) = 52	' 4 = 2
	 Encode(54) = 53	' 5 = 6
	 Encode(48) = 54	' 6 = 5
	 Encode(49) = 55	' 7 = 9
	 Encode(55) = 56	' 8 = 7
	 Encode(57) = 57	' 9 = 9
	
	' (A to Z encoding ) (Decimal 65- 90)  79
	
	 Encode(90) = 65  ' ie A encoded to Z
	 Encode(87) = 66	 ' ie B encoded to A
	 Encode(72) = 67	 ' ie B encoded to A
	 Encode(71) = 68	 ' ie B encoded to A
	 Encode(79) = 69	 ' ie B encoded to A
	 Encode(74) = 70	 ' ie B encoded to A
	 Encode(83) = 71	 ' ie B encoded to A
	 Encode(88) = 72	 ' ie B encoded to A
	 Encode(65) = 73	 ' ie B encoded to A
	 Encode(66) = 74	 ' ie B encoded to A
	 Encode(69) = 75 	 ' ie B encoded to A
	 Encode(75) = 76	 ' ie B encoded to A
	 Encode(76) = 77	 ' ie B encoded to A
	 Encode(73) = 78	 ' ie B encoded to A
	 Encode(85) = 79	 ' ie B encoded to A
	 Encode(84) = 80	 ' ie B encoded to A
	 Encode(89) = 81	 ' ie B encoded to A
	 Encode(77) = 82	 ' ie B encoded to A
	 Encode(67) = 83	 ' ie B encoded to A
	 Encode(82) = 84	 ' ie B encoded to A
	 Encode(86) = 85	 ' ie B encoded to A
	 Encode(68) = 86	 ' ie B encoded to A
	 Encode(70) = 87	 ' ie B encoded to A
	 Encode(80) = 88	 ' ie B encoded to A
	 Encode(81) = 89	 ' ie B encoded to A
	 Encode(78) = 90	 ' ie B encoded to A
	
	' Encode (a to z encoding) 97 - 122
	
	Encode(98) =  97' Encoding a to b
	Encode(112) = 98 
	Encode(114) = 99 
	Encode(116) = 100 
	Encode(122) = 101 
	Encode(103) = 102 
	Encode(109) = 103 
	Encode(117) = 104 
	Encode(121) = 105 
	Encode(100) = 106 
	Encode(97) =  107
	Encode(115) = 108 
	Encode(120) = 109 
	Encode(102) = 110 
	Encode(104) = 111 
	Encode(118) = 112 
	Encode(101) = 113 
	Encode(119) = 114 
	Encode(113) = 115 
	Encode(111) = 116 
	Encode(99) = 117
	Encode(105) = 118 
	Encode(106) = 119 
	Encode(107) = 120 
	Encode(108) = 121 
	Encode(110) = 122 
	
	' Now loop through and replace each character with new mapped character
	
	NewPassword = ""
	
	For i = 1 to len(customer_password)
	
		EncodeDecimal = ASC(Mid(Customer_Password, i, 1))
		
		Encoded = Chr(Encode(EncodeDecimal))
		
		NewPassword = Newpassword & Encoded
		
		
	Next
	

	'response.write "NewPassword = " & NewPassword

	DeCodePassword = NewPassword
	
	End IF
	

	End Function
%>

	
