<% 'Module: SendEmail.inc

   'Description: This module contains all of the SendEmail() code for
   ' the various ASP mailers that Web+Center supports and also the
   ' SendLinuxEmail() function.
   
   ' To configure a different Mailer than the standard Software Artisans
   ' SA Mailer, select only one of the following options below.
   
   ' This one INCLUDE file is located in the language directory so it can
   ' be shared by all of the Web+Center applications.
   
   
   '(C) 2004 Internet Software Sciences
   ' www.inet-sciences.com


   'History:

   'Date	Who	What
   '-------	---	------------------------------------------------
   '5/17/04	SAV	Created original SendEmail.inc module
   '3/8/05	SAV	Change name of for Email Architects call from ANSMTP.OBJ to AOSMTP.Mail

%>

<!-- #INCLUDE FILE="../Language/ScreenFormats.inc" -->


<% Sub GetDatabaseConfiguration(MaxHistorySize, MaxSummarySize, MaxResolutionSize, smtp_host_address,Standard_reply_to_address, Customer_case_notify, userpagecolor)
	'This function gets the database configuration information
	' including the max size of the history field and
	' the email message appendages

		set conntemp5=server.createobject("adodb.connection")

		conntemp5.open myDSN ' Open the connection once here

		mySQL2="select * from Configuration"
		set rstemp9 = server.createobject("adodb.recordset")
		rstemp9.open mySQL2, conntemp5, 1,3

		' OLD WAY set rstemp9=conntemp5.execute(mySQL2)

		' Check to see if any records are returned
		' if none found the
		if rstemp9.EOF then
			MaxHistorySize = 2000 ' Default to white if record not found
		Else
			MaxHistorySize =  rstemp9("max_case_history_size")
			MaxSummarySize =  rstemp9("max_case_summary_size")
			MaxResolutionSize =  rstemp9("max_case_resolution_size")

			smtp_host_address = rstemp9("smtp_host_address")
			Standard_reply_to_address = rstemp9("Standard_reply_to_address")
			Customer_case_notify = CInt(rstemp9("customer_case_notify"))
			UserPageColor = rstemp9("ts_user_page_color")
			
			' New 5.0 SMTP mailer options
			
			SendHTMLEmail = rstemp9("SendHTMLEmail") ' Boolean value
			SMTP_User_Name = rstemp9("SMTP_User_Name")
			SMTP_Password = rstemp9("SMTP_Password")
			
			If SendHTMLEmail = True Then
				HTMLEmail = "YES"
			Else
				HTMLEmail = ""
			End IF
			
		End If

		rstemp9.close
		set rstemp9=nothing

		' Get the Email Head that will sent infront of the email msg

		conntemp5.close ' Close the connection
		set conntemp5=nothing

	End Sub ' End of GetdatabaseConfiguration
	%>


<% ' * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *
 
 ' ANSMTP ASP Mailer (Default ASP Mailer for Web+Center Version 5.0)
 ' This mailer has replaced the Software Artisans Mailer SASMTP
 ' that was used for version 4.X and below.  This new mailer
 ' support many more features and better HTML email support that
 ' is included in version 5.0.
 
 ' * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *
%>


<% Sub SendEmailOLD(ToEmail, ToFullName, SubjectLine, Message )
' This subroutine sends an email
' This routine is passed the following variables
' 	ToEmail = To Email address
'	ToFullName = To Full name if it exists
'	Message = Body of the message
'	SubjectLine = Subject Line


' Exit if email address is blank
If trim(ToEmail) = "" Then
   Exit Sub
end if 


' DEBUGGING ********************************************
' To view the HTML messages uncomment the line below.
'    response.write Message



' Other Global Variables that must be set for this function to work:


' **********************************
	' For Business+Center DoEmailListSend.asp module, the Standard_Reply_To_Address
	' and the OrganizationFromName might be set separately so the code below
	' pulls information from globals from that call if needed.
	
	' Check for Overrides for Standard_Reply_To_Address and OrganizationFromName
	
	IF (FromOrganization <> "") OR (FromOrganization <> Null) Then
		OrganizationFromName = FromOrganization 'Grab value from other global
	End If
	

	IF (Reply_To_Email <> "") OR (ReplyToEmail <> "") Then
		Standard_Reply_To_Address = ReplyToEmail 'Grab value from other global
	End If
'*************************************	


	' Standard_Reply_To_Address
	' OrganizationFromName
	' smtp_host_address
	
	' AltBody - specificies the Plain text message that is sent along with the HTML msg
	
	
	' New variables required for this mailer	
	' smtp_user_name - If you use ESMTP authenication to send SMTP mail then this should be filled in
	' smtp_password - If you use ESMTP authenication to send SMTP mail this should be set
	' HTMLEmails - Set this Global to "YES" if you want to send HTML emails
	
	'HTMLEmails = "YES" ' Default to YES - To be pulled out of the configuration file.
	
	

' Check if smtp_host_address is set before we continue
' Simply exit if SMTP_Host_Address is NULL.

	If smtp_host_address = "" OR (IsNull(smtp_host_address) = True) Then
		Exit Sub
	End If

	' ** IMPORTANT CHANGE - Now using Version 6.4 which uses AOSMTP.Mail not ANSMTP.OBJ
	' *** March 8. 2005 - 
	
	'set oSmtp = Server.CreateObject("ANSMTP.OBJ")  OLD CALLING CONVENTION
	set oSmtp = Server.CreateObject("AOSMTP.Mail")
	
	' Call to Clear SMTP send String Variables
	
	' Configure smtp_host_address
	
	
	'***** New User SMTP Configurable Option *********************
	' If the user enters NO_SMTP_SERVER as the SMTP host address, it will bypass specifying the
	' SMTP gateway and do direct Domain name resolution and send out emails directly.
	' This is not recommend since the SMTP server gateway has better options for retires and so on.
	
	If smtp_host_address = "NO_SMTP_SERVER" Then
		
	Else
		oSmtp.ServerAddr = smtp_host_address
	End If	
	
	'Using ESMTP authentication 
	
	
	
	
' OLD Conditional statement -	If smtp_user_name <> "" AND smtp_user_name <> NULL Then

	'If (smtp_user_name <> "") AND (smtp_user_name <> NULL)  Then
	 IF (smtp_user_name <> "") AND (NOT (IsNull(smtp_user_name)))   Then

	
		oSmtp.UserName = smtp_user_name
		oSmtp.Password = smtp_password
		
		 
	'	 response.write  "SMTP user name = " & smtp_user_name
	'	 response.write  "SMTP password = " & smtp_password

	'	 response.flush
	'	 response.end
		 
	End IF
	
	oSMTP.RegisterKey  = CalculateRegKey ' Pull Reg Key From Registry using Compiled ISAPI License key code.
	

	IF (OrganizationFromName = "") or (OrganizationFromNAme = NULL) Then
		OrganizationFromName = "Help Desk/Customer Support"
	End IF
	
	oSmtp.From = OrganizationFromName
	
	oSmtp.FromAddr = Standard_Reply_To_Address
	
	' Special Global Variable overwrite for FROM ADDRESS
	
	
	' If the a Global variable called FromEmailAddress and FromEmail is set, use these instead:

	If FromEmailAddress <> "" AND FromName <> "" Then
	
		oSmtp.From = FromName
		
		oSmtp.FromAddr = FromEmailAddress
	End If
	
	
	'Using this email to be replied to another address
	'oSmtp.ReplyTo = ReplyAddress

	'Note: If you send email via dns lookup, you can only specify one recipient in this email
	
' * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *
' User Customization Area
'****** SPECIAL CODE TO EXTRACT A SECOND EMAIL ADDRESS
' out of the Email field when configured
' To place a second customer email in the email field,
' separate the two email address with just one comma, no extra spaces.
' To activate, comment or uncomment the line below

 SecondEmail = "YES"

If SecondEmail = "YES" Then

	' First remove all spaces from ToEmail incase there are any.
	' The syntax is emailaddress#1, Emailladdress#2
	' Only two email addresses are allowed.

	 NewToEmail = replace(ToEmail, " ","")

	If InStr(NewToEmail, ",") <> 0 Then

		' First grab the second email address
		SecondEmailAddress = mid(NewToEmail, (InStr(NewToEmail, ",") + 1), (len(NewToEmail)-InStr(NewToEmail, ",")))
		' For the second email address, we won't have the full
		' name so we will just pass the email address again as the
		' ToName field.


		' Now grab the first email address
		FirstEmailAddress = mid(NewToEmail, 1, (InStr(NewToEmail, ",") - 1))

	oSmtp.AddRecipient ToFullName,FirstEmailAddress, 0  ' Normal recipient
	oSmtp.AddRecipient "", SecondEmailAddress, 0  ' Normal recipient


	 Else

	oSmtp.AddRecipient ToFullName, ToEmail, 0  ' Normal recipient


	End If


Else  ' If No second Email is allowed

	oSmtp.AddRecipient ToFullName, ToEmail, 0  ' Normal recipient

End If

	
	
' Optional CC/BCC options - Not used by default


' Special CC Global
' If a Global Variable called CCName and CCEmail Exists, then it will add this CC to email list

If CCName <> "" and CCEmail <> "" Then
	oSmtp.AddRecipient CCName, CCEmail, 1  'CC
End IF

'**************** USER CUSTOMIZATIONS*****************

' Different types of SMTP authentication:

'AuthType Property

'This property specifies the type of ESMTP authenction.
'Data Type: Long

'Value 	Meaning
'-1 	Automatically
'0 (Default) 	AUTH LOGIN
'1 	AUTH NTLM(Secure Password Authentication)
'2 	AUTH CRAM-MD5
'3 	AUTH PLAIN
'4 	AUTH MSN

'Remarks

'If you didn't specify UserName and Password properties, AuthType property is meaningless.

'So far only Microsoft Exchange Server supports Secure Password Authentication.

 'oSmtp.AuthType = -1


' Modify default SMTP port value of 25 to another port value for ISP that require another port number
' Uncomment the line and change the 25 to require SMTP port address

'oSmtp.ServerPort = 25
'**************** USER CUSTOMIZATION*****************


' Example Calls	
	'oSmtp.AddRecipient CCName, CCEmailAddress, 1  'CC
	'oSmtp.AddRecipient BCCName, BCCEmailAddress, 2 'BCC

' Attach File option - Not used by default

	'Attachs file to this email
	'oSmtp.AddAttachment "c:\test.txt"

	'oSmtp.Charset = "iso-8859-1"
	
	
	oSmtp.Subject		= SubjectLine ' Passed as parameter
	
	oSmtp.BodyText	= Message ' Passed as parameter
	
	' HTML Email Options 
	' A Global Variable called "HTMLEmails" should be set to "YES"
	' if you want to send out HTML based emails. Otherwise it defaults
	' to plain text emails.
	

	IF HTMLEmail = "YES" Then
		oSmtp.BodyFormat = 1 ' Using HTML FORMAT to send mail
		If AltBody <> "" Then
			'oSmtp.AltBody = AltBody
		End If
		
	Else
		oSmtp.BodyFormat = 0 'Using TEXT FORMAT to send mail
		oSmtp.ConvertHTML 0 	' Removes all HTML tags in BODYTEXT.
	End If

' NOW SEND IT!

 'Sending email
	If oSmtp.SendMail() = 0 Then
	  'Response.Write "<P>Message delivered."
	Else
	  Response.Write "<P> Mail Failure" & oSmtp.GetLastErrDescription()  'Get last error description
	End If




End Sub ' End of SendEmail Subroutine


%>


<% ' * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *
 
 ' Software Artisans ASP Mailer (Default ASP Mailer for Web+Center Version 4.X and Below)
 ' To use this mailer instead of the new one above, rename the SendEmail() subroutine 
 ' above to SendEmailANSMTP() and rename the the Sub SendEmailSA() to SendEmail().
 
 ' This is the old ASP mailer replaced by the one above.
 
 ' * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *
%>






<% Sub SendEmailSA(ToEmail, ToFullName, SubjectLine, Message )
' This subroutine sends an email
' This routine is passed the following variables
' 	ToEmail = To Email address
'	ToFullName = To Full name if it exists
'	Message = Body of the message
'	SubjectLine = Subject Line
'	ReplyToEmail = Reply to email
' 	STMPHOST = STMP Host address or IP

' Check if smtp_host_address is set before we continue

	If smtp_host_address = "" OR (IsNull(smtp_host_address) = True) Then
		Exit Sub
	End If


  ' ------------------------------------
  ' - Instantiate the SMTP mailer object
  ' ------------------------------------
  Set Mailer = Server.CreateObject("SoftArtisans.SMTPMail")

  ' ------------------------------------
  ' - Get and print the internal version number
  ' ------------------------------------
  ' strVer = Mailer.Version
  ' Response.Write "Mailer Version: " + strVer

  ' ------------------------------------
  ' - Set the FromName and FromAddress
  ' ------------------------------------

  If OrganizationFromName = "" OR IsNull(OrganizationFromName) Then
	  Mailer.FromName = "Customer Support/Help Desk" ' Replace this with your company name
	Else
	  Mailer.FromName = OrganizationFromName ' Company name can come from database
	End If

  Mailer.FromAddress = Standard_reply_to_address ' This was obtained at beginning of module

 Mailer.bodytext = Message & vbCRLF

 mailer.charset = 1

 mailer.confirmread = true

 'mailer.contenttype = "text/html"

 'mailer.customcharset = "big5"

 'mailer.datetime = "Fri, 02 May 1997 10:53:49 -0500"

 'mailer.encoding = 1

 mailer.organization = "Customer Support/Help Desk" ' Replace this with your company name

 mailer.Priority = 4

 mailer.remotehost = "atlas"

 mailer.replyto = ReplyToEmail

 mailer.returnreceipt = false

  mailer.subject = SubjectLine

 ' mailer.subject = mailer.Encodeheader("")

' mailer.smtplog = "c:\mysmtplog.txt"

 mailer.suppressmsgbody = false

 mailer.wordwrap = true

 mailer.wordwraplen = 80

'  mailer.timeout = 120

  mailer.urgent = true

  '--- sample methods
' * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *
' User Customization Area
'****** SPECIAL CODE TO EXTRACT A SECOND EMAIL ADDRESS
' out of the Email field when configured
' To place a second customer email in the email field,
' separate the two email address with just one comma, no extra spaces.
' To activate, uncomment the line below

 SecondEmail = "YES"

If SecondEmail = "YES" Then

	' First remove all spaces from ToEmail incase there are any.
	' The syntax is emailaddress#1, Emailladdress#2
	' Only two email addresses are allowed.

	 NewToEmail = replace(ToEmail, " ","")

	If InStr(NewToEmail, ",") <> 0 Then

		' First grab the second email address
		SecondEmailAddress = mid(NewToEmail, (InStr(NewToEmail, ",") + 1), (len(NewToEmail)-InStr(NewToEmail, ",")))
		' For the second email address, we won't have the full
		' name so we will just pass the email address again as the
		' ToName field.


		' Now grab the first email address
		FirstEmailAddress = mid(NewToEmail, 1, (InStr(NewToEmail, ",") - 1))

	    mailer.addrecipient ToFullName, FirstEmailAddress
	    mailer.addrecipient "", SecondEmailAddress

	 Else

	  mailer.addrecipient ToFullName, ToEmail

	End If


Else

  mailer.addrecipient ToFullName, ToEmail

End If


 ' mailer.addcc "my recipient 2", "destination2@unknown.com"

'  mailer.addextraheader "x-mycompany: specialinstruction"
'  mailer.addattachment "c:\boot.exe"
 ' mailer.addattachment "c:\ntdetect.com"
'  mailer.addattachment "c:\boot.ini"
  'mailer.live = false
  mailer.live = true


  ' ------------------------------------
  ' - Set the Remote Host (SMTP) Host
  ' -   that we'll send this mail thru
  ' ------------------------------------
  strMailHost = smtp_host_address ' This was obtained at the beginning of this module
  if strMailHost = "mailhost.xyz.com" then
    Response.Write "<h2 align=center>Error: You need to change the mailhost to your SMTP server address</h2>"
  else
	Mailer.RemoteHost = strMailHost
  end if


  rem ------------------------------------
  rem - Set Priority and if message is
  rem -  urgent. Prioritys are 1, 3, 5 and
  rem -  are reflected in the X-Priority
  rem -  header
  rem - 1 = High, 3 = Normal, 5 = Low
  rem -  (optional)
  rem ------------------------------------
  Mailer.Priority = 3
  Mailer.Urgent = true


    ' ------------------------------------
    ' - Send the message
    ' ------------------------------------
    if Mailer.SendMail then
'      Response.Write "<p>Mail sent..."
    else
      'Response.Write "<p>Mail failure. Check mail host server name and tcp/ip connection..."
    end if



'    response.write "<BR> " & mailer.gettemppath
'    response.write "<br> " & mailer.response

 ' else
  '  Response.Write "<h2 align=center>Error: Failure with encryption or with file access...</h2>"
  'end if

	'set mailer = nothing

End Sub ' End of SendEmail Subroutine


%>

<%

' ***** A second SendMail() routine with more parameters for Business+Center

Sub SendEmailWithCC(ToEmail, ToFullName, SubjectLine, Message, ContactRepEmail, ContactRepName, CCName, CCEmail)
' This subroutine sends an email
' This routine is passed the following variables
' 	ToEmail = To Email address
'	ToFullName = To Full name if it exists
'	Message = Body of the message
'	SubjectLine = Subject Line
'	ContactRepEmail = FROM EMail and reply to email
' 	STMPHOST = STMP Host address or IP
' 	ContactRepName = FROM user name

' Check if smtp_host_address is set before we continue

	If smtp_host_address = "" OR (IsNull(smtp_host_address) = True) Then
		Exit Sub
	End If


  ' ------------------------------------
  ' - Instantiate the SMTP mailer object
  ' ------------------------------------
  Set Mailer = Server.CreateObject("SoftArtisans.SMTPMail")

  ' ------------------------------------
  ' - Get and print the internal version number
  ' ------------------------------------
  ' strVer = Mailer.Version
  ' Response.Write "Mailer Version: " + strVer

  ' ------------------------------------
  ' - Set the FromName and FromAddress
  ' ------------------------------------

  Mailer.FromName = ContactRepName
  Mailer.FromAddress =ContactRepEmail ' This was obtained at beginning of module

 Mailer.bodytext = Message & vbCRLF

 mailer.charset = 1

 mailer.confirmread = true

 'mailer.contenttype = "text/html"

 'mailer.customcharset = "big5"

 'mailer.datetime = "Fri, 02 May 1997 10:53:49 -0500"

 'mailer.encoding = 1

 mailer.organization = "Customer Support/Help Desk" ' Replace this with your company name


 mailer.Priority = 4

 mailer.remotehost = "atlas"

 mailer.replyto = ContactRepEmail

 mailer.returnreceipt = false

  mailer.subject = SubjectLine

 ' mailer.subject = mailer.Encodeheader("")

' mailer.smtplog = "c:\mysmtplog.txt"

 mailer.suppressmsgbody = false

 mailer.wordwrap = true

 mailer.wordwraplen = 80

'  mailer.timeout = 120

  mailer.urgent = true

  '--- sample methods

  mailer.addrecipient ToFullName, ToEmail

	If CCName <> "" AND CCEmail <> "" Then
 	 	mailer.addcc CCName, CCEmail
 	End IF

'  mailer.addextraheader "x-mycompany: specialinstruction"
'  mailer.addattachment "c:\boot.exe"
 ' mailer.addattachment "c:\ntdetect.com"
'  mailer.addattachment "c:\boot.ini"
  'mailer.live = false
  mailer.live = true


  ' ------------------------------------
  ' - Set the Remote Host (SMTP) Host
  ' -   that we'll send this mail thru
  ' ------------------------------------
  strMailHost = smtp_host_address ' This was obtained at the beginning of this module
  if strMailHost = "mailhost.xyz.com" then
    Response.Write "<h2 align=center>Error: You need to change the mailhost to your SMTP server address</h2>"
  else
	Mailer.RemoteHost = strMailHost
  end if


  rem ------------------------------------
  rem - Set Priority and if message is
  rem -  urgent. Prioritys are 1, 3, 5 and
  rem -  are reflected in the X-Priority
  rem -  header
  rem - 1 = High, 3 = Normal, 5 = Low
  rem -  (optional)
  rem ------------------------------------
  Mailer.Priority = 3
  Mailer.Urgent = true


    ' ------------------------------------
    ' - Send the message
    ' ------------------------------------
    if Mailer.SendMail then
'      Response.Write "<p>Mail sent..."
    else
      'Response.Write "<p>Mail failure. Check mail host server name and tcp/ip connection..."
    end if

'    response.write "<BR> " & mailer.gettemppath
'    response.write "<br> " & mailer.response

 ' else
  '  Response.Write "<h2 align=center>Error: Failure with encryption or with file access...</h2>"
  'end if

	'set mailer = nothing

	End Sub ' End of SendEmail Subroutine


' * * * * * * A third SendEmail() function for sending emails out
' for the Business+Center Opt-in list options

 Sub SendEmailOptIn(ToEmail, ToFullName, SubjectLine, Message, CustomerRemoveText, DearCustomerText  )

' This subroutine sends an email
' This routine is passed the following variables
' 	ToEmail = To Email address
'	ToFullName = To Full name if it exists
'	Message = Body of the message
'	SubjectLine = Subject Line
'	ReplyToEmail = Reply to email
' 	STMPHOST = STMP Host address or IP

' Check to see if smtp_host_address is blank or null and exit if it is

	If smtp_host_address = "" OR (IsNull(smtp_host_address) = True) Then
		Exit Sub
	End If


  ' ------------------------------------
  ' - Instantiate the SMTP mailer object
  ' ------------------------------------
  Set Mailer = Server.CreateObject("SoftArtisans.SMTPMail")

  ' ------------------------------------
  ' - Get and print the internal version number
  ' ------------------------------------
  ' strVer = Mailer.Version
  ' Response.Write "Mailer Version: " + strVer

  ' ------------------------------------
  ' - Set the FromName and FromAddress
  ' ------------------------------------
  Mailer.FromName = FromOrganization ' Pull from mailtext entry
  Mailer.FromAddress = replytoemail' This was obtained at beginning of module


 mailer.charset = 1

 mailer.confirmread = true

 'mailer.contenttype = "text/html"

 ' Check if the content-type is not defined in text
' mailer.contenttype = "multipart/alternative; boundary=""------------BA50F4559ACAD29F6990DD5B"""
'	mailer.contenttype = "multipart/mixed; boundary=""------------B52981C880D6A551E77B26AB"""

'  * * * * * * * * User Modifications * * * * * * * * * * *
' The code here will attempt to send out HTML based emails if special conditions are
' are found.  Otherwise, traditional text based email is sent as a default.
' The code below looks for the word "content-type:" in the first line of the
' message.  It is found, it assumes that the first line is like:
' multipart/mixed; boundary="------------B52981C880D6A551E77B26AB"
' It will then set that to the mailer.contenttype variable and then
' remove that line from the message so it not sent twice.



 If instr(1,Message, "Content-Type:", 1) <> 0  Then
 	' String is found so extract that whole line from the message

	FirstLine = mid(Message, 1, instr(Message, vbCR))

	NewMessage = mid(Message, instr(Message, vbCR))
	'Response.write " Second Line found at character " & instr(Message, vbCR) & "<P>"
	Message = NewMessage ' Put back shortened message

	' If there is a RemoveUserText in the original message, then
	' replace it with the remove link text created eariler

	Message = Replace (Message, "RemoveUserText", CustomerRemoveText)

	' If there is a DearUserText in the original message, then
	' replace it with the Custom Dear User text created above

	Message  = Replace(Message, "DearUserText", DearCustomerText)


	FirstLine = Replace (FirstLine, vbCRLF, "") ' Remove any CR/LF from text
	FirstLine = Replace (FirstLine, "Content-Type:", "") ' Remove this since it will be send my emailer.

	'Response.write " First Line = " & FirstLine & "<P>"

	Mailer.Contenttype = FirstLine




End IF

	' Set the body text now

 Mailer.bodytext = Message & vbCRLF


 'mailer.customcharset = "big5"

 'mailer.datetime = "Fri, 02 May 1997 10:53:49 -0500"

 'mailer.encoding = 1

 'mailer.organization = "Customer Support/Help Desk" ' Replace this with your company name

 mailer.Priority = 4

 mailer.remotehost = "atlas"

 mailer.replyto = ReplyToEmail

 ' DO NOT TURN THIS OPTION ON
 mailer.returnreceipt = false ' Set this to true if you want confirmation

  mailer.subject = SubjectLine

 ' mailer.subject = mailer.Encodeheader("")

' mailer.smtplog = "c:\mysmtplog.txt"

 mailer.suppressmsgbody = false

 'mailer.wordwrap = true ' We have turned this option off.

 mailer.wordwraplen = 50

'  mailer.timeout = 120

  mailer.urgent = true

  '--- sample methods

  mailer.addrecipient ToFullName, ToEmail

 ' mailer.addcc "my recipient 2", "destination2@unknown.com"

'  mailer.addextraheader "x-mycompany: specialinstruction"
'  mailer.addattachment "c:\boot.exe"
 ' mailer.addattachment "c:\ntdetect.com"
'  mailer.addattachment "c:\boot.ini"
  'mailer.live = false
  mailer.live = true


  ' ------------------------------------
  ' - Set the Remote Host (SMTP) Host
  ' -   that we'll send this mail thru
  ' ------------------------------------
  strMailHost = smtp_host_address ' This was obtained at the beginning of this module
  if strMailHost = "mailhost.xyz.com" then
    Response.Write "<h2 align=center>Error: You need to change the mailhost to your SMTP server address</h2>"
  else
	Mailer.RemoteHost = strMailHost
	'response.write " STMP Host  = " & strMailHost
  end if


  rem ------------------------------------
  rem - Set Priority and if message is
  rem -  urgent. Prioritys are 1, 3, 5 and
  rem -  are reflected in the X-Priority
  rem -  header
  rem - 1 = High, 3 = Normal, 5 = Low
  rem -  (optional)
  rem ------------------------------------
  Mailer.Priority = 3
  Mailer.Urgent = true


    ' ------------------------------------
    ' - Send the message
    ' ------------------------------------
    if Mailer.SendMail then
'      Response.Write "<p>Mail sent..."
    else
		InvalidEmailCount = InvalidEmailCount + 1
		InvalidEmailList = "<LI>"  & ToFullName & " &lt;" & ToEmail & "&gt;" & InvalidEmailList

    '  Response.Write "<p>Mail failure. Check mail host server name and tcp/ip connection..."
    end if

'    response.write "<BR> " & mailer.gettemppath
'    response.write "<br> " & mailer.response

 ' else
  '  Response.Write "<h2 align=center>Error: Failure with encryption or with file access...</h2>"
  'end if

	'set mailer = nothing

	End Sub ' End of SendEmail Subroutine


' * * * * * * END OF Software Artisans Mailers Code * * * * * * * * * * * * *
%>






<% ' * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *
 
 ' JMAIL ASP Mailer (Optional ASP Mailer for Web+Center)
 ' To use this, one must rename the Software Artisans SendEmail()
 ' function to another name like SendEmailSA() and then rename
 ' the SendEmailJMail() to SendEmail() to make it the called
 ' function instead.
 
 ' * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *
%>

<% Sub SendEmailJMail(ToEmail, ToFullName, SubjectLine, Message )

'Sub SendEmail(ToEmail, ToFullName, SubjectLine, Message )
 
' This subroutine sends an email
' This routine is passed the following variables in the line or as global variables
' 	ToEmail = To Email address
'	ToFullName = To Full name if it exists
'	Message = Body of the message
'	SubjectLine = Subject Line
'	Standard_reply_to_address = Reply to email
' 	smtp_host_address = STMP Host address or IP

' Check if smtp_host_address is set before we continue

	If smtp_host_address = "" OR (IsNull(smtp_host_address) = True) Then
		Exit Sub
	End If
	
 Set JMail = Server.CreateObject("JMail.SMTPMail") 

 
 ' This is obtained from code outside of this module and set into this variable
 
 JMail.ServerAddress = smtp_host_address

 ' Reply to email address is put here by the variable Standard_reply_to_Address
 ' which is set in the system configuration menu under administration.
 
 JMail.Sender = Standard_reply_to_address

 'E-Mail Subject...
 JMail.Subject = SubjectLine 

 
 ' Put in the recipients email address and name
 ' Get the recipients mailbox from a form (note the lack of a equal sign). 
 
 JMail.AddRecipientex ToEmail, ToFullName

 ' The body property is both read and write. 
 ' If you want to append text to the body you can 
 ' use JMail.Body = JMail.Body & "Hello world!" 
 ' or you can use JMail.AppendText "Hello World!" 
 ' which in many cases is easier to use. 
 JMail.Body = Message

 ' 1 - highest priority (Urgent) 
 ' 3 - normal 
 ' 5 - lowest 
 JMail.Priority = 3 

 JMail.AddHeader "Originating-IP", Request.ServerVariables("REMOTE_ADDR")

 ' Must make sure that IUSR_???? has access to the following files. 
 'JMail.AppendBodyFromFile "e:\mail\standard_footer.txt"


 'JMail.AddAttachment "e:\products\MyProduct.exe"


 ' Send it... 
 JMail.Execute
 
	' response.write "Email Sent!"
	
	End Sub ' End of SendEmail Subroutine
 
 %>





<% ' * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *

 ' LINUX ASP Mailer (Default ASP for Web+Center for Linux Users)
 ' Documentation may be found at http://www.1planhost.com/support/s_cdonts.asp

 ' * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *
%>


<%

  Sub SendLinuxEmail (ToEmail, ToFullName, SubjectLine, Message)

	'renamed sendLinxEmail to the standard Windows Subroutine for hosted solution
	
   'Sub SendEmail (ToEmail, ToFullName, SubjectLine, Message)


   
   ' NOTE -  The parameter "ToFullName" is not actually used in this subroutins, but is specified in the call
   ' for symmetry and compatibility with other sendmail subroutines

    smtp_host_address = Trim(smtp_host_address)

   ' Check to see if smtp_host_address is blank or null and exit if it is

   	If smtp_host_address = "" OR (IsNull(smtp_host_address) = True) Then
   	Response.Write "<h2 align=center>Error: You need to set the mailhost on your SMTP server address</h2>"
   	Exit Sub
	End If


' Exit if email address is blank
If trim(ToEmail) = "" Then
   Exit Sub
end if 



    if smtp_host_address = "mailhost.xyz.com" then
         Response.Write "<h2 align=center>Error: You need to change the mailhost on your SMTP server address</h2>"
         Exit Sub
    end if



     'If using HTML, we need to prepend the message with doctype else replace any <br> with crlf

     doctype = "<!DOCTYPE HTML PUBLIC""-//IETF//DTD HTML//EN"">"

     If HTMLEmail = "YES" Then
          Mod_message = doctype & Message
          
         ' Caution - Following line of code is critical to avoid error which says 
         ' The user is not permitted to access this file. Please check the URL to ensure that the path is correct. 
          Mod_message = Replace (Mod_message, chr(10), " ")         
          
     Else
          Mod_message = Replace(Message,"<br>",VBcrlf)
     End If
     
    


     MyDebug= "No"

     If MyDebug= "Yes" Then
         response.write "SMTP Host is -" & smtp_host_address & "-<br>"
         response.write "Reply to is -" & Standard_reply_to_address & "-<br>"
         response.write "To address is -" & ToEmail & "-<br>"
         response.write "Subject is -" & SubjectLine & "-<br>"
         ' response.write "Body is -" & Mod_Message & "-<br>"
         response.flush
         'response.end
      End If


    ' Standard_reply_to_address is also available - loaded earlier.



		Set mailmsg = Server.CreateObject("CDONTS.Newmail")
		mailmsg.to = Trim(ToEmail)
		If Standard_reply_to_address = "" Then
		   mailmsg.From = "Customer Support/Help Desk"
		Else
		   mailmsg.From = Trim(Standard_reply_to_address)
		End If

		If HTMLEmail = "YES" Then
		    mailmsg.Bodyformat = 0
		End If


		mailmsg.Body = Mod_Message
		mailmsg.Subject = SubjectLine
		
		' Line commented out for rackspace??
		
		'mailmsg.host = smtp_host_address
               If MyDebug= "Yes" Then
                  response.write "About to issue send command<br>"
                  response.flush
               End If 		
		
		
		mailmsg.send
		
		
              ' mailmsg.close - this is apparently not a supported command - but it was worth a try
              
               set mailmsg = nothing
               If MyDebug= "Yes" Then
                  response.write "Mailmessage object set back to nothing<p>"
                  response.flush
               End If 
   End Sub
%>


<% ' * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *

 ' CDOSYS Mailer for Rackspace (Default ASP mailer for Web+Center Hosted Rackspace users)
 ' Documentation may be found at http://help.mosso.com/article.php?id=276

 ' * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *
%>


<%
  Sub SendCDOSYSEmail (ToEmail, ToFullName, SubjectLine, Message)

	'renamed SendCDOSYSEmail to the standard Windows Subroutine for hosted solution
	
   'Sub SendEmail (ToEmail, ToFullName, SubjectLine, Message)


   
   ' NOTE -  The parameter "ToFullName" is not actually used in this subroutins, but is specified in the call
   ' for symmetry and compatibility with other sendmail subroutines

    smtp_host_address = Trim(smtp_host_address)

   ' Check to see if smtp_host_address is blank or null and exit if it is

   	If smtp_host_address = "" OR (IsNull(smtp_host_address) = True) Then
   	Response.Write "<h2 align=center>Error: You need to set the mailhost on your SMTP server address</h2>"
   	Exit Sub
	End If


' Exit if email address is blank
If trim(ToEmail) = "" Then
   Exit Sub
end if 



    if smtp_host_address = "mailhost.xyz.com" then
         Response.Write "<h2 align=center>Error: You need to change the mailhost on your SMTP server address</h2>"
         Exit Sub
    end if



     'If using HTML, we need to prepend the message with doctype else replace any <br> with crlf

     doctype = "<!DOCTYPE HTML PUBLIC""-//IETF//DTD HTML//EN"">"

     If HTMLEmail = "YES" Then
          Mod_message = doctype & Message
          
         ' Caution - Following line of code is critical to avoid error which says 
         ' The user is not permitted to access this file. Please check the URL to ensure that the path is correct. 
          Mod_message = Replace (Mod_message, chr(10), " ")         
          
     Else
          Mod_message = Replace(Message,"<br>",VBcrlf)
     End If
     
    


     MyDebug= "No"

     If MyDebug= "Yes" Then
         response.write "SMTP Host is -" & smtp_host_address & "-<br>"
         response.write "Reply to is -" & Standard_reply_to_address & "-<br>"
         response.write "To address is -" & ToEmail & "-<br>"
         response.write "Subject is -" & SubjectLine & "-<br>"
         ' response.write "Body is -" & Mod_Message & "-<br>"
         response.flush
         'response.end
      End If


    ' Standard_reply_to_address is also available - loaded earlier.

	'CDOSYS SMTP CODE

	'You will need to change the following variables:
	'.Item(cdoSMTPServer)
	'.Item(cdoSendUserName)
	'.Item(cdoSendPassword)
	'.To
	'.From

		'Const cdoSendUsingMethod        = _
		'Const cdoSendUsingPort          = 2
		'Const cdoSMTPServer             = _
		'Const cdoSMTPServerPort         = _
		'Const cdoSMTPConnectionTimeout  = _
		'Const cdoSMTPAuthenticate       = _
		'Const cdoBasic                  = 1
		'Const cdoSendUserName           = _
		'Const cdoSendPassword           = _

		Dim objConfig  ' As CDO.Configuration
		Dim objMessage ' As CDO.Message
		Dim Fields     ' As ADODB.Fields

		' Get a handle on the config object and it's fields
		Set objConfig = Server.CreateObject("CDO.Configuration")
		Set Fields = objConfig.Fields

		' Set config fields we care about
		With Fields
			'  .Item(cdoSendUsingMethod)       = cdoSendUsingPort
			  .Item(cdoSendUsingMethod)       = 2
			.Item(cdoSendUsingPort) = 2
			
			response.write "SMTP_host_addres = " & smtp_host_address
			'response.flush
			'response.end
			
			
			
			.Item(cdoSMTPServer)            = smtp_host_address
			.Item(cdoSMTPServerPort)        = 25
			.Item(cdoSMTPConnectionTimeout) = 10
			.Item(cdoSMTPAuthenticate)      = 1
			.Item(cdoSendUserName)          = "smtptest@lahpathways.org"
			.Item(cdoSendPassword)          = "smtptest"

			.Update
		End With

		Set objMessage = Server.CreateObject("CDO.Message")

		Set objMessage.Configuration = objConfig

		With objMessage
			.To       = ToEmail
			
		If Standard_reply_to_address = "" Then
		   .From = "Customer Support/Help Desk"
		Else
		   .From = Trim(Standard_reply_to_address)
		End If
			
			'.From     = "Web Master <webmaster@example.com>"
			
			.Subject  = SubjectLine
			
		If HTMLEmail = "YES" Then
		
			.TextBody = Message
		    
		End IF


		If HTMLEmail <> "YES" Then
			.Textbody = Message
		End If
		



               If MyDebug= "Yes" Then
                  response.write "About to issue send command<br>"
                  response.flush
               End If 		

		.Send
		
		End With

		Set Fields = Nothing
		Set objMessage = Nothing
		Set objConfig = Nothing


               If MyDebug= "Yes" Then
                  response.write "Mailmessage object set back to nothing<p>"
                  response.flush
               End If 




'------------ Old Code

'		Set mailmsg = Server.CreateObject("CDONTS.Newmail")
'		mailmsg.to = Trim(ToEmail)
'		If Standard_reply_to_address = "" Then
'		   mailmsg.From = "Customer Support/Help Desk"
'		Else
'		   mailmsg.From = Trim(Standard_reply_to_address)
'		End If
'
'		If HTMLEmail = "YES" Then
'		    mailmsg.Bodyformat = 0
'		End If
'
'
'		mailmsg.Body = Mod_Message
'		mailmsg.Subject = SubjectLine
'		mailmsg.host = smtp_host_address
'               If MyDebug= "Yes" Then
'                  response.write "About to issue send command<br>"
'                  response.flush
'               End If 		
'		
'		
'		mailmsg.send
'		
'		
'              ' mailmsg.close - this is apparently not a supported command - but it was worth a try
'              
'               set mailmsg = nothing
'               If MyDebug= "Yes" Then
'                  response.write "Mailmessage object set back to nothing<p>"
'                  response.flush
'               End If 
   End Sub
%>


<% Sub SendEmail (ToEmail, ToFullName, SubjectLine, Message)


Set myMail=CreateObject("CDO.Message")
myMail.Subject=SubjectLine
myMail.From=Trim(Standard_reply_to_address)
myMail.To=ToEmail
myMail.HTMLBody = Message
'myMail.TextBody=Message

If ToEmail <> "" AND IsNull(ToEmail) = False Then
	myMail.Send
End If


set myMail=nothing


End Sub

%>


 



 